# Constant Field Values

## Contents

- org.eclipse.*

## org.eclipse.*

org.eclipse.cdt.core.CCorePlugin
Modifier and Type
Constant Field
Value
`public static final String`
`BINARY_PARSER_SIMPLE_ID`
`"BinaryParser"`
`public static final String`
`BINARY_PARSER_UNIQ_ID`
`"org.eclipse.cdt.core.BinaryParser"`
`public static final String`
`BUILD_SCANNER_INFO_SIMPLE_ID`
`"ScannerInfoProvider"`
`public static final String`
`BUILD_SCANNER_INFO_UNIQ_ID`
`"org.eclipse.cdt.core.ScannerInfoProvider"`
`public static final String`
`BUILDER_MODEL_ID`
`"org.eclipse.cdt.core.CBuildModel"`
`public static final int`
`CDT_PROJECT_NATURE_ID_MISMATCH`
`3`
`public static final String`
`COMMAND_LAUNCHER_FACTORY_SIMPLE_ID`
`"CommandLauncherFactory"`
`public static final String`
`COMMAND_LAUNCHER_FACTORY_UNIQ_ID`
`"org.eclipse.cdt.core.CommandLauncherFactory"`
`public static final String`
`CONTENT_TYPE_ASMSOURCE`
`"org.eclipse.cdt.core.asmSource"`
`public static final String`
`CONTENT_TYPE_BINARYFILE`
`"org.eclipse.cdt.core.binaryFile"`
`public static final String`
`CONTENT_TYPE_CHEADER`
`"org.eclipse.cdt.core.cHeader"`
`public static final String`
`CONTENT_TYPE_CSOURCE`
`"org.eclipse.cdt.core.cSource"`
`public static final String`
`CONTENT_TYPE_CXXHEADER`
`"org.eclipse.cdt.core.cxxHeader"`
`public static final String`
`CONTENT_TYPE_CXXSOURCE`
`"org.eclipse.cdt.core.cxxSource"`
`public static final String`
`CORE_ENCODING`
`"org.eclipse.cdt.core.encoding"`
`public static final String`
`DEFAULT_BINARY_PARSER_SIMPLE_ID`
`"ELF"`
`public static final String`
`DEFAULT_BINARY_PARSER_UNIQ_ID`
`"org.eclipse.cdt.core.ELF"`
`public static final String`
`DEFAULT_INDEXER`
`"org.eclipse.cdt.core.fastIndexer"`
`public static final String`
`DEFAULT_PATHENTRY_STORE_ID`
`"org.eclipse.cdt.core.cdtPathEntryStore"`
`public static final String`
`DEFAULT_PROVIDER_ID`
`"org.eclipse.cdt.core.defaultConfigDataProvider"`
`public static final String`
`DO_NOT_INSERT`
`"do not insert"`
`public static final String`
`ERROR_PARSER_SIMPLE_ID`
`"ErrorParser"`
`public static final String`
`ERROR_PARSER_UNIQ_ID`
`"org.eclipse.cdt.core.ErrorParser"`
`public static final String`
`FORMATTER_EXTPOINT_ID`
`"CodeFormatter"`
`public static final String`
`INDEX_SIMPLE_ID`
`"CIndex"`
`public static final String`
`INDEX_UNIQ_ID`
`"org.eclipse.cdt.core.CIndex"`
`public static final String`
`INDEXER_SIMPLE_ID`
`"CIndexer"`
`public static final String`
`INDEXER_UNIQ_ID`
`"org.eclipse.cdt.core.CIndexer"`
`public static final String`
`INSERT`
`"insert"`
`public static final String`
`PLUGIN_ID`
`"org.eclipse.cdt.core"`
`public static final String`
`PREF_BINARY_PARSER`
`"binaryparser"`
`public static final String`
`PREF_INDEXER`
`"indexer"`
`public static final String`
`PREF_USE_STRUCTURAL_PARSE_MODE`
`"useStructualParseMode"`
`public static final String`
`SPACE`
`"space"`
`public static final int`
`STATUS_BUILD_CONFIG_NOT_VALID`
`5`
`public static final int`
`STATUS_CDTPROJECT_EXISTS`
`1`
`public static final int`
`STATUS_CDTPROJECT_MISMATCH`
`2`
`public static final int`
`STATUS_PDOM_TOO_LARGE`
`4`
`public static final String`
`TAB`
`"tab"`
org.eclipse.cdt.core.CCorePreferenceConstants
Modifier and Type
Constant Field
Value
`public static final String`
`ADD_OVERRIDE_KEYWORD`
`"astwriter.addOverride"`
`public static final String`
`CODE_FORMATTER`
`"org.eclipse.cdt.core.code_formatter"`
`public static final boolean`
`DEFAULT_ADD_OVERRIDE_KEYWORD`
`false`
`public static final String`
`DEFAULT_CODE_FORMATTER`
`"org.eclipse.cdt.core.defaultCodeFormatter"`
`public static final String`
`DEFAULT_INCLUDE_BEGIN_EXPORTS_PATTERN`
`"IWYU\\s+(pragma:?\\s+)?begin_exports?"`
`public static final String`
`DEFAULT_INCLUDE_END_EXPORTS_PATTERN`
`"IWYU\\s+(pragma:?\\s+)?end_exports?"`
`public static final String`
`DEFAULT_INCLUDE_EXPORT_PATTERN`
`"IWYU\\s+(pragma:?\\s+)?export"`
`public static final String`
`DEFAULT_INCLUDE_KEEP_PATTERN`
`"IWYU\\s+(pragma:?\\s+)?keep"`
`public static final String`
`DEFAULT_INCLUDE_PRIVATE_PATTERN`
`"IWYU\\s+(pragma:?\\s+)?private(,\\s+include\\s+(?<header>\\S+))?"`
`public static final String`
`DEFAULT_INDEX_DB_CACHE_SIZE_PCT`
`"10"`
`public static final String`
`DEFAULT_MAX_INDEX_DB_CACHE_SIZE_MB`
`"256"`
`public static final boolean`
`DEFAULT_PLACE_CONST_RIGHT_OF_TYPE`
`false`
`public static final boolean`
`DEFAULT_PRESERVE_VIRTUAL_KEYWORD`
`true`
`public static final boolean`
`DEFAULT_SCALABILITY_LIMIT_TOKENS_PER_TU`
`false`
`public static final int`
`DEFAULT_SCALABILITY_MAXIMUM_TOKENS`
`25000000`
`public static final int`
`DEFAULT_SCALABILITY_MAXIMUM_TRIVIAL_EXPRESSIONS`
`1000`
`public static final boolean`
`DEFAULT_SCALABILITY_SKIP_TRIVIAL_EXPRESSIONS`
`true`
`public static final String`
`DEFAULT_TASK_CASE_SENSITIVE`
`"false"`
`public static final String`
`DEFAULT_TASK_PRIORITY`
`"normal"`
`public static final String`
`DEFAULT_TASK_TAG`
`"TODO"`
`public static final String`
`DEFAULT_TASK_TAGS`
`"TODO,FIXME,XXX"`
`public static final String`
`DEFAULT_WORKSPACE_LANGUAGE_MAPPINGS`
`""`
`public static final String`
`FILE_PATH_CANONICALIZATION`
`"org.eclipse.cdt.core.path_canonicalization"`
`public static final String`
`INCLUDE_BEGIN_EXPORTS_PATTERN`
`"includes.beginExportsPattern"`
`public static final String`
`INCLUDE_END_EXPORTS_PATTERN`
`"includes.endExportsPattern"`
`public static final String`
`INCLUDE_EXPORT_PATTERN`
`"includes.exportPattern"`
`public static final String`
`INCLUDE_KEEP_PATTERN`
`"includes.keepPattern"`
`public static final String`
`INCLUDE_PRIVATE_PATTERN`
`"includes.privatePattern"`
`public static final String`
`INDEX_DB_CACHE_SIZE_PCT`
`"org.eclipse.cdt.core.indexDBCacheSizePct"`
`public static final String`
`MAX_INDEX_DB_CACHE_SIZE_MB`
`"org.eclipse.cdt.core.maxIndexDBCacheSizeMB"`
`public static final String`
`PLACE_CONST_RIGHT_OF_TYPE`
`"astwriter.placeConstRightOfType"`
`public static final String`
`PREF_BUILD_ALL_CONFIGS`
`"build.all.configs.enabled"`
`public static final String`
`PREF_BUILD_CONFIGS_RESOURCE_CHANGES`
`"build.proj.ref.configs.enabled"`
`public static final String`
`PRESERVE_VIRTUAL_KEYWORD`
`"astwriter.preserveVirtual"`
`public static final String`
`SCALABILITY_LIMIT_TOKENS_PER_TU`
`"scalability.limitTokensPerTU"`
`public static final String`
`SCALABILITY_MAXIMUM_TOKENS`
`"scalability.maximumTokens"`
`public static final String`
`SCALABILITY_MAXIMUM_TRIVIAL_EXPRESSIONS`
`"scalability.maximumTrivialExpressions"`
`public static final String`
`SHOW_SOURCE_FILES_IN_BINARIES`
`"org.eclipse.cdt.core.showSourceFilesInBinaries"`
`public static final String`
`SHOW_SOURCE_NOT_FOUND_EDITOR`
`"org.eclipse.cdt.core.showSourceNotFoundEditor"`
`public static final String`
`SHOW_SOURCE_NOT_FOUND_EDITOR_ALL_THE_TIME`
`"all_time"`
`public static final String`
`SHOW_SOURCE_NOT_FOUND_EDITOR_DEFAULT`
`"all_time"`
`public static final String`
`SHOW_SOURCE_NOT_FOUND_EDITOR_NEVER`
`"never"`
`public static final String`
`SHOW_SOURCE_NOT_FOUND_EDITOR_SOMETIMES`
`"sometimes"`
`public static final String`
`SHOW_SOURCE_ROOTS_AT_TOP_LEVEL_OF_PROJECT`
`"org.eclipse.cdt.core.showSourceRootsAtTopLevelOfProject"`
`public static final String`
`TASK_PRIORITY_HIGH`
`"high"`
`public static final String`
`TASK_PRIORITY_LOW`
`"low"`
`public static final String`
`TASK_PRIORITY_NORMAL`
`"normal"`
`public static final String`
`TODO_TASK_CASE_SENSITIVE`
`"org.eclipse.cdt.core.taskCaseSensitive"`
`public static final String`
`TODO_TASK_PRIORITIES`
`"org.eclipse.cdt.core.taskPriorities"`
`public static final String`
`TODO_TASK_TAGS`
`"org.eclipse.cdt.core.taskTags"`
`public static final String`
`WORKSPACE_LANGUAGE_MAPPINGS`
`"org.eclipse.cdt.core.workspaceLanguageMappings"`
org.eclipse.cdt.core.CCProjectNature
Modifier and Type
Constant Field
Value
`public static final String`
`CC_NATURE_ID`
`"org.eclipse.cdt.core.ccnature"`
org.eclipse.cdt.core.CDescriptorEvent
Modifier and Type
Constant Field
Value
`public static final int`
`CDTPROJECT_ADDED`
`2`
`public static final int`
`CDTPROJECT_CHANGED`
`1`
`public static final int`
`CDTPROJECT_REMOVED`
`3`
`public static final int`
`EXTENSION_CHANGED`
`32`
`public static final int`
`OWNER_CHANGED`
`16`
org.eclipse.cdt.core.CommandLauncher
Modifier and Type
Constant Field
Value
`public static final int`
`COMMAND_CANCELED`
`1`
`protected static final long`
`DELAY`
`50L`
`public static final int`
`ILLEGAL_COMMAND`
`-1`
`public static final int`
`OK`
`0`
org.eclipse.cdt.core.CProjectNature
Modifier and Type
Constant Field
Value
`public static final String`
`C_NATURE_ID`
`"org.eclipse.cdt.core.cnature"`
org.eclipse.cdt.core.ErrorParserManager
Modifier and Type
Constant Field
Value
`public static final String`
`BUILD_CONTEXT`
`"build"`
`public static final char`
`ERROR_PARSER_DELIMITER`
`';'`
`public static final String`
`PREF_ERROR_PARSER`
`"org.eclipse.cdt.core.errorOutputParser"`
org.eclipse.cdt.core.IBinaryParser.IBinaryFile
Modifier and Type
Constant Field
Value
`public static final int`
`ARCHIVE`
`8`
`public static final int`
`CORE`
`16`
`public static final int`
`EXECUTABLE`
`2`
`public static final int`
`OBJECT`
`1`
`public static final int`
`SHARED`
`4`
org.eclipse.cdt.core.IBinaryParser.ISymbol
Modifier and Type
Constant Field
Value
`public static final int`
`FUNCTION`
`1`
`public static final int`
`VARIABLE`
`2`
org.eclipse.cdt.core.ICommandLauncher
Modifier and Type
Constant Field
Value
`public static final int`
`COMMAND_CANCELED`
`1`
`public static final int`
`ILLEGAL_COMMAND`
`-1`
`public static final int`
`OK`
`0`
org.eclipse.cdt.core.ICommandLauncherFactory2
Modifier and Type
Constant Field
Value
`public static final String`
`CONTAINER_BUILD_ENABLED`
`"container.build.enabled"`
org.eclipse.cdt.core.IErrorParser2
Modifier and Type
Constant Field
Value
`public static final int`
`KEEP_LONGLINES`
`4`
`public static final int`
`KEEP_UNTRIMMED`
`1`
`public static final int`
`NONE`
`0`
org.eclipse.cdt.core.IMarkerGenerator
Modifier and Type
Constant Field
Value
`public static final int`
`SEVERITY_ERROR_BUILD`
`3`
`public static final int`
`SEVERITY_ERROR_RESOURCE`
`2`
`public static final int`
`SEVERITY_INFO`
`0`
`public static final int`
`SEVERITY_WARNING`
`1`

org.eclipse.cdt.core.browser.IQualifiedTypeName
Modifier and Type
Constant Field
Value
`public static final String`
`QUALIFIER`
`"::"`

org.eclipse.cdt.core.build.ErrorBuildConfiguration
Modifier and Type
Constant Field
Value
`public static final String`
`NAME`
`"!"`
org.eclipse.cdt.core.build.ICBuildConfiguration
Modifier and Type
Constant Field
Value
`public static final String`
`TOOLCHAIN_ID`
`"cdt.toolChain.id"`
`public static final String`
`TOOLCHAIN_TYPE`
`"cdt.toolChain.type"`
org.eclipse.cdt.core.build.IToolChain
Modifier and Type
Constant Field
Value
`public static final String`
`ATTR_ARCH`
`"arch"`
`public static final String`
`ATTR_OS`
`"os"`
`public static final String`
`ATTR_PACKAGE`
`"package"`
org.eclipse.cdt.core.build.IToolChainConstants
Modifier and Type
Constant Field
Value
`public static final String`
`SECCOMP_UNDEFINED`
`"seccomp_undefined"`
org.eclipse.cdt.core.build.StandardBuildConfiguration
Modifier and Type
Constant Field
Value
`public static final String`
`BUILD_COMMAND`
`"stdbuild.build.command"`
`public static final String`
`BUILD_CONTAINER`
`"stdbuild.build.container"`
`public static final String`
`CLEAN_COMMAND`
`"stdbuild.clean.command"`

org.eclipse.cdt.core.cdtvariables.ICdtVariable
Modifier and Type
Constant Field
Value
`public static final int`
`VALUE_PATH_ANY`
`7`
`public static final int`
`VALUE_PATH_ANY_LIST`
`8`
`public static final int`
`VALUE_PATH_DIR`
`5`
`public static final int`
`VALUE_PATH_DIR_LIST`
`6`
`public static final int`
`VALUE_PATH_FILE`
`3`
`public static final int`
`VALUE_PATH_FILE_LIST`
`4`
`public static final int`
`VALUE_TEXT`
`1`
`public static final int`
`VALUE_TEXT_LIST`
`2`
org.eclipse.cdt.core.cdtvariables.ICdtVariableStatus
Modifier and Type
Constant Field
Value
`public static final int`
`TYPE_ERROR`
`-1`
`public static final int`
`TYPE_MACRO_NOT_STRING`
`4`
`public static final int`
`TYPE_MACRO_NOT_STRINGLIST`
`5`
`public static final int`
`TYPE_MACRO_REFERENCE_INCORRECT`
`3`
`public static final int`
`TYPE_MACRO_UNDEFINED`
`1`
`public static final int`
`TYPE_MACROS_REFERENCE_EACHOTHER`
`2`

org.eclipse.cdt.core.dom.CDOM
Modifier and Type
Constant Field
Value
`public static final int`
`PARSE_SAVED_RESOURCES`
`0`
`public static final int`
`PARSE_WORKING_COPY_WHENEVER_POSSIBLE`
`2`
`public static final int`
`PARSE_WORKING_COPY_WITH_SAVED_INCLUSIONS`
`1`
org.eclipse.cdt.core.dom.IASTServiceProvider.UnsupportedDialectException
Modifier and Type
Constant Field
Value
`public static final long`
`serialVersionUID`
`0L`
org.eclipse.cdt.core.dom.ILinkage
Modifier and Type
Constant Field
Value
`public static final int`
`C_LINKAGE_ID`
`2`
`public static final String`
`C_LINKAGE_NAME`
`"C"`
`public static final int`
`CPP_LINKAGE_ID`
`1`
`public static final String`
`CPP_LINKAGE_NAME`
`"C++"`
`public static final int`
`FORTRAN_LINKAGE_ID`
`3`
`public static final String`
`FORTRAN_LINKAGE_NAME`
`"Fortran"`
`public static final int`
`MAX_LINKAGE_ID`
`3`
`public static final int`
`NO_LINKAGE_ID`
`0`
`public static final String`
`NO_LINKAGE_NAME`
`"none"`
`public static final int`
`OBJC_LINKAGE_ID`
`4`
`public static final String`
`OBJC_LINKAGE_NAME`
`"Objective-C"`
`public static final int`
`QT_LINKAGE_ID`
`5`
`public static final String`
`QT_LINKAGE_NAME`
`"Qt"`
org.eclipse.cdt.core.dom.IPDOMIndexerTask
Modifier and Type
Constant Field
Value
`public static final String`
`TRACE_ACTIVITY`
`"org.eclipse.cdt.core/debug/indexer/activity"`
`public static final String`
`TRACE_INCLUSION_PROBLEMS`
`"org.eclipse.cdt.core/debug/indexer/problems/inclusion"`
`public static final String`
`TRACE_PROBLEMS`
`"org.eclipse.cdt.core/debug/indexer/problems"`
`public static final String`
`TRACE_SCANNER_PROBLEMS`
`"org.eclipse.cdt.core/debug/indexer/problems/scanner"`
`public static final String`
`TRACE_STATISTICS`
`"org.eclipse.cdt.core/debug/indexer/statistics"`
`public static final String`
`TRACE_SYNTAX_PROBLEMS`
`"org.eclipse.cdt.core/debug/indexer/problems/syntax"`
org.eclipse.cdt.core.dom.IPDOMManager
Modifier and Type
Constant Field
Value
`public static final String`
`ID_FAST_INDEXER`
`"org.eclipse.cdt.core.fastIndexer"`
`public static final String`
`ID_FULL_INDEXER`
`"org.eclipse.cdt.core.domsourceindexer"`
`public static final String`
`ID_NO_INDEXER`
`"org.eclipse.cdt.core.nullindexer"`

org.eclipse.cdt.core.dom.ast.ASTVisitor
Modifier and Type
Constant Field
Value
`public static final int`
`PROCESS_ABORT`
`2`
`public static final int`
`PROCESS_CONTINUE`
`3`
`public static final int`
`PROCESS_SKIP`
`1`
org.eclipse.cdt.core.dom.ast.IASTBinaryExpression
Modifier and Type
Constant Field
Value
`public static final int`
`op_assign`
`17`
`public static final int`
`op_binaryAnd`
`12`
`public static final int`
`op_binaryAndAssign`
`25`
`public static final int`
`op_binaryOr`
`14`
`public static final int`
`op_binaryOrAssign`
`27`
`public static final int`
`op_binaryXor`
`13`
`public static final int`
`op_binaryXorAssign`
`26`
`public static final int`
`op_divide`
`2`
`public static final int`
`op_divideAssign`
`19`
`public static final int`
`op_ellipses`
`34`
`public static final int`
`op_equals`
`28`
`public static final int`
`op_greaterEqual`
`11`
`public static final int`
`op_greaterThan`
`9`
`public static final int`
`op_lessEqual`
`10`
`public static final int`
`op_lessThan`
`8`
`public static final int`
`op_logicalAnd`
`15`
`public static final int`
`op_logicalOr`
`16`
`public static final int`
`op_max`
`32`
`public static final int`
`op_min`
`33`
`public static final int`
`op_minus`
`5`
`public static final int`
`op_minusAssign`
`22`
`public static final int`
`op_modulo`
`3`
`public static final int`
`op_moduloAssign`
`20`
`public static final int`
`op_multiply`
`1`
`public static final int`
`op_multiplyAssign`
`18`
`public static final int`
`op_notequals`
`29`
`public static final int`
`op_plus`
`4`
`public static final int`
`op_plusAssign`
`21`
`public static final int`
`op_pmarrow`
`31`
`public static final int`
`op_pmdot`
`30`
`public static final int`
`op_shiftLeft`
`6`
`public static final int`
`op_shiftLeftAssign`
`23`
`public static final int`
`op_shiftRight`
`7`
`public static final int`
`op_shiftRightAssign`
`24`
`public static final int`
`op_threewaycomparison`
`35`
org.eclipse.cdt.core.dom.ast.IASTCastExpression
Modifier and Type
Constant Field
Value
`public static final int`
`op_cast`
`0`
`public static final int`
`op_last`
`0`
org.eclipse.cdt.core.dom.ast.IASTCompositeTypeSpecifier
Modifier and Type
Constant Field
Value
`public static final int`
`k_last`
`2`
`public static final int`
`k_struct`
`1`
`public static final int`
`k_union`
`2`
org.eclipse.cdt.core.dom.ast.IASTDeclSpecifier
Modifier and Type
Constant Field
Value
`public static final int`
`sc_auto`
`4`
`public static final int`
`sc_extern`
`2`
`public static final int`
`sc_mutable`
`6`
`public static final int`
`sc_register`
`5`
`public static final int`
`sc_static`
`3`
`public static final int`
`sc_typedef`
`1`
`public static final int`
`sc_unspecified`
`0`
org.eclipse.cdt.core.dom.ast.IASTElaboratedTypeSpecifier
Modifier and Type
Constant Field
Value
`public static final int`
`k_enum`
`0`
`public static final int`
`k_last`
`2`
`public static final int`
`k_struct`
`1`
`public static final int`
`k_union`
`2`
org.eclipse.cdt.core.dom.ast.IASTImageLocation
Modifier and Type
Constant Field
Value
`public static final int`
`ARGUMENT_TO_MACRO_EXPANSION`
`3`
`public static final int`
`MACRO_DEFINITION`
`2`
`public static final int`
`REGULAR_CODE`
`1`
org.eclipse.cdt.core.dom.ast.IASTLiteralExpression
Modifier and Type
Constant Field
Value
`public static final int`
`lk_char_constant`
`2`
`public static final int`
`lk_false`
`6`
`public static final int`
`lk_float_constant`
`1`
`public static final int`
`lk_integer_constant`
`0`
`public static final int`
`lk_nullptr`
`7`
`public static final int`
`lk_string_literal`
`3`
`public static final int`
`lk_this`
`4`
`public static final int`
`lk_true`
`5`
org.eclipse.cdt.core.dom.ast.IASTNameOwner
Modifier and Type
Constant Field
Value
`public static final int`
`r_declaration`
`0`
`public static final int`
`r_definition`
`2`
`public static final int`
`r_reference`
`1`
`public static final int`
`r_unclear`
`3`
org.eclipse.cdt.core.dom.ast.IASTSimpleDeclSpecifier
Modifier and Type
Constant Field
Value
`public static final int`
`t_auto`
`10`
`public static final int`
`t_bool`
`6`
`public static final int`
`t_char`
`2`
`public static final int`
`t_char16_t`
`11`
`public static final int`
`t_char32_t`
`12`
`public static final int`
`t_char8_t`
`19`
`public static final int`
`t_decimal128`
`17`
`public static final int`
`t_decimal32`
`15`
`public static final int`
`t_decimal64`
`16`
`public static final int`
`t_decltype`
`9`
`public static final int`
`t_decltype_auto`
`18`
`public static final int`
`t_double`
`5`
`public static final int`
`t_float`
`4`
`public static final int`
`t_float128`
`14`
`public static final int`
`t_int`
`3`
`public static final int`
`t_int128`
`13`
`public static final int`
`t_typeof`
`8`
`public static final int`
`t_unspecified`
`0`
`public static final int`
`t_void`
`1`
`public static final int`
`t_wchar_t`
`7`
org.eclipse.cdt.core.dom.ast.IASTTypeIdExpression
Modifier and Type
Constant Field
Value
`public static final int`
`op_alignof`
`2`
`public static final int`
`op_has_nothrow_assign`
`4`
`public static final int`
`op_has_nothrow_constructor`
`6`
`public static final int`
`op_has_nothrow_copy`
`5`
`public static final int`
`op_has_trivial_assign`
`7`
`public static final int`
`op_has_trivial_constructor`
`9`
`public static final int`
`op_has_trivial_copy`
`8`
`public static final int`
`op_has_trivial_destructor`
`10`
`public static final int`
`op_has_unique_object_representations`
`25`
`public static final int`
`op_has_virtual_destructor`
`11`
`public static final int`
`op_is_abstract`
`12`
`public static final int`
`op_is_aggregate`
`26`
`public static final int`
`op_is_class`
`13`
`public static final int`
`op_is_empty`
`14`
`public static final int`
`op_is_enum`
`15`
`public static final int`
`op_is_final`
`23`
`public static final int`
`op_is_function`
`27`
`public static final int`
`op_is_literal_type`
`19`
`public static final int`
`op_is_pod`
`16`
`public static final int`
`op_is_polymorphic`
`17`
`public static final int`
`op_is_standard_layout`
`20`
`public static final int`
`op_is_trivial`
`21`
`public static final int`
`op_is_trivially_copyable`
`24`
`public static final int`
`op_is_union`
`18`
`public static final int`
`op_sizeof`
`0`
`public static final int`
`op_sizeofParameterPack`
`22`
`public static final int`
`op_typeid`
`1`
`public static final int`
`op_typeof`
`3`
org.eclipse.cdt.core.dom.ast.IASTUnaryExpression
Modifier and Type
Constant Field
Value
`public static final int`
`op_alignOf`
`15`
`public static final int`
`op_amper`
`5`
`public static final int`
`op_bracketedPrimary`
`11`
`public static final int`
`op_integerPack`
`19`
`public static final int`
`op_labelReference`
`18`
`public static final int`
`op_minus`
`3`
`public static final int`
`op_noexcept`
`17`
`public static final int`
`op_not`
`7`
`public static final int`
`op_plus`
`2`
`public static final int`
`op_postFixDecr`
`10`
`public static final int`
`op_postFixIncr`
`9`
`public static final int`
`op_prefixDecr`
`1`
`public static final int`
`op_prefixIncr`
`0`
`public static final int`
`op_sizeof`
`8`
`public static final int`
`op_sizeofParameterPack`
`16`
`public static final int`
`op_star`
`4`
`public static final int`
`op_throw`
`12`
`public static final int`
`op_tilde`
`6`
`public static final int`
`op_typeid`
`13`
`public static final int`
`op_typeof`
`14`
org.eclipse.cdt.core.dom.ast.IBasicType
Modifier and Type
Constant Field
Value
`public static final int`
`IS_COMPLEX`
`16`
`public static final int`
`IS_IMAGINARY`
`32`
`public static final int`
`IS_LONG`
`1`
`public static final int`
`IS_LONG_LONG`
`64`
`public static final int`
`IS_SHORT`
`2`
`public static final int`
`IS_SIGNED`
`4`
`public static final int`
`IS_UNSIGNED`
`8`
`public static final int`
`t_char`
`2`
`public static final int`
`t_double`
`5`
`public static final int`
`t_float`
`4`
`public static final int`
`t_int`
`3`
`public static final int`
`t_unspecified`
`0`
`public static final int`
`t_void`
`1`
org.eclipse.cdt.core.dom.ast.ICompositeType
Modifier and Type
Constant Field
Value
`public static final int`
`k_struct`
`1`
`public static final int`
`k_union`
`2`
org.eclipse.cdt.core.dom.ast.IProblemBinding
Modifier and Type
Constant Field
Value
`public static final int`
`LAST_PROBLEM`
`14`
`public static final int`
`SEMANTIC_AMBIGUOUS_LOOKUP`
`4`
`public static final int`
`SEMANTIC_BAD_SCOPE`
`10`
`public static final int`
`SEMANTIC_CIRCULAR_INHERITANCE`
`6`
`public static final int`
`SEMANTIC_DEFINITION_NOT_FOUND`
`7`
`public static final int`
`SEMANTIC_INVALID_OVERLOAD`
`2`
`public static final int`
`SEMANTIC_INVALID_REDECLARATION`
`12`
`public static final int`
`SEMANTIC_INVALID_REDEFINITION`
`11`
`public static final int`
`SEMANTIC_INVALID_STRUCTURED_BINDING_INITIALIZER`
`17`
`public static final int`
`SEMANTIC_INVALID_TEMPLATE_ARGUMENTS`
`15`
`public static final int`
`SEMANTIC_INVALID_TEMPLATE_INSTANTIATION`
`18`
`public static final int`
`SEMANTIC_INVALID_TYPE`
`5`
`public static final int`
`SEMANTIC_INVALID_USING`
`3`
`public static final int`
`SEMANTIC_KNR_PARAMETER_DECLARATION_NOT_FOUND`
`8`
`public static final int`
`SEMANTIC_LABEL_STATEMENT_NOT_FOUND`
`9`
`public static final int`
`SEMANTIC_MEMBER_DECLARATION_NOT_FOUND`
`13`
`public static final int`
`SEMANTIC_NAME_NOT_FOUND`
`1`
`public static final int`
`SEMANTIC_RECURSION_IN_LOOKUP`
`14`
org.eclipse.cdt.core.dom.ast.ISemanticProblem
Modifier and Type
Constant Field
Value
`public static final int`
`BINDING_AMBIGUOUS_LOOKUP`
`4`
`public static final int`
`BINDING_BAD_SCOPE`
`10`
`public static final int`
`BINDING_CIRCULAR_INHERITANCE`
`6`
`public static final int`
`BINDING_DEFINITION_NOT_FOUND`
`7`
`public static final int`
`BINDING_INVALID_OVERLOAD`
`2`
`public static final int`
`BINDING_INVALID_REDECLARATION`
`12`
`public static final int`
`BINDING_INVALID_REDEFINITION`
`11`
`public static final int`
`BINDING_INVALID_STRUCTURED_BINDING_INITIALIZER`
`17`
`public static final int`
`BINDING_INVALID_TEMPLATE_ARGUMENTS`
`15`
`public static final int`
`BINDING_INVALID_TEMPLATE_INSTANTIATION`
`18`
`public static final int`
`BINDING_INVALID_TYPE`
`5`
`public static final int`
`BINDING_INVALID_USING`
`3`
`public static final int`
`BINDING_KNR_PARAMETER_DECLARATION_NOT_FOUND`
`8`
`public static final int`
`BINDING_LABEL_STATEMENT_NOT_FOUND`
`9`
`public static final int`
`BINDING_MEMBER_DECLARATION_NOT_FOUND`
`13`
`public static final int`
`BINDING_NO_CLASS`
`16`
`public static final int`
`BINDING_NOT_FOUND`
`1`
`public static final int`
`BINDING_RECURSION_IN_LOOKUP`
`14`
`public static final int`
`TYPE_AUTO_FOR_NON_STATIC_FIELD`
`10002`
`public static final int`
`TYPE_AUTO_FOR_VIRTUAL_METHOD`
`10008`
`public static final int`
`TYPE_CANNOT_DEDUCE_AUTO_TYPE`
`10003`
`public static final int`
`TYPE_CANNOT_DEDUCE_DECLTYPE_AUTO_TYPE`
`10007`
`public static final int`
`TYPE_CANNOT_DEDUCE_STRUCTURED_BINDING_TYPE`
`10009`
`public static final int`
`TYPE_ENUMERATION_EXPECTED`
`10006`
`public static final int`
`TYPE_NO_NAME`
`10000`
`public static final int`
`TYPE_NOT_PERSISTED`
`10005`
`public static final int`
`TYPE_UNKNOWN_FOR_EXPRESSION`
`10004`
`public static final int`
`TYPE_UNRESOLVED_NAME`
`10001`

org.eclipse.cdt.core.dom.ast.c.ICASTSimpleDeclSpecifier
Modifier and Type
Constant Field
Value
`public static final int`
`t_Bool`
`6`
org.eclipse.cdt.core.dom.ast.c.ICBasicType
Modifier and Type
Constant Field
Value
`public static final int`
`t_Bool`
`6`

org.eclipse.cdt.core.dom.ast.cpp.ICPPASTBinaryExpression
Modifier and Type
Constant Field
Value
`public static final int`
`op_pmarrow`
`31`
`public static final int`
`op_pmdot`
`30`
org.eclipse.cdt.core.dom.ast.cpp.ICPPASTCastExpression
Modifier and Type
Constant Field
Value
`public static final int`
`op_const_cast`
`4`
`public static final int`
`op_dynamic_cast`
`1`
`public static final int`
`op_last`
`4`
`public static final int`
`op_reinterpret_cast`
`3`
`public static final int`
`op_static_cast`
`2`
org.eclipse.cdt.core.dom.ast.cpp.ICPPASTCompositeTypeSpecifier
Modifier and Type
Constant Field
Value
`public static final int`
`k_class`
`3`
`public static final int`
`k_last`
`3`
org.eclipse.cdt.core.dom.ast.cpp.ICPPASTCompositeTypeSpecifier.ICPPASTBaseSpecifier
Modifier and Type
Constant Field
Value
`public static final int`
`v_private`
`3`
`public static final int`
`v_protected`
`2`
`public static final int`
`v_public`
`1`
org.eclipse.cdt.core.dom.ast.cpp.ICPPASTElaboratedTypeSpecifier
Modifier and Type
Constant Field
Value
`public static final int`
`k_class`
`3`
`public static final int`
`k_last`
`3`
org.eclipse.cdt.core.dom.ast.cpp.ICPPASTExplicitTemplateInstantiation
Modifier and Type
Constant Field
Value
`public static final int`
`EXTERN`
`3`
`public static final int`
`INLINE`
`2`
`public static final int`
`STATIC`
`1`
org.eclipse.cdt.core.dom.ast.cpp.ICPPASTLiteralExpression
Modifier and Type
Constant Field
Value
`public static final int`
`lk_false`
`6`
`public static final int`
`lk_last`
`6`
`public static final int`
`lk_this`
`4`
`public static final int`
`lk_true`
`5`
org.eclipse.cdt.core.dom.ast.cpp.ICPPASTSimpleTypeConstructorExpression
Modifier and Type
Constant Field
Value
`public static final int`
`t_bool`
`6`
`public static final int`
`t_char`
`2`
`public static final int`
`t_double`
`5`
`public static final int`
`t_float`
`4`
`public static final int`
`t_int`
`3`
`public static final int`
`t_long`
`9`
`public static final int`
`t_short`
`8`
`public static final int`
`t_signed`
`10`
`public static final int`
`t_unsigned`
`11`
`public static final int`
`t_unspecified`
`0`
`public static final int`
`t_void`
`1`
`public static final int`
`t_wchar_t`
`7`
org.eclipse.cdt.core.dom.ast.cpp.ICPPASTSimpleTypeTemplateParameter
Modifier and Type
Constant Field
Value
`public static final int`
`st_class`
`1`
`public static final int`
`st_typename`
`2`
org.eclipse.cdt.core.dom.ast.cpp.ICPPASTTemplatedTypeTemplateParameter
Modifier and Type
Constant Field
Value
`public static final int`
`tt_class`
`1`
`public static final int`
`tt_typename`
`2`
org.eclipse.cdt.core.dom.ast.cpp.ICPPASTTypeIdExpression
Modifier and Type
Constant Field
Value
`public static final int`
`op_typeid`
`1`
org.eclipse.cdt.core.dom.ast.cpp.ICPPASTUnaryExpression
Modifier and Type
Constant Field
Value
`public static final int`
`op_throw`
`12`
`public static final int`
`op_typeid`
`13`
org.eclipse.cdt.core.dom.ast.cpp.ICPPASTVisibilityLabel
Modifier and Type
Constant Field
Value
`public static final int`
`v_private`
`3`
`public static final int`
`v_protected`
`2`
`public static final int`
`v_public`
`1`
org.eclipse.cdt.core.dom.ast.cpp.ICPPBase
Modifier and Type
Constant Field
Value
`public static final int`
`v_private`
`3`
`public static final int`
`v_protected`
`2`
`public static final int`
`v_public`
`1`
org.eclipse.cdt.core.dom.ast.cpp.ICPPBasicType
Modifier and Type
Constant Field
Value
`public static final int`
`LAST`
`64`
`public static final int`
`t_bool`
`6`
`public static final int`
`t_wchar_t`
`7`
org.eclipse.cdt.core.dom.ast.cpp.ICPPClassType
Modifier and Type
Constant Field
Value
`public static final int`
`k_class`
`3`
`public static final int`
`v_private`
`3`
`public static final int`
`v_protected`
`2`
`public static final int`
`v_public`
`1`
org.eclipse.cdt.core.dom.ast.cpp.ICPPMember
Modifier and Type
Constant Field
Value
`public static final int`
`v_private`
`3`
`public static final int`
`v_protected`
`2`
`public static final int`
`v_public`
`1`

org.eclipse.cdt.core.dom.ast.gnu.IGNUASTTypeIdExpression
Modifier and Type
Constant Field
Value
`public static final int`
`op_alignof`
`2`
`public static final int`
`op_typeof`
`3`

org.eclipse.cdt.core.dom.ast.gnu.c.GCCLanguage
Modifier and Type
Constant Field
Value
`public static final String`
`ID`
`"org.eclipse.cdt.core.gcc"`

org.eclipse.cdt.core.dom.ast.gnu.cpp.GPPLanguage
Modifier and Type
Constant Field
Value
`public static final int`
`GNU_LATEST_VERSION_MAJOR`
`4`
`public static final int`
`GNU_LATEST_VERSION_MINOR`
`7`
`public static final String`
`ID`
`"org.eclipse.cdt.core.g++"`
org.eclipse.cdt.core.dom.ast.gnu.cpp.IGPPASTBinaryExpression
Modifier and Type
Constant Field
Value
`public static final int`
`op_max`
`32`
`public static final int`
`op_min`
`33`
org.eclipse.cdt.core.dom.ast.gnu.cpp.IGPPASTExplicitTemplateInstantiation
Modifier and Type
Constant Field
Value
`public static final int`
`ti_extern`
`3`
`public static final int`
`ti_inline`
`2`
`public static final int`
`ti_static`
`1`
org.eclipse.cdt.core.dom.ast.gnu.cpp.IGPPBasicType
Modifier and Type
Constant Field
Value
`public static final int`
`t_typeof`
`8`

org.eclipse.cdt.core.dom.ast.tag.ITag
Modifier and Type
Constant Field
Value
`public static final int`
`FAIL`
`-1`

org.eclipse.cdt.core.dom.parser.IExtensionToken
Modifier and Type
Constant Field
Value
`public static final int`
`t__otherDeclSpecModifierFirst`
`243`
`public static final int`
`t__otherDeclSpecModifierLast`
`253`

org.eclipse.cdt.core.envvar.IEnvironmentVariable
Modifier and Type
Constant Field
Value
`public static final int`
`ENVVAR_APPEND`
`4`
`public static final int`
`ENVVAR_PREPEND`
`3`
`public static final int`
`ENVVAR_REMOVE`
`2`
`public static final int`
`ENVVAR_REPLACE`
`1`

org.eclipse.cdt.core.errorparsers.RegexErrorPattern
Modifier and Type
Constant Field
Value
`public static final int`
`SEVERITY_SKIP`
`-1`

org.eclipse.cdt.core.formatter.CodeFormatter
Modifier and Type
Constant Field
Value
`public static final String`
`EMPTY_STRING`
`""`
`public static final int`
`K_CLASS_BODY_DECLARATIONS`
`4`
`public static final int`
`K_COMPILATION_UNIT`
`8`
`public static final int`
`K_EXPRESSION`
`1`
`public static final int`
`K_MULTI_LINE_COMMENT`
`32`
`public static final int`
`K_SINGLE_LINE_COMMENT`
`16`
`public static final int`
`K_STATEMENTS`
`2`
`public static final int`
`K_TRANSLATION_UNIT`
`8`
`public static final int`
`K_UNKNOWN`
`0`
org.eclipse.cdt.core.formatter.DefaultCodeFormatterConstants
Modifier and Type
Constant Field
Value
`public static final String`
`END_OF_LINE`
`"end_of_line"`
`public static final String`
`FALSE`
`"false"`
`public static final String`
`FORMATTER_ALIGNMENT_FOR_ARGUMENTS_IN_METHOD_INVOCATION`
`"org.eclipse.cdt.core.formatter.alignment_for_arguments_in_method_invocation"`
`public static final String`
`FORMATTER_ALIGNMENT_FOR_ASSIGNMENT`
`"org.eclipse.cdt.core.formatter.alignment_for_assignment"`
`public static final String`
`FORMATTER_ALIGNMENT_FOR_BASE_CLAUSE_IN_TYPE_DECLARATION`
`"org.eclipse.cdt.core.formatter.alignment_for_base_clause_in_type_declaration"`
`public static final String`
`FORMATTER_ALIGNMENT_FOR_BINARY_EXPRESSION`
`"org.eclipse.cdt.core.formatter.alignment_for_binary_expression"`
`public static final String`
`FORMATTER_ALIGNMENT_FOR_COMPACT_IF`
`"org.eclipse.cdt.core.formatter.alignment_for_compact_if"`
`public static final String`
`FORMATTER_ALIGNMENT_FOR_CONDITIONAL_EXPRESSION`
`"org.eclipse.cdt.core.formatter.alignment_for_conditional_expression"`
`public static final String`
`FORMATTER_ALIGNMENT_FOR_CONDITIONAL_EXPRESSION_CHAIN`
`"org.eclipse.cdt.core.formatter.alignment_for_conditional_expression_chain"`
`public static final String`
`FORMATTER_ALIGNMENT_FOR_CONSTRUCTOR_INITIALIZER_LIST`
`"org.eclipse.cdt.core.formatter.alignment_for_constructor_initializer_list"`
`public static final String`
`FORMATTER_ALIGNMENT_FOR_DECLARATOR_LIST`
`"org.eclipse.cdt.core.formatter.alignment_for_declarator_list"`
`public static final String`
`FORMATTER_ALIGNMENT_FOR_ENUMERATOR_LIST`
`"org.eclipse.cdt.core.formatter.alignment_for_enumerator_list"`
`public static final String`
`FORMATTER_ALIGNMENT_FOR_EXPRESSION_LIST`
`"org.eclipse.cdt.core.formatter.alignment_for_expression_list"`
`public static final String`
`FORMATTER_ALIGNMENT_FOR_EXPRESSIONS_IN_INITIALIZER_LIST`
`"org.eclipse.cdt.core.formatter.alignment_for_expressions_in_array_initializer"`
`public static final String`
`FORMATTER_ALIGNMENT_FOR_LAMBDA_EXPRESSION`
`"org.eclipse.cdt.core.formatter.alignment_for_lambda_expression"`
`public static final String`
`FORMATTER_ALIGNMENT_FOR_MEMBER_ACCESS`
`"org.eclipse.cdt.core.formatter.alignment_for_member_access"`
`public static final String`
`FORMATTER_ALIGNMENT_FOR_OVERLOADED_LEFT_SHIFT_CHAIN`
`"org.eclipse.cdt.core.formatter.alignment_for_overloaded_left_shift_chain"`
`public static final String`
`FORMATTER_ALIGNMENT_FOR_PARAMETERS_IN_METHOD_DECLARATION`
`"org.eclipse.cdt.core.formatter.alignment_for_parameters_in_method_declaration"`
`public static final String`
`FORMATTER_ALIGNMENT_FOR_THROWS_CLAUSE_IN_METHOD_DECLARATION`
`"org.eclipse.cdt.core.formatter.alignment_for_throws_clause_in_method_declaration"`
`public static final String`
`FORMATTER_BRACE_POSITION_FOR_BLOCK`
`"org.eclipse.cdt.core.formatter.brace_position_for_block"`
`public static final String`
`FORMATTER_BRACE_POSITION_FOR_BLOCK_IN_CASE`
`"org.eclipse.cdt.core.formatter.brace_position_for_block_in_case"`
`public static final String`
`FORMATTER_BRACE_POSITION_FOR_INITIALIZER_LIST`
`"org.eclipse.cdt.core.formatter.brace_position_for_array_initializer"`
`public static final String`
`FORMATTER_BRACE_POSITION_FOR_LINKAGE_DECLARATION`
`"org.eclipse.cdt.core.formatter.brace_position_for_linkage_declaration"`
`public static final String`
`FORMATTER_BRACE_POSITION_FOR_METHOD_DECLARATION`
`"org.eclipse.cdt.core.formatter.brace_position_for_method_declaration"`
`public static final String`
`FORMATTER_BRACE_POSITION_FOR_NAMESPACE_DECLARATION`
`"org.eclipse.cdt.core.formatter.brace_position_for_namespace_declaration"`
`public static final String`
`FORMATTER_BRACE_POSITION_FOR_SWITCH`
`"org.eclipse.cdt.core.formatter.brace_position_for_switch"`
`public static final String`
`FORMATTER_BRACE_POSITION_FOR_TYPE_DECLARATION`
`"org.eclipse.cdt.core.formatter.brace_position_for_type_declaration"`
`public static final String`
`FORMATTER_COMMENT_BLOCK`
`"org.eclipse.cdt.core.formatter.format_block_comment"`
`public static final String`
`FORMATTER_COMMENT_HEADER`
`"org.eclipse.cdt.core.formatter.format_header_comment"`
`public static final String`
`FORMATTER_COMMENT_LINE`
`"org.eclipse.cdt.core.formatter.format_line_comment"`
`public static final String`
`FORMATTER_COMMENT_LINE_UP_LINE_COMMENT_IN_BLOCKS_ON_FIRST_COLUMN`
`"org.eclipse.cdt.core.formatter.comment.line_up_line_comment_in_blocks_on_first_column"`
`public static final String`
`FORMATTER_COMMENT_MIN_DISTANCE_BETWEEN_CODE_AND_LINE_COMMENT`
`"org.eclipse.cdt.core.formatter.comment.min_distance_between_code_and_line_comment"`
`public static final String`
`FORMATTER_COMMENT_NEVER_INDENT_LINE_COMMENTS_ON_FIRST_COLUMN`
`"org.eclipse.cdt.core.formatter.comment.never_indent_line_comments_on_first_column"`
`public static final String`
`FORMATTER_COMMENT_OFF_TAG`
`"org.eclipse.cdt.core.formatter.comment_formatter_off_tag"`
`public static final String`
`FORMATTER_COMMENT_ON_TAG`
`"org.eclipse.cdt.core.formatter.comment_formatter_on_tag"`
`public static final String`
`FORMATTER_COMMENT_PRESERVE_WHITE_SPACE_BETWEEN_CODE_AND_LINE_COMMENT`
`"org.eclipse.cdt.core.formatter.comment.preserve_white_space_between_code_and_line_comments"`
`public static final String`
`FORMATTER_COMPACT_ELSE_IF`
`"org.eclipse.cdt.core.formatter.compact_else_if"`
`public static final String`
`FORMATTER_CONTINUATION_INDENTATION`
`"org.eclipse.cdt.core.formatter.continuation_indentation"`
`public static final String`
`FORMATTER_CONTINUATION_INDENTATION_FOR_INITIALIZER_LIST`
`"org.eclipse.cdt.core.formatter.continuation_indentation_for_array_initializer"`
`public static final String`
`FORMATTER_CURRENT_FILE`
`"org.eclipse.cdt.core.formatter.current_file"`
`public static final String`
`FORMATTER_INDENT_ACCESS_SPECIFIER_COMPARE_TO_TYPE_HEADER`
`"org.eclipse.cdt.core.formatter.indent_access_specifier_compare_to_type_header"`
`public static final String`
`FORMATTER_INDENT_ACCESS_SPECIFIER_EXTRA_SPACES`
`"org.eclipse.cdt.core.formatter.indent_access_specifier_extra_spaces"`
`public static final String`
`FORMATTER_INDENT_BODY_DECLARATIONS_COMPARE_TO_ACCESS_SPECIFIER`
`"org.eclipse.cdt.core.formatter.indent_body_declarations_compare_to_access_specifier"`
`public static final String`
`FORMATTER_INDENT_BODY_DECLARATIONS_COMPARE_TO_LINKAGE`
`"org.eclipse.cdt.core.formatter.indent_body_declarations_compare_to_linkage"`
`public static final String`
`FORMATTER_INDENT_BODY_DECLARATIONS_COMPARE_TO_NAMESPACE_HEADER`
`"org.eclipse.cdt.core.formatter.indent_body_declarations_compare_to_namespace_header"`
`public static final String`
`FORMATTER_INDENT_BREAKS_COMPARE_TO_CASES`
`"org.eclipse.cdt.core.formatter.indent_breaks_compare_to_cases"`
`public static final String`
`FORMATTER_INDENT_DECLARATION_COMPARE_TO_TEMPLATE_HEADER`
`"org.eclipse.cdt.core.formatter.indent_declaration_compare_to_template_header"`
`public static final String`
`FORMATTER_INDENT_EMPTY_LINES`
`"org.eclipse.cdt.core.formatter.indent_empty_lines"`
`public static final String`
`FORMATTER_INDENT_INSIDE_LINE_COMMENTS`
`"org.eclipse.cdt.core.formatter.indent_inside_line_comments"`
`public static final String`
`FORMATTER_INDENT_LABEL_COMPARE_TO_STATEMENTS`
`"org.eclipse.cdt.core.formatter.indent_label_compare_to_statements"`
`public static final String`
`FORMATTER_INDENT_STATEMENTS_COMPARE_TO_BLOCK`
`"org.eclipse.cdt.core.formatter.indent_statements_compare_to_block"`
`public static final String`
`FORMATTER_INDENT_STATEMENTS_COMPARE_TO_BODY`
`"org.eclipse.cdt.core.formatter.indent_statements_compare_to_body"`
`public static final String`
`FORMATTER_INDENT_SWITCHSTATEMENTS_COMPARE_TO_CASES`
`"org.eclipse.cdt.core.formatter.indent_switchstatements_compare_to_cases"`
`public static final String`
`FORMATTER_INDENT_SWITCHSTATEMENTS_COMPARE_TO_SWITCH`
`"org.eclipse.cdt.core.formatter.indent_switchstatements_compare_to_switch"`
`public static final String`
`FORMATTER_INDENTATION_SIZE`
`"org.eclipse.cdt.core.formatter.indentation.size"`
`public static final String`
`FORMATTER_INSERT_NEW_LINE_AFTER_COLON_IN_CONSTRUCTOR_INITIALIZER_LIST`
`"org.eclipse.cdt.core.formatter.insert_new_line_after_colon_in_constructor_initializer_list"`
`public static final String`
`FORMATTER_INSERT_NEW_LINE_AFTER_LABEL`
`"org.eclipse.cdt.core.formatter.insert_new_line_after_label"`
`public static final String`
`FORMATTER_INSERT_NEW_LINE_AFTER_OPENING_BRACE_IN_INITIALIZER_LIST`
`"org.eclipse.cdt.core.formatter.insert_new_line_after_opening_brace_in_array_initializer"`
`public static final String`
`FORMATTER_INSERT_NEW_LINE_AFTER_TEMPLATE_DECLARATION`
`"org.eclipse.cdt.core.formatter.insert_new_line_after_template_declaration"`
`public static final String`
`FORMATTER_INSERT_NEW_LINE_AT_END_OF_FILE_IF_MISSING`
`"org.eclipse.cdt.core.formatter.insert_new_line_at_end_of_file_if_missing"`
`public static final String`
`FORMATTER_INSERT_NEW_LINE_BEFORE_CATCH_IN_TRY_STATEMENT`
`"org.eclipse.cdt.core.formatter.insert_new_line_before_catch_in_try_statement"`
`public static final String`
`FORMATTER_INSERT_NEW_LINE_BEFORE_CLOSING_BRACE_IN_INITIALIZER_LIST`
`"org.eclipse.cdt.core.formatter.insert_new_line_before_closing_brace_in_array_initializer"`
`public static final String`
`FORMATTER_INSERT_NEW_LINE_BEFORE_COLON_IN_CONSTRUCTOR_INITIALIZER_LIST`
`"org.eclipse.cdt.core.formatter.insert_new_line_before_colon_in_constructor_initializer_list"`
`public static final String`
`FORMATTER_INSERT_NEW_LINE_BEFORE_ELSE_IN_IF_STATEMENT`
`"org.eclipse.cdt.core.formatter.insert_new_line_before_else_in_if_statement"`
`public static final String`
`FORMATTER_INSERT_NEW_LINE_BEFORE_IDENTIFIER_IN_FUNCTION_DECLARATION`
`"org.eclipse.cdt.core.formatter.insert_new_line_before_identifier_in_function_declaration"`
`public static final String`
`FORMATTER_INSERT_NEW_LINE_BEFORE_WHILE_IN_DO_STATEMENT`
`"org.eclipse.cdt.core.formatter.insert_new_line_before_while_in_do_statement"`
`public static final String`
`FORMATTER_INSERT_NEW_LINE_IN_EMPTY_BLOCK`
`"org.eclipse.cdt.core.formatter.insert_new_line_in_empty_block"`
`public static final String`
`FORMATTER_INSERT_SPACE_AFTER_ASSIGNMENT_OPERATOR`
`"org.eclipse.cdt.core.formatter.insert_space_after_assignment_operator"`
`public static final String`
`FORMATTER_INSERT_SPACE_AFTER_BINARY_OPERATOR`
`"org.eclipse.cdt.core.formatter.insert_space_after_binary_operator"`
`public static final String`
`FORMATTER_INSERT_SPACE_AFTER_CLOSING_ANGLE_BRACKET_IN_TEMPLATE_ARGUMENTS`
`"org.eclipse.cdt.core.formatter.insert_space_after_closing_angle_bracket_in_template_arguments"`
`public static final String`
`FORMATTER_INSERT_SPACE_AFTER_CLOSING_ANGLE_BRACKET_IN_TEMPLATE_PARAMETERS`
`"org.eclipse.cdt.core.formatter.insert_space_after_closing_angle_bracket_in_template_parameters"`
`public static final String`
`FORMATTER_INSERT_SPACE_AFTER_CLOSING_BRACE_IN_BLOCK`
`"org.eclipse.cdt.core.formatter.insert_space_after_closing_brace_in_block"`
`public static final String`
`FORMATTER_INSERT_SPACE_AFTER_CLOSING_PAREN_IN_CAST`
`"org.eclipse.cdt.core.formatter.insert_space_after_closing_paren_in_cast"`
`public static final String`
`FORMATTER_INSERT_SPACE_AFTER_COLON_IN_BASE_CLAUSE`
`"org.eclipse.cdt.core.formatter.insert_space_after_colon_in_base_clause"`
`public static final String`
`FORMATTER_INSERT_SPACE_AFTER_COLON_IN_CASE`
`"org.eclipse.cdt.core.formatter.insert_space_after_colon_in_case"`
`public static final String`
`FORMATTER_INSERT_SPACE_AFTER_COLON_IN_CONDITIONAL`
`"org.eclipse.cdt.core.formatter.insert_space_after_colon_in_conditional"`
`public static final String`
`FORMATTER_INSERT_SPACE_AFTER_COLON_IN_LABELED_STATEMENT`
`"org.eclipse.cdt.core.formatter.insert_space_after_colon_in_labeled_statement"`
`public static final String`
`FORMATTER_INSERT_SPACE_AFTER_COMMA_IN_BASE_TYPES`
`"org.eclipse.cdt.core.formatter.insert_space_after_comma_in_base_types"`
`public static final String`
`FORMATTER_INSERT_SPACE_AFTER_COMMA_IN_DECLARATOR_LIST`
`"org.eclipse.cdt.core.formatter.insert_space_after_comma_in_declarator_list"`
`public static final String`
`FORMATTER_INSERT_SPACE_AFTER_COMMA_IN_ENUM_DECLARATIONS`
`"org.eclipse.cdt.core.formatter.insert_space_after_comma_in_enum_declarations"`
`public static final String`
`FORMATTER_INSERT_SPACE_AFTER_COMMA_IN_EXPRESSION_LIST`
`"org.eclipse.cdt.core.formatter.insert_space_after_comma_in_expression_list"`
`public static final String`
`FORMATTER_INSERT_SPACE_AFTER_COMMA_IN_INITIALIZER_LIST`
`"org.eclipse.cdt.core.formatter.insert_space_after_comma_in_array_initializer"`
`public static final String`
`FORMATTER_INSERT_SPACE_AFTER_COMMA_IN_METHOD_DECLARATION_PARAMETERS`
`"org.eclipse.cdt.core.formatter.insert_space_after_comma_in_method_declaration_parameters"`
`public static final String`
`FORMATTER_INSERT_SPACE_AFTER_COMMA_IN_METHOD_DECLARATION_THROWS`
`"org.eclipse.cdt.core.formatter.insert_space_after_comma_in_method_declaration_throws"`
`public static final String`
`FORMATTER_INSERT_SPACE_AFTER_COMMA_IN_METHOD_INVOCATION_ARGUMENTS`
`"org.eclipse.cdt.core.formatter.insert_space_after_comma_in_method_invocation_arguments"`
`public static final String`
`FORMATTER_INSERT_SPACE_AFTER_COMMA_IN_STRUCTURED_BINDING_NAME_LIST`
`"org.eclipse.cdt.core.formatter.insert_space_after_comma_in_structured_binding_name_list"`
`public static final String`
`FORMATTER_INSERT_SPACE_AFTER_COMMA_IN_TEMPLATE_ARGUMENTS`
`"org.eclipse.cdt.core.formatter.insert_space_after_comma_in_template_arguments"`
`public static final String`
`FORMATTER_INSERT_SPACE_AFTER_COMMA_IN_TEMPLATE_PARAMETERS`
`"org.eclipse.cdt.core.formatter.insert_space_after_comma_in_template_parameters"`
`public static final String`
`FORMATTER_INSERT_SPACE_AFTER_LAMBDA_RETURN`
`"org.eclipse.cdt.core.formatter.insert_space_after_lambda_return"`
`public static final String`
`FORMATTER_INSERT_SPACE_AFTER_OPENING_ANGLE_BRACKET_IN_TEMPLATE_ARGUMENTS`
`"org.eclipse.cdt.core.formatter.insert_space_after_opening_angle_bracket_in_template_arguments"`
`public static final String`
`FORMATTER_INSERT_SPACE_AFTER_OPENING_ANGLE_BRACKET_IN_TEMPLATE_PARAMETERS`
`"org.eclipse.cdt.core.formatter.insert_space_after_opening_angle_bracket_in_template_parameters"`
`public static final String`
`FORMATTER_INSERT_SPACE_AFTER_OPENING_BRACE_IN_INITIALIZER_LIST`
`"org.eclipse.cdt.core.formatter.insert_space_after_opening_brace_in_array_initializer"`
`public static final String`
`FORMATTER_INSERT_SPACE_AFTER_OPENING_BRACKET`
`"org.eclipse.cdt.core.formatter.insert_space_after_opening_bracket"`
`public static final String`
`FORMATTER_INSERT_SPACE_AFTER_OPENING_PAREN_IN_CAST`
`"org.eclipse.cdt.core.formatter.insert_space_after_opening_paren_in_cast"`
`public static final String`
`FORMATTER_INSERT_SPACE_AFTER_OPENING_PAREN_IN_CATCH`
`"org.eclipse.cdt.core.formatter.insert_space_after_opening_paren_in_catch"`
`public static final String`
`FORMATTER_INSERT_SPACE_AFTER_OPENING_PAREN_IN_EXCEPTION_SPECIFICATION`
`"org.eclipse.cdt.core.formatter.insert_space_after_opening_paren_in_exception_specification"`
`public static final String`
`FORMATTER_INSERT_SPACE_AFTER_OPENING_PAREN_IN_FOR`
`"org.eclipse.cdt.core.formatter.insert_space_after_opening_paren_in_for"`
`public static final String`
`FORMATTER_INSERT_SPACE_AFTER_OPENING_PAREN_IN_IF`
`"org.eclipse.cdt.core.formatter.insert_space_after_opening_paren_in_if"`
`public static final String`
`FORMATTER_INSERT_SPACE_AFTER_OPENING_PAREN_IN_METHOD_DECLARATION`
`"org.eclipse.cdt.core.formatter.insert_space_after_opening_paren_in_method_declaration"`
`public static final String`
`FORMATTER_INSERT_SPACE_AFTER_OPENING_PAREN_IN_METHOD_INVOCATION`
`"org.eclipse.cdt.core.formatter.insert_space_after_opening_paren_in_method_invocation"`
`public static final String`
`FORMATTER_INSERT_SPACE_AFTER_OPENING_PAREN_IN_PARENTHESIZED_EXPRESSION`
`"org.eclipse.cdt.core.formatter.insert_space_after_opening_paren_in_parenthesized_expression"`
`public static final String`
`FORMATTER_INSERT_SPACE_AFTER_OPENING_PAREN_IN_SWITCH`
`"org.eclipse.cdt.core.formatter.insert_space_after_opening_paren_in_switch"`
`public static final String`
`FORMATTER_INSERT_SPACE_AFTER_OPENING_PAREN_IN_WHILE`
`"org.eclipse.cdt.core.formatter.insert_space_after_opening_paren_in_while"`
`public static final String`
`FORMATTER_INSERT_SPACE_AFTER_OPENING_STRUCTURED_BINDING_NAME_LIST`
`"org.eclipse.cdt.core.formatter.insert_space_after_opening_structured_binding_name_list"`
`public static final String`
`FORMATTER_INSERT_SPACE_AFTER_POINTER_IN_DECLARATOR_LIST`
`"org.eclipse.cdt.core.formatter.insert_space_after_pointer_in_declarator_list"`
`public static final String`
`FORMATTER_INSERT_SPACE_AFTER_POINTER_IN_METHOD_DECLARATION`
`"org.eclipse.cdt.core.formatter.insert_space_after_pointer_in_method_declaration"`
`public static final String`
`FORMATTER_INSERT_SPACE_AFTER_POSTFIX_OPERATOR`
`"org.eclipse.cdt.core.formatter.insert_space_after_postfix_operator"`
`public static final String`
`FORMATTER_INSERT_SPACE_AFTER_PREFIX_OPERATOR`
`"org.eclipse.cdt.core.formatter.insert_space_after_prefix_operator"`
`public static final String`
`FORMATTER_INSERT_SPACE_AFTER_QUESTION_IN_CONDITIONAL`
`"org.eclipse.cdt.core.formatter.insert_space_after_question_in_conditional"`
`public static final String`
`FORMATTER_INSERT_SPACE_AFTER_SEMICOLON_IN_FOR`
`"org.eclipse.cdt.core.formatter.insert_space_after_semicolon_in_for"`
`public static final String`
`FORMATTER_INSERT_SPACE_AFTER_UNARY_OPERATOR`
`"org.eclipse.cdt.core.formatter.insert_space_after_unary_operator"`
`public static final String`
`FORMATTER_INSERT_SPACE_BEFORE_ASSIGNMENT_OPERATOR`
`"org.eclipse.cdt.core.formatter.insert_space_before_assignment_operator"`
`public static final String`
`FORMATTER_INSERT_SPACE_BEFORE_BINARY_OPERATOR`
`"org.eclipse.cdt.core.formatter.insert_space_before_binary_operator"`
`public static final String`
`FORMATTER_INSERT_SPACE_BEFORE_CLOSING_ANGLE_BRACKET_IN_TEMPLATE_ARGUMENTS`
`"org.eclipse.cdt.core.formatter.insert_space_before_closing_angle_bracket_in_template_arguments"`
`public static final String`
`FORMATTER_INSERT_SPACE_BEFORE_CLOSING_ANGLE_BRACKET_IN_TEMPLATE_PARAMETERS`
`"org.eclipse.cdt.core.formatter.insert_space_before_closing_angle_bracket_in_template_parameters"`
`public static final String`
`FORMATTER_INSERT_SPACE_BEFORE_CLOSING_BRACE_IN_INITIALIZER_LIST`
`"org.eclipse.cdt.core.formatter.insert_space_before_closing_brace_in_array_initializer"`
`public static final String`
`FORMATTER_INSERT_SPACE_BEFORE_CLOSING_BRACKET`
`"org.eclipse.cdt.core.formatter.insert_space_before_closing_bracket"`
`public static final String`
`FORMATTER_INSERT_SPACE_BEFORE_CLOSING_PAREN_IN_CAST`
`"org.eclipse.cdt.core.formatter.insert_space_before_closing_paren_in_cast"`
`public static final String`
`FORMATTER_INSERT_SPACE_BEFORE_CLOSING_PAREN_IN_CATCH`
`"org.eclipse.cdt.core.formatter.insert_space_before_closing_paren_in_catch"`
`public static final String`
`FORMATTER_INSERT_SPACE_BEFORE_CLOSING_PAREN_IN_EXCEPTION_SPECIFICATION`
`"org.eclipse.cdt.core.formatter.insert_space_before_closing_paren_in_exception_specification"`
`public static final String`
`FORMATTER_INSERT_SPACE_BEFORE_CLOSING_PAREN_IN_FOR`
`"org.eclipse.cdt.core.formatter.insert_space_before_closing_paren_in_for"`
`public static final String`
`FORMATTER_INSERT_SPACE_BEFORE_CLOSING_PAREN_IN_IF`
`"org.eclipse.cdt.core.formatter.insert_space_before_closing_paren_in_if"`
`public static final String`
`FORMATTER_INSERT_SPACE_BEFORE_CLOSING_PAREN_IN_METHOD_DECLARATION`
`"org.eclipse.cdt.core.formatter.insert_space_before_closing_paren_in_method_declaration"`
`public static final String`
`FORMATTER_INSERT_SPACE_BEFORE_CLOSING_PAREN_IN_METHOD_INVOCATION`
`"org.eclipse.cdt.core.formatter.insert_space_before_closing_paren_in_method_invocation"`
`public static final String`
`FORMATTER_INSERT_SPACE_BEFORE_CLOSING_PAREN_IN_PARENTHESIZED_EXPRESSION`
`"org.eclipse.cdt.core.formatter.insert_space_before_closing_paren_in_parenthesized_expression"`
`public static final String`
`FORMATTER_INSERT_SPACE_BEFORE_CLOSING_PAREN_IN_SWITCH`
`"org.eclipse.cdt.core.formatter.insert_space_before_closing_paren_in_switch"`
`public static final String`
`FORMATTER_INSERT_SPACE_BEFORE_CLOSING_PAREN_IN_WHILE`
`"org.eclipse.cdt.core.formatter.insert_space_before_closing_paren_in_while"`
`public static final String`
`FORMATTER_INSERT_SPACE_BEFORE_CLOSING_STRUCTURED_BINDING_NAME_LIST`
`"org.eclipse.cdt.core.formatter.insert_space_before_closing_structured_binding_name_list"`
`public static final String`
`FORMATTER_INSERT_SPACE_BEFORE_COLON_IN_BASE_CLAUSE`
`"org.eclipse.cdt.core.formatter.insert_space_before_colon_in_base_clause"`
`public static final String`
`FORMATTER_INSERT_SPACE_BEFORE_COLON_IN_CASE`
`"org.eclipse.cdt.core.formatter.insert_space_before_colon_in_case"`
`public static final String`
`FORMATTER_INSERT_SPACE_BEFORE_COLON_IN_CONDITIONAL`
`"org.eclipse.cdt.core.formatter.insert_space_before_colon_in_conditional"`
`public static final String`
`FORMATTER_INSERT_SPACE_BEFORE_COLON_IN_DEFAULT`
`"org.eclipse.cdt.core.formatter.insert_space_before_colon_in_default"`
`public static final String`
`FORMATTER_INSERT_SPACE_BEFORE_COLON_IN_LABELED_STATEMENT`
`"org.eclipse.cdt.core.formatter.insert_space_before_colon_in_labeled_statement"`
`public static final String`
`FORMATTER_INSERT_SPACE_BEFORE_COMMA_IN_BASE_TYPES`
`"org.eclipse.cdt.core.formatter.insert_space_before_comma_in_base_types"`
`public static final String`
`FORMATTER_INSERT_SPACE_BEFORE_COMMA_IN_DECLARATOR_LIST`
`"org.eclipse.cdt.core.formatter.insert_space_before_comma_in_declarator_list"`
`public static final String`
`FORMATTER_INSERT_SPACE_BEFORE_COMMA_IN_ENUM_DECLARATIONS`
`"org.eclipse.cdt.core.formatter.insert_space_before_comma_in_enum_declarations"`
`public static final String`
`FORMATTER_INSERT_SPACE_BEFORE_COMMA_IN_EXPRESSION_LIST`
`"org.eclipse.cdt.core.formatter.insert_space_before_comma_in_expression_list"`
`public static final String`
`FORMATTER_INSERT_SPACE_BEFORE_COMMA_IN_INITIALIZER_LIST`
`"org.eclipse.cdt.core.formatter.insert_space_before_comma_in_array_initializer"`
`public static final String`
`FORMATTER_INSERT_SPACE_BEFORE_COMMA_IN_METHOD_DECLARATION_PARAMETERS`
`"org.eclipse.cdt.core.formatter.insert_space_before_comma_in_method_declaration_parameters"`
`public static final String`
`FORMATTER_INSERT_SPACE_BEFORE_COMMA_IN_METHOD_DECLARATION_THROWS`
`"org.eclipse.cdt.core.formatter.insert_space_before_comma_in_method_declaration_throws"`
`public static final String`
`FORMATTER_INSERT_SPACE_BEFORE_COMMA_IN_METHOD_INVOCATION_ARGUMENTS`
`"org.eclipse.cdt.core.formatter.insert_space_before_comma_in_method_invocation_arguments"`
`public static final String`
`FORMATTER_INSERT_SPACE_BEFORE_COMMA_IN_STRUCTURED_BINDING_NAME_LIST`
`"org.eclipse.cdt.core.formatter.insert_space_before_comma_in_structured_binding_name_list"`
`public static final String`
`FORMATTER_INSERT_SPACE_BEFORE_COMMA_IN_TEMPLATE_ARGUMENTS`
`"org.eclipse.cdt.core.formatter.insert_space_before_comma_in_template_arguments"`
`public static final String`
`FORMATTER_INSERT_SPACE_BEFORE_COMMA_IN_TEMPLATE_PARAMETERS`
`"org.eclipse.cdt.core.formatter.insert_space_before_comma_in_template_parameters"`
`public static final String`
`FORMATTER_INSERT_SPACE_BEFORE_LAMBDA_RETURN`
`"org.eclipse.cdt.core.formatter.insert_space_before_lambda_return"`
`public static final String`
`FORMATTER_INSERT_SPACE_BEFORE_OPENING_ANGLE_BRACKET_IN_TEMPLATE_ARGUMENTS`
`"org.eclipse.cdt.core.formatter.insert_space_before_opening_angle_bracket_in_template_arguments"`
`public static final String`
`FORMATTER_INSERT_SPACE_BEFORE_OPENING_ANGLE_BRACKET_IN_TEMPLATE_PARAMETERS`
`"org.eclipse.cdt.core.formatter.insert_space_before_opening_angle_bracket_in_template_parameters"`
`public static final String`
`FORMATTER_INSERT_SPACE_BEFORE_OPENING_BRACE_IN_BLOCK`
`"org.eclipse.cdt.core.formatter.insert_space_before_opening_brace_in_block"`
`public static final String`
`FORMATTER_INSERT_SPACE_BEFORE_OPENING_BRACE_IN_INITIALIZER_LIST`
`"org.eclipse.cdt.core.formatter.insert_space_before_opening_brace_in_array_initializer"`
`public static final String`
`FORMATTER_INSERT_SPACE_BEFORE_OPENING_BRACE_IN_LINKAGE_DECLARATION`
`"org.eclipse.cdt.core.formatter.insert_space_before_opening_brace_in_linkage_declaration"`
`public static final String`
`FORMATTER_INSERT_SPACE_BEFORE_OPENING_BRACE_IN_METHOD_DECLARATION`
`"org.eclipse.cdt.core.formatter.insert_space_before_opening_brace_in_method_declaration"`
`public static final String`
`FORMATTER_INSERT_SPACE_BEFORE_OPENING_BRACE_IN_NAMESPACE_DECLARATION`
`"org.eclipse.cdt.core.formatter.insert_space_before_opening_brace_in_namespace_declaration"`
`public static final String`
`FORMATTER_INSERT_SPACE_BEFORE_OPENING_BRACE_IN_SWITCH`
`"org.eclipse.cdt.core.formatter.insert_space_before_opening_brace_in_switch"`
`public static final String`
`FORMATTER_INSERT_SPACE_BEFORE_OPENING_BRACE_IN_TYPE_DECLARATION`
`"org.eclipse.cdt.core.formatter.insert_space_before_opening_brace_in_type_declaration"`
`public static final String`
`FORMATTER_INSERT_SPACE_BEFORE_OPENING_BRACKET`
`"org.eclipse.cdt.core.formatter.insert_space_before_opening_bracket"`
`public static final String`
`FORMATTER_INSERT_SPACE_BEFORE_OPENING_PAREN_IN_CATCH`
`"org.eclipse.cdt.core.formatter.insert_space_before_opening_paren_in_catch"`
`public static final String`
`FORMATTER_INSERT_SPACE_BEFORE_OPENING_PAREN_IN_EXCEPTION_SPECIFICATION`
`"org.eclipse.cdt.core.formatter.insert_space_before_opening_paren_in_exception_specification"`
`public static final String`
`FORMATTER_INSERT_SPACE_BEFORE_OPENING_PAREN_IN_FOR`
`"org.eclipse.cdt.core.formatter.insert_space_before_opening_paren_in_for"`
`public static final String`
`FORMATTER_INSERT_SPACE_BEFORE_OPENING_PAREN_IN_IF`
`"org.eclipse.cdt.core.formatter.insert_space_before_opening_paren_in_if"`
`public static final String`
`FORMATTER_INSERT_SPACE_BEFORE_OPENING_PAREN_IN_METHOD_DECLARATION`
`"org.eclipse.cdt.core.formatter.insert_space_before_opening_paren_in_method_declaration"`
`public static final String`
`FORMATTER_INSERT_SPACE_BEFORE_OPENING_PAREN_IN_METHOD_INVOCATION`
`"org.eclipse.cdt.core.formatter.insert_space_before_opening_paren_in_method_invocation"`
`public static final String`
`FORMATTER_INSERT_SPACE_BEFORE_OPENING_PAREN_IN_PARENTHESIZED_EXPRESSION`
`"org.eclipse.cdt.core.formatter.insert_space_before_opening_paren_in_parenthesized_expression"`
`public static final String`
`FORMATTER_INSERT_SPACE_BEFORE_OPENING_PAREN_IN_SWITCH`
`"org.eclipse.cdt.core.formatter.insert_space_before_opening_paren_in_switch"`
`public static final String`
`FORMATTER_INSERT_SPACE_BEFORE_OPENING_PAREN_IN_WHILE`
`"org.eclipse.cdt.core.formatter.insert_space_before_opening_paren_in_while"`
`public static final String`
`FORMATTER_INSERT_SPACE_BEFORE_OPENING_STRUCTURED_BINDING_NAME_LIST`
`"org.eclipse.cdt.core.formatter.insert_space_before_opening_structured_binding_name_list"`
`public static final String`
`FORMATTER_INSERT_SPACE_BEFORE_POINTER_IN_DECLARATOR_LIST`
`"org.eclipse.cdt.core.formatter.insert_space_before_pointer_in_declarator_list"`
`public static final String`
`FORMATTER_INSERT_SPACE_BEFORE_POINTER_IN_METHOD_DECLARATION`
`"org.eclipse.cdt.core.formatter.insert_space_before_pointer_in_method_declaration"`
`public static final String`
`FORMATTER_INSERT_SPACE_BEFORE_POSTFIX_OPERATOR`
`"org.eclipse.cdt.core.formatter.insert_space_before_postfix_operator"`
`public static final String`
`FORMATTER_INSERT_SPACE_BEFORE_PREFIX_OPERATOR`
`"org.eclipse.cdt.core.formatter.insert_space_before_prefix_operator"`
`public static final String`
`FORMATTER_INSERT_SPACE_BEFORE_QUESTION_IN_CONDITIONAL`
`"org.eclipse.cdt.core.formatter.insert_space_before_question_in_conditional"`
`public static final String`
`FORMATTER_INSERT_SPACE_BEFORE_REF_QUALIFIER_IN_STRUCTURED_BINDING`
`"org.eclipse.cdt.core.formatter.insert_space_before_ref_qualifier_in_structured_binding"`
`public static final String`
`FORMATTER_INSERT_SPACE_BEFORE_SEMICOLON`
`"org.eclipse.cdt.core.formatter.insert_space_before_semicolon"`
`public static final String`
`FORMATTER_INSERT_SPACE_BEFORE_SEMICOLON_IN_FOR`
`"org.eclipse.cdt.core.formatter.insert_space_before_semicolon_in_for"`
`public static final String`
`FORMATTER_INSERT_SPACE_BEFORE_UNARY_OPERATOR`
`"org.eclipse.cdt.core.formatter.insert_space_before_unary_operator"`
`public static final String`
`FORMATTER_INSERT_SPACE_BETWEEN_EMPTY_BRACES_IN_INITIALIZER_LIST`
`"org.eclipse.cdt.core.formatter.insert_space_between_empty_braces_in_array_initializer"`
`public static final String`
`FORMATTER_INSERT_SPACE_BETWEEN_EMPTY_BRACKETS`
`"org.eclipse.cdt.core.formatter.insert_space_between_empty_brackets"`
`public static final String`
`FORMATTER_INSERT_SPACE_BETWEEN_EMPTY_PARENS_IN_EXCEPTION_SPECIFICATION`
`"org.eclipse.cdt.core.formatter.insert_space_between_empty_parens_in_exception_specification"`
`public static final String`
`FORMATTER_INSERT_SPACE_BETWEEN_EMPTY_PARENS_IN_METHOD_DECLARATION`
`"org.eclipse.cdt.core.formatter.insert_space_between_empty_parens_in_method_declaration"`
`public static final String`
`FORMATTER_INSERT_SPACE_BETWEEN_EMPTY_PARENS_IN_METHOD_INVOCATION`
`"org.eclipse.cdt.core.formatter.insert_space_between_empty_parens_in_method_invocation"`
`public static final String`
`FORMATTER_JOIN_WRAPPED_LINES`
`"org.eclipse.cdt.core.formatter.join_wrapped_lines"`
`public static final String`
`FORMATTER_KEEP_ELSE_STATEMENT_ON_SAME_LINE`
`"org.eclipse.cdt.core.formatter.keep_else_statement_on_same_line"`
`public static final String`
`FORMATTER_KEEP_EMPTY_INITIALIZER_LIST_ON_ONE_LINE`
`"org.eclipse.cdt.core.formatter.keep_empty_array_initializer_on_one_line"`
`public static final String`
`FORMATTER_KEEP_GUARDIAN_CLAUSE_ON_ONE_LINE`
`"org.eclipse.cdt.core.formatter.format_guardian_clause_on_one_line"`
`public static final String`
`FORMATTER_KEEP_SIMPLE_IF_ON_ONE_LINE`
`"org.eclipse.cdt.core.formatter.keep_imple_if_on_one_line"`
`public static final String`
`FORMATTER_KEEP_THEN_STATEMENT_ON_SAME_LINE`
`"org.eclipse.cdt.core.formatter.keep_then_statement_on_same_line"`
`public static final String`
`FORMATTER_LANGUAGE`
`"org.eclipse.cdt.core.formatter.language"`
`public static final String`
`FORMATTER_LINE_SPLIT`
`"org.eclipse.cdt.core.formatter.lineSplit"`
`public static final String`
`FORMATTER_NUMBER_OF_EMPTY_LINES_TO_PRESERVE`
`"org.eclipse.cdt.core.formatter.number_of_empty_lines_to_preserve"`
`public static final String`
`FORMATTER_OFF_TAG`
`"@formatter:off"`
`public static final String`
`FORMATTER_ON_TAG`
`"@formatter:on"`
`public static final String`
`FORMATTER_PUT_EMPTY_STATEMENT_ON_NEW_LINE`
`"org.eclipse.cdt.core.formatter.put_empty_statement_on_new_line"`
`public static final String`
`FORMATTER_STATEMENT_SCOPE`
`"org.eclipse.cdt.core.formatter.statement_scope"`
`public static final String`
`FORMATTER_TAB_CHAR`
`"org.eclipse.cdt.core.formatter.tabulation.char"`
`public static final String`
`FORMATTER_TAB_SIZE`
`"org.eclipse.cdt.core.formatter.tabulation.size"`
`public static final String`
`FORMATTER_TRANSLATION_UNIT`
`"org.eclipse.cdt.core.formatter.current_translation_unit"`
`public static final String`
`FORMATTER_USE_COMMENT_TAG`
`"org.eclipse.cdt.core.formatter.use_comment_formatter_tag"`
`public static final String`
`FORMATTER_USE_TABS_ONLY_FOR_LEADING_INDENTATIONS`
`"org.eclipse.cdt.core.formatter.use_tabs_only_for_leading_indentations"`
`public static final int`
`INDENT_BY_ONE`
`2`
`public static final int`
`INDENT_DEFAULT`
`0`
`public static final int`
`INDENT_ON_COLUMN`
`1`
`public static final String`
`MIXED`
`"mixed"`
`public static final String`
`NEXT_LINE`
`"next_line"`
`public static final String`
`NEXT_LINE_ON_WRAP`
`"next_line_on_wrap"`
`public static final String`
`NEXT_LINE_SHIFTED`
`"next_line_shifted"`
`public static final String`
`TRUE`
`"true"`
`public static final int`
`WRAP_COMPACT`
`1`
`public static final int`
`WRAP_COMPACT_FIRST_BREAK`
`2`
`public static final int`
`WRAP_NEXT_PER_LINE`
`5`
`public static final int`
`WRAP_NEXT_SHIFTED`
`4`
`public static final int`
`WRAP_NO_SPLIT`
`0`
`public static final int`
`WRAP_ONE_PER_LINE`
`3`
org.eclipse.cdt.core.formatter.DefaultCodeFormatterOptions
Modifier and Type
Constant Field
Value
`public static final int`
`MIXED`
`4`
`public static final int`
`SPACE`
`2`
`public static final int`
`TAB`
`1`

org.eclipse.cdt.core.index.IIndex
Modifier and Type
Constant Field
Value
`public static final int`
`DEPTH_INFINITE`
`-1`
`public static final int`
`DEPTH_ZERO`
`0`
`public static final int`
`FIND_ALL_OCCURRENCES`
`7`
`public static final int`
`FIND_DECLARATIONS`
`1`
`public static final int`
`FIND_DECLARATIONS_DEFINITIONS`
`3`
`public static final int`
`FIND_DEFINITIONS`
`2`
`public static final int`
`FIND_POTENTIAL_MATCHES`
`16`
`public static final int`
`FIND_REFERENCES`
`4`
`public static final int`
`SEARCH_ACROSS_LANGUAGE_BOUNDARIES`
`8`
org.eclipse.cdt.core.index.IIndexManager
Modifier and Type
Constant Field
Value
`public static final int`
`ADD_DEPENDENCIES`
`1`
`public static final int`
`ADD_DEPENDENT`
`2`
`public static final int`
`ADD_EXTENSION_FRAGMENTS_ADD_IMPORT`
`32`
`public static final int`
`ADD_EXTENSION_FRAGMENTS_CALL_HIERARCHY`
`64`
`public static final int`
`ADD_EXTENSION_FRAGMENTS_CONTENT_ASSIST`
`16`
`public static final int`
`ADD_EXTENSION_FRAGMENTS_EDITOR`
`1024`
`public static final int`
`ADD_EXTENSION_FRAGMENTS_INCLUDE_BROWSER`
`256`
`public static final int`
`ADD_EXTENSION_FRAGMENTS_NAVIGATION`
`8`
`public static final int`
`ADD_EXTENSION_FRAGMENTS_SEARCH`
`512`
`public static final int`
`ADD_EXTENSION_FRAGMENTS_TYPE_HIERARCHY`
`128`
`public static final int`
`FORCE_INDEX_INCLUSION`
`32`
`public static final int`
`FOREVER`
`-1`
`public static final int`
`RESET_INDEX_INCLUSION`
`64`
`public static final int`
`SKIP_PROVIDED`
`4`
`public static final int`
`UPDATE_ALL`
`1`
`public static final int`
`UPDATE_CHECK_CONFIGURATION`
`4`
`public static final int`
`UPDATE_CHECK_CONTENTS_HASH`
`16`
`public static final int`
`UPDATE_CHECK_TIMESTAMPS`
`2`
`public static final int`
`UPDATE_EXTERNAL_FILES_FOR_PROJECT`
`8`
`public static final int`
`UPDATE_UNRESOLVED_INCLUDES`
`128`

org.eclipse.cdt.core.index.export.ExternalExportProjectProvider
Modifier and Type
Constant Field
Value
`public static final String`
`OPT_EXCLUDE`
`"-exclude"`
`public static final String`
`OPT_FRAGMENT_ID`
`"-id"`
`public static final String`
`OPT_INCLUDE`
`"-include"`
`public static final String`
`OPT_SOURCE`
`"-source"`

org.eclipse.cdt.core.language.settings.providers.LanguageSettingsSerializableProvider
Modifier and Type
Constant Field
Value
`protected static final String`
`ATTR_CLASS`
`"class"`
`protected static final String`
`ATTR_ID`
`"id"`
`protected static final String`
`ATTR_NAME`
`"name"`
`protected static final String`
`ELEM_LANGUAGE_SCOPE`
`"language-scope"`
`protected static final String`
`ELEM_PROVIDER`
`"provider"`
org.eclipse.cdt.core.language.settings.providers.ScannerDiscoveryLegacySupport
Modifier and Type
Constant Field
Value
`public static final String`
`MBS_LANGUAGE_SETTINGS_PROVIDER_ID`
`"org.eclipse.cdt.managedbuilder.core.MBSLanguageSettingsProvider"`
`public static final String`
`PATH_ENTRY_MANAGER_LANGUAGE_SETTINGS_PROVIDER_ID`
`"org.eclipse.cdt.core.PathEntryScannerInfoLanguageSettingsProvider"`
`public static final String`
`SI_LANGUAGE_SETTINGS_PROVIDER_ID`
`"org.eclipse.cdt.core.LegacyScannerInfoLanguageSettingsProvider"`
`public static final String`
`USER_LANGUAGE_SETTINGS_PROVIDER_ID`
`"org.eclipse.cdt.ui.UserLanguageSettingsProvider"`

org.eclipse.cdt.core.model.CoreModel
Modifier and Type
Constant Field
Value
`public static final String`
`CORE_MODEL_ID`
`"org.eclipse.cdt.core.coremodel"`
org.eclipse.cdt.core.model.ElementChangedEvent
Modifier and Type
Constant Field
Value
`public static final int`
`POST_CHANGE`
`1`
`public static final int`
`POST_RECONCILE`
`4`
`public static final int`
`POST_SHIFT`
`5`
`public static final int`
`PRE_AUTO_BUILD`
`2`
org.eclipse.cdt.core.model.ICElement
Modifier and Type
Constant Field
Value
`public static final int`
`ASM_LABEL`
`94`
`public static final int`
`C_ARCHIVE`
`18`
`public static final int`
`C_BINARY`
`14`
`public static final int`
`C_CCONTAINER`
`12`
`public static final int`
`C_CLASS`
`65`
`public static final int`
`C_CLASS_CTOR`
`256`
`public static final int`
`C_CLASS_DECLARATION`
`64`
`public static final int`
`C_CLASS_DTOR`
`512`
`public static final int`
`C_ENUMERATION`
`63`
`public static final int`
`C_ENUMERATOR`
`81`
`public static final int`
`C_FIELD`
`72`
`public static final int`
`C_FUNCTION`
`74`
`public static final int`
`C_FUNCTION_DECLARATION`
`73`
`public static final int`
`C_INCLUDE`
`75`
`public static final int`
`C_MACRO`
`79`
`public static final int`
`C_METHOD`
`70`
`public static final int`
`C_METHOD_DECLARATION`
`71`
`public static final int`
`C_MODEL`
`10`
`public static final int`
`C_NAMESPACE`
`61`
`public static final int`
`C_PRAGMA`
`95`
`public static final int`
`C_PROJECT`
`11`
`public static final int`
`C_STORAGE_EXTERN`
`2048`
`public static final int`
`C_STORAGE_STATIC`
`1024`
`public static final int`
`C_STRUCT`
`67`
`public static final int`
`C_STRUCT_DECLARATION`
`66`
`public static final int`
`C_TEMPLATE_CLASS`
`83`
`public static final int`
`C_TEMPLATE_CLASS_DECLARATION`
`82`
`public static final int`
`C_TEMPLATE_FUNCTION`
`89`
`public static final int`
`C_TEMPLATE_FUNCTION_DECLARATION`
`88`
`public static final int`
`C_TEMPLATE_METHOD`
`91`
`public static final int`
`C_TEMPLATE_METHOD_DECLARATION`
`90`
`public static final int`
`C_TEMPLATE_STRUCT`
`85`
`public static final int`
`C_TEMPLATE_STRUCT_DECLARATION`
`84`
`public static final int`
`C_TEMPLATE_UNION`
`87`
`public static final int`
`C_TEMPLATE_UNION_DECLARATION`
`86`
`public static final int`
`C_TEMPLATE_VARIABLE`
`92`
`public static final int`
`C_TYPEDEF`
`80`
`public static final int`
`C_UNION`
`69`
`public static final int`
`C_UNION_DECLARATION`
`68`
`public static final int`
`C_UNIT`
`60`
`public static final int`
`C_UNKNOWN_DECLARATION`
`93`
`public static final int`
`C_USING`
`62`
`public static final int`
`C_VARIABLE`
`76`
`public static final int`
`C_VARIABLE_DECLARATION`
`77`
`public static final int`
`C_VARIABLE_LOCAL`
`78`
`public static final int`
`C_VCONTAINER`
`30`
`public static final int`
`CPP_FRIEND`
`32768`
`public static final int`
`CPP_PRIVATE`
`4096`
`public static final int`
`CPP_PROTECTED`
`16384`
`public static final int`
`CPP_PUBLIC`
`8192`
org.eclipse.cdt.core.model.ICElementDelta
Modifier and Type
Constant Field
Value
`public static final int`
`ADDED`
`1`
`public static final int`
`CHANGED`
`4`
`public static final int`
`F_ADDED_PATHENTRY_LIBRARY`
`4096`
`public static final int`
`F_ADDED_PATHENTRY_SOURCE`
`256`
`public static final int`
`F_BINARY_PARSER_CHANGED`
`8388608`
`public static final int`
`F_CHANGED_PATHENTRY_INCLUDE`
`2048`
`public static final int`
`F_CHANGED_PATHENTRY_MACRO`
`1024`
`public static final int`
`F_CHANGED_PATHENTRY_PROJECT`
`16384`
`public static final int`
`F_CHILDREN`
`8`
`public static final int`
`F_CLOSED`
`128`
`public static final int`
`F_CONTENT`
`1`
`public static final int`
`F_CONTENT_TYPE`
`16777216`
`public static final int`
`F_FINE_GRAINED`
`4194304`
`public static final int`
`F_MODIFIERS`
`2`
`public static final int`
`F_MOVED_FROM`
`16`
`public static final int`
`F_MOVED_TO`
`32`
`public static final int`
`F_OPENED`
`64`
`public static final int`
`F_PATHENTRY_REORDER`
`262144`
`public static final int`
`F_REMOVED_PATHENTRY_LIBRARY`
`8192`
`public static final int`
`F_REMOVED_PATHENTRY_SOURCE`
`512`
`public static final int`
`F_REORDER`
`256`
`public static final int`
`F_SOURCEATTACHED`
`1048576`
`public static final int`
`F_SOURCEDETACHED`
`2097152`
`public static final int`
`REMOVED`
`2`
org.eclipse.cdt.core.model.ICModelMarker
Modifier and Type
Constant Field
Value
`public static final String`
`C_MODEL_MARKER_EXTERNAL_LOCATION`
`"problem.externalLocation"`
`public static final String`
`C_MODEL_MARKER_VARIABLE`
`"problem.variable"`
`public static final String`
`C_MODEL_PROBLEM_MARKER`
`"org.eclipse.cdt.core.problem"`
`public static final String`
`INDEXER_MARKER`
`"org.eclipse.cdt.core.indexermarker"`
`public static final String`
`PATHENTRY_FILE_FORMAT`
`"pathEntryFileFormat"`
`public static final String`
`PATHENTRY_PROBLEM_MARKER`
`"org.eclipse.cdt.core.pathentry_problem"`
`public static final String`
`TASK_MARKER`
`"org.eclipse.cdt.core.task"`
org.eclipse.cdt.core.model.ICModelStatusConstants
Modifier and Type
Constant Field
Value
`public static final int`
`CORE_EXCEPTION`
`966`
`public static final int`
`CP_VARIABLE_PATH_UNBOUND`
`965`
`public static final int`
`DEVICE_PATH`
`973`
`public static final int`
`ELEMENT_DOES_NOT_EXIST`
`969`
`public static final int`
`EVALUATION_ERROR`
`992`
`public static final int`
`INDEX_OUT_OF_BOUNDS`
`980`
`public static final int`
`INVALID_CONTAINER_ENTRY`
`988`
`public static final int`
`INVALID_CONTENTS`
`984`
`public static final int`
`INVALID_DESTINATION`
`978`
`public static final int`
`INVALID_ELEMENT_TYPES`
`967`
`public static final int`
`INVALID_NAME`
`983`
`public static final int`
`INVALID_NAMESPACE`
`998`
`public static final int`
`INVALID_PATH`
`979`
`public static final int`
`INVALID_PATHENTRY`
`964`
`public static final int`
`INVALID_PROJECT`
`997`
`public static final int`
`INVALID_RESOURCE`
`995`
`public static final int`
`INVALID_RESOURCE_TYPE`
`996`
`public static final int`
`INVALID_SIBLING`
`993`
`public static final int`
`IO_EXCEPTION`
`985`
`public static final int`
`NAME_COLLISION`
`977`
`public static final int`
`NO_ELEMENTS_TO_PROCESS`
`968`
`public static final int`
`NO_LOCAL_CONTENTS`
`999`
`public static final int`
`NULL_NAME`
`982`
`public static final int`
`NULL_PATH`
`970`
`public static final int`
`NULL_STRING`
`974`
`public static final int`
`PARSER_EXCEPTION`
`986`
`public static final int`
`PATH_OUTSIDE_PROJECT`
`971`
`public static final int`
`PATHENTRY_CYCLE`
`989`
`public static final int`
`READ_ONLY`
`976`
`public static final int`
`RELATIVE_PATH`
`972`
`public static final int`
`UPDATE_CONFLICT`
`981`
`public static final int`
`VARIABLE_PATH_UNBOUND`
`987`
org.eclipse.cdt.core.model.ILanguage
Modifier and Type
Constant Field
Value
`public static final int`
`OPTION_ADD_COMMENTS`
`2`
`public static final int`
`OPTION_IS_SOURCE_UNIT`
`8`
`public static final int`
`OPTION_NO_IMAGE_LOCATIONS`
`4`
`public static final int`
`OPTION_PARSE_INACTIVE_CODE`
`32`
`public static final int`
`OPTION_SKIP_FUNCTION_BODIES`
`1`
`public static final int`
`OPTION_SKIP_TRIVIAL_EXPRESSIONS_IN_AGGREGATE_INITIALIZERS`
`16`
org.eclipse.cdt.core.model.ILanguageMappingChangeEvent
Modifier and Type
Constant Field
Value
`public static final int`
`TYPE_FILE`
`2`
`public static final int`
`TYPE_PROJECT`
`1`
`public static final int`
`TYPE_WORKSPACE`
`0`
org.eclipse.cdt.core.model.IPathEntry
Modifier and Type
Constant Field
Value
`public static final int`
`CDT_CONTAINER`
`32`
`public static final int`
`CDT_INCLUDE`
`16`
`public static final int`
`CDT_INCLUDE_FILE`
`256`
`public static final int`
`CDT_LIBRARY`
`1`
`public static final int`
`CDT_MACRO`
`64`
`public static final int`
`CDT_MACRO_FILE`
`512`
`public static final int`
`CDT_OUTPUT`
`128`
`public static final int`
`CDT_PROJECT`
`4`
`public static final int`
`CDT_SOURCE`
`8`
org.eclipse.cdt.core.model.ITranslationUnit
Modifier and Type
Constant Field
Value
`public static final int`
`AST_CONFIGURE_USING_SOURCE_CONTEXT`
`32`
`public static final int`
`AST_CREATE_COMMENT_NODES`
`16`
`public static final int`
`AST_PARSE_INACTIVE_CODE`
`128`
`public static final int`
`AST_SKIP_ALL_HEADERS`
`6`
`public static final int`
`AST_SKIP_FUNCTION_BODIES`
`1`
`public static final int`
`AST_SKIP_IF_NO_BUILD_INFO`
`8`
`public static final int`
`AST_SKIP_INDEXED_HEADERS`
`2`
`public static final int`
`AST_SKIP_NONINDEXED_HEADERS`
`4`
`public static final int`
`AST_SKIP_TRIVIAL_EXPRESSIONS_IN_AGGREGATE_INITIALIZERS`
`64`
org.eclipse.cdt.core.model.PathEntryContainerChanged
Modifier and Type
Constant Field
Value
`public static final int`
`INCLUDE_CHANGED`
`1`
`public static final int`
`MACRO_CHANGED`
`2`

org.eclipse.cdt.core.model.util.CElementBaseLabels
Modifier and Type
Constant Field
Value
`public static final int`
`ALL_DEFAULT`
`1`
`public static final int`
`ALL_FULLY_QUALIFIED`
`34613280`
`public static final int`
`ALL_POST_QUALIFIED`
`69210176`
`public static final int`
`APPEND_ROOT_PATH`
`134217728`
`public static final int`
`DEFAULT_POST_QUALIFIED`
`2101312`
`public static final int`
`DEFAULT_QUALIFIED`
`1058848`
`public static final int`
`F_APP_TYPE_SIGNATURE`
`512`
`public static final int`
`F_FULLY_QUALIFIED`
`2048`
`public static final int`
`F_POST_QUALIFIED`
`4096`
`public static final int`
`F_PRE_TYPE_SIGNATURE`
`1024`
`public static final int`
`F_SIMPLE_NAME`
`256`
`public static final int`
`M_APP_RETURNTYPE`
`8`
`public static final int`
`M_EXCEPTIONS`
`4`
`public static final int`
`M_FULLY_QUALIFIED`
`32`
`public static final int`
`M_PARAMETER_TYPES`
`1`
`public static final int`
`M_POST_QUALIFIED`
`64`
`public static final int`
`M_PRE_RETURNTYPE`
`16`
`public static final int`
`M_SIMPLE_NAME`
`2`
`public static final int`
`MF_POST_FILE_QUALIFIED`
`-2147483648`
`public static final int`
`PREPEND_ROOT_PATH`
`268435456`
`public static final int`
`PROJECT_POST_QUALIFIED`
`1073741824`
`public static final int`
`ROOT_POST_QUALIFIED`
`67108864`
`public static final int`
`ROOT_QUALIFIED`
`33554432`
`public static final int`
`T_FULLY_QUALIFIED`
`8192`
`public static final int`
`T_INHERITANCE`
`65536`
`public static final int`
`TEMPLATE_ARGUMENTS`
`16384`
`public static final int`
`TEMPLATE_PARAMETERS`
`128`
`public static final int`
`TU_POST_QUALIFIED`
`2097152`
`public static final int`
`TU_QUALIFIED`
`1048576`

org.eclipse.cdt.core.parser.CodeReaderCache
Modifier and Type
Constant Field
Value
`public static final String`
`CODE_READER_BUFFER`
`"org.eclipse.cdt.core.codeReaderCache"`
`public static final int`
`DEFAULT_CACHE_SIZE_IN_MB`
`64`
org.eclipse.cdt.core.parser.Directives
Modifier and Type
Constant Field
Value
`public static final String`
`_PRAGMA`
`"_Pragma"`
`public static final String`
`DEFINED`
`"defined"`
`public static final String`
`POUND_BLANK`
`"#"`
`public static final String`
`POUND_DEFINE`
`"#define"`
`public static final String`
`POUND_ELIF`
`"#elif"`
`public static final String`
`POUND_ELSE`
`"#else"`
`public static final String`
`POUND_ENDIF`
`"#endif"`
`public static final String`
`POUND_ERROR`
`"#error"`
`public static final String`
`POUND_IF`
`"#if"`
`public static final String`
`POUND_IFDEF`
`"#ifdef"`
`public static final String`
`POUND_IFNDEF`
`"#ifndef"`
`public static final String`
`POUND_INCLUDE`
`"#include"`
`public static final String`
`POUND_LINE`
`"#line"`
`public static final String`
`POUND_PRAGMA`
`"#pragma"`
`public static final String`
`POUND_UNDEF`
`"#undef"`
org.eclipse.cdt.core.parser.FileContent
Modifier and Type
Constant Field
Value
`public static final long`
`NULL_FILE_SIZE`
`-1L`
`public static final long`
`NULL_TIMESTAMP`
`-1L`
org.eclipse.cdt.core.parser.GCCKeywords
Modifier and Type
Constant Field
Value
`public static final String`
`__ALIGNOF__`
`"__alignof__"`
`public static final String`
`__ATTRIBUTE__`
`"__attribute__"`
`public static final String`
`__DECLSPEC`
`"__declspec"`
`public static final String`
`__DECLTYPE`
`"__decltype"`
`public static final String`
`__FINAL`
`"__final"`
`public static final String`
`__FLOAT128`
`"__float128"`
`public static final String`
`__INT128`
`"__int128"`
`public static final String`
`_DECIMAL128`
`"_Decimal128"`
`public static final String`
`_DECIMAL32`
`"_Decimal32"`
`public static final String`
`_DECIMAL64`
`"_Decimal64"`
`public static final String`
`TYPEOF`
`"typeof"`
org.eclipse.cdt.core.parser.IGCCToken
Modifier and Type
Constant Field
Value
`public static final int`
`t___alignof__`
`151`
`public static final int`
`t__attribute__`
`154`
`public static final int`
`t__declspec`
`155`
`public static final int`
`t__float128`
`176`
`public static final int`
`t__int128`
`175`
`public static final int`
`t_decimal128`
`181`
`public static final int`
`t_decimal32`
`179`
`public static final int`
`t_decimal64`
`180`
`public static final int`
`t_typeof`
`150`
`public static final int`
`tMAX`
`152`
`public static final int`
`tMIN`
`153`
`public static final int`
`tTT_has_nothrow_assign`
`156`
`public static final int`
`tTT_has_nothrow_constructor`
`158`
`public static final int`
`tTT_has_nothrow_copy`
`157`
`public static final int`
`tTT_has_trivial_assign`
`159`
`public static final int`
`tTT_has_trivial_constructor`
`161`
`public static final int`
`tTT_has_trivial_copy`
`160`
`public static final int`
`tTT_has_trivial_destructor`
`162`
`public static final int`
`tTT_has_unique_object_representations`
`192`
`public static final int`
`tTT_has_virtual_destructor`
`163`
`public static final int`
`tTT_integer_pack`
`186`
`public static final int`
`tTT_is_abstract`
`164`
`public static final int`
`tTT_is_aggregate`
`188`
`public static final int`
`tTT_is_assignable`
`189`
`public static final int`
`tTT_is_base_of`
`165`
`public static final int`
`tTT_is_class`
`166`
`public static final int`
`tTT_is_constructible`
`185`
`public static final int`
`tTT_is_empty`
`167`
`public static final int`
`tTT_is_enum`
`168`
`public static final int`
`tTT_is_final`
`177`
`public static final int`
`tTT_is_function`
`193`
`public static final int`
`tTT_is_literal_type`
`172`
`public static final int`
`tTT_is_nothrow_assignable`
`190`
`public static final int`
`tTT_is_nothrow_constructible`
`191`
`public static final int`
`tTT_is_pod`
`169`
`public static final int`
`tTT_is_polymorphic`
`170`
`public static final int`
`tTT_is_same`
`187`
`public static final int`
`tTT_is_standard_layout`
`173`
`public static final int`
`tTT_is_trivial`
`174`
`public static final int`
`tTT_is_trivially_assignable`
`184`
`public static final int`
`tTT_is_trivially_constructible`
`183`
`public static final int`
`tTT_is_trivially_copyable`
`182`
`public static final int`
`tTT_is_union`
`171`
`public static final int`
`tTT_underlying_type`
`178`
org.eclipse.cdt.core.parser.IPreprocessorDirective
Modifier and Type
Constant Field
Value
`public static final int`
`ppDefine`
`7`
`public static final int`
`ppElif`
`3`
`public static final int`
`ppElse`
`4`
`public static final int`
`ppEndif`
`5`
`public static final int`
`ppError`
`9`
`public static final int`
`ppIf`
`0`
`public static final int`
`ppIfdef`
`1`
`public static final int`
`ppIfndef`
`2`
`public static final int`
`ppIgnore`
`-2`
`public static final int`
`ppImport`
`12`
`public static final int`
`ppInclude`
`6`
`public static final int`
`ppInclude_next`
`11`
`public static final int`
`ppInvalid`
`-1`
`public static final int`
`ppPragma`
`10`
`public static final int`
`ppUndef`
`8`
`public static final int`
`ppWarning`
`13`
org.eclipse.cdt.core.parser.IProblem
Modifier and Type
Constant Field
Value
`public static final String`
`A_NAMESPACE_NAME`
`""`
`public static final String`
`A_PREPROC_CONDITION`
`""`
`public static final String`
`A_PREPROC_CONDITIONAL_MISMATCH`
`""`
`public static final String`
`A_PREPROC_INCLUDE_FILENAME`
`""`
`public static final String`
`A_PREPROC_MACRO_NAME`
`""`
`public static final String`
`A_PREPROC_POUND_ERROR`
`""`
`public static final String`
`A_PREPROC_POUND_WARNING`
`""`
`public static final String`
`A_PREPROC_UNKNOWN_DIRECTIVE`
`""`
`public static final String`
`A_SCANNER_BADCHAR`
`""`
`public static final String`
`A_SYMBOL_NAME`
`""`
`public static final String`
`A_TYPE_NAME`
`""`
`public static final String`
`FILENAME_NOT_PROVIDED`
`""`
`public static final int`
`IGNORE_CATEGORIES_MASK`
`16777215`
`public static final int`
`INT_VALUE_NOT_PROVIDED`
`-1`
`public static final int`
`INTERNAL_RELATED`
`268435456`
`public static final int`
`MISSING_SEMICOLON`
`67108866`
`public static final int`
`PREPROCESSOR_CIRCULAR_INCLUSION`
`33554443`
`public static final int`
`PREPROCESSOR_CONDITIONAL_EVAL_ERROR`
`33554440`
`public static final int`
`PREPROCESSOR_DEFINITION_NOT_FOUND`
`33554435`
`public static final int`
`PREPROCESSOR_EXCEEDS_MAXIMUM_INCLUSION_DEPTH`
`33554447`
`public static final int`
`PREPROCESSOR_INCLUSION_NOT_FOUND`
`33554434`
`public static final int`
`PREPROCESSOR_INVALID_DIRECTIVE`
`33554438`
`public static final int`
`PREPROCESSOR_INVALID_MACRO_DEFN`
`33554437`
`public static final int`
`PREPROCESSOR_INVALID_MACRO_REDEFN`
`33554439`
`public static final int`
`PREPROCESSOR_INVALID_USE_OUTSIDE_PREPROCESSOR_DIRECTIVE`
`33554449`
`public static final int`
`PREPROCESSOR_INVALID_VA_ARGS`
`33554445`
`public static final int`
`PREPROCESSOR_MACRO_PASTING_ERROR`
`33554442`
`public static final int`
`PREPROCESSOR_MACRO_USAGE_ERROR`
`33554441`
`public static final int`
`PREPROCESSOR_MISSING_RPAREN_PARMLIST`
`33554444`
`public static final int`
`PREPROCESSOR_MULTIPLE_USER_DEFINED_SUFFIXES_IN_CONCATENATION`
`33554448`
`public static final int`
`PREPROCESSOR_POUND_ERROR`
`33554433`
`public static final int`
`PREPROCESSOR_POUND_WARNING`
`33554446`
`public static final int`
`PREPROCESSOR_RELATED`
`33554432`
`public static final int`
`PREPROCESSOR_UNBALANCE_CONDITION`
`33554436`
`public static final int`
`SCANNER_ASSIGNMENT_NOT_ALLOWED`
`16777225`
`public static final int`
`SCANNER_BAD_BINARY_FORMAT`
`16777231`
`public static final int`
`SCANNER_BAD_CHARACTER`
`16777217`
`public static final int`
`SCANNER_BAD_CONDITIONAL_EXPRESSION`
`16777230`
`public static final int`
`SCANNER_BAD_DECIMAL_FORMAT`
`16777224`
`public static final int`
`SCANNER_BAD_FLOATING_POINT`
`16777220`
`public static final int`
`SCANNER_BAD_HEX_FORMAT`
`16777221`
`public static final int`
`SCANNER_BAD_OCTAL_FORMAT`
`16777223`
`public static final int`
`SCANNER_CONSTANT_WITH_BAD_SUFFIX`
`16777232`
`public static final int`
`SCANNER_DIVIDE_BY_ZERO`
`16777226`
`public static final int`
`SCANNER_EXPRESSION_SYNTAX_ERROR`
`16777228`
`public static final int`
`SCANNER_FLOAT_WITH_BAD_PREFIX`
`16777233`
`public static final int`
`SCANNER_ILLEGAL_IDENTIFIER`
`16777229`
`public static final int`
`SCANNER_INVALID_ESCAPECHAR`
`16777219`
`public static final int`
`SCANNER_MISSING_R_PAREN`
`16777227`
`public static final int`
`SCANNER_RELATED`
`16777216`
`public static final int`
`SCANNER_UNBOUNDED_STRING`
`16777218`
`public static final int`
`SCANNER_UNEXPECTED_EOF`
`16777222`
`public static final int`
`SEMANTIC_AMBIGUOUS_LOOKUP`
`134217734`
`public static final int`
`SEMANTIC_BAD_VISIBILITY`
`134217738`
`public static final int`
`SEMANTIC_CIRCULAR_INHERITANCE`
`134217736`
`public static final int`
`SEMANTIC_ILLFORMED_FRIEND`
`134217745`
`public static final int`
`SEMANTIC_INVALID_CONVERSION_TYPE`
`134217743`
`public static final int`
`SEMANTIC_INVALID_OVERLOAD`
`134217732`
`public static final int`
`SEMANTIC_INVALID_TEMPLATE`
`134217737`
`public static final int`
`SEMANTIC_INVALID_TEMPLATE_ARGUMENT`
`134217740`
`public static final int`
`SEMANTIC_INVALID_TEMPLATE_PARAMETER`
`134217741`
`public static final int`
`SEMANTIC_INVALID_TYPE`
`134217735`
`public static final int`
`SEMANTIC_INVALID_USING`
`134217733`
`public static final int`
`SEMANTIC_MALFORMED_EXPRESSION`
`134217744`
`public static final int`
`SEMANTIC_NAME_NOT_FOUND`
`134217730`
`public static final int`
`SEMANTIC_NAME_NOT_PROVIDED`
`134217731`
`public static final int`
`SEMANTIC_RECURSIVE_TEMPLATE_INSTANTIATION`
`134217746`
`public static final int`
`SEMANTIC_REDECLARED_TEMPLATE_PARAMETER`
`134217742`
`public static final int`
`SEMANTIC_UNABLE_TO_RESOLVE_FUNCTION`
`134217739`
`public static final int`
`SEMANTIC_UNIQUE_NAME_PREDEFINED`
`134217729`
`public static final int`
`SEMANTICS_RELATED`
`134217728`
`public static final int`
`SYNTAX_ERROR`
`67108865`
`public static final int`
`SYNTAX_RELATED`
`67108864`
`public static final int`
`TEMPLATE_ARGUMENT_NESTING_DEPTH_LIMIT_EXCEEDED`
`268435457`
org.eclipse.cdt.core.parser.IToken
Modifier and Type
Constant Field
Value
`public static final int`
`FIRST_RESERVED_IExtensionToken`
`243`
`public static final int`
`FIRST_RESERVED_IGCCToken`
`150`
`public static final int`
`FIRST_RESERVED_PREPROCESSOR`
`-200`
`public static final int`
`FIRST_RESERVED_SCANNER`
`-100`
`public static final int`
`LAST_RESERVED_IExtensionToken`
`299`
`public static final int`
`LAST_RESERVED_IGCCToken`
`199`
`public static final int`
`LAST_RESERVED_PREPROCESSOR`
`-101`
`public static final int`
`LAST_RESERVED_SCANNER`
`-1`
`public static final int`
`t__Alignas`
`51000`
`public static final int`
`t__Alignof`
`51001`
`public static final int`
`t__Bool`
`134`
`public static final int`
`t__Complex`
`135`
`public static final int`
`t__Imaginary`
`136`
`public static final int`
`t_alignas`
`5900`
`public static final int`
`t_alignof`
`5901`
`public static final int`
`t_and`
`54`
`public static final int`
`t_and_eq`
`55`
`public static final int`
`t_asm`
`56`
`public static final int`
`t_auto`
`57`
`public static final int`
`t_bitand`
`58`
`public static final int`
`t_bitor`
`59`
`public static final int`
`t_bool`
`60`
`public static final int`
`t_break`
`61`
`public static final int`
`t_case`
`62`
`public static final int`
`t_catch`
`63`
`public static final int`
`t_char`
`64`
`public static final int`
`t_char16_t`
`5202`
`public static final int`
`t_char32_t`
`5203`
`public static final int`
`t_char8_t`
`8102`
`public static final int`
`t_class`
`65`
`public static final int`
`t_compl`
`66`
`public static final int`
`t_const`
`67`
`public static final int`
`t_const_cast`
`69`
`public static final int`
`t_constexpr`
`5400`
`public static final int`
`t_continue`
`70`
`public static final int`
`t_decltype`
`5204`
`public static final int`
`t_default`
`71`
`public static final int`
`t_delete`
`72`
`public static final int`
`t_do`
`73`
`public static final int`
`t_double`
`74`
`public static final int`
`t_dynamic_cast`
`75`
`public static final int`
`t_else`
`76`
`public static final int`
`t_enum`
`77`
`public static final int`
`t_explicit`
`78`
`public static final int`
`t_export`
`79`
`public static final int`
`t_extern`
`80`
`public static final int`
`t_false`
`81`
`public static final int`
`t_float`
`82`
`public static final int`
`t_for`
`83`
`public static final int`
`t_friend`
`84`
`public static final int`
`t_goto`
`85`
`public static final int`
`t_if`
`86`
`public static final int`
`t_inline`
`87`
`public static final int`
`t_int`
`88`
`public static final int`
`t_long`
`89`
`public static final int`
`t_mutable`
`90`
`public static final int`
`t_namespace`
`91`
`public static final int`
`t_new`
`92`
`public static final int`
`t_noexcept`
`5401`
`public static final int`
`t_not`
`93`
`public static final int`
`t_not_eq`
`94`
`public static final int`
`t_nullptr`
`5402`
`public static final int`
`t_operator`
`95`
`public static final int`
`t_or`
`96`
`public static final int`
`t_or_eq`
`97`
`public static final int`
`t_PRAGMA`
`5200`
`public static final int`
`t_private`
`98`
`public static final int`
`t_protected`
`99`
`public static final int`
`t_public`
`100`
`public static final int`
`t_register`
`101`
`public static final int`
`t_reinterpret_cast`
`102`
`public static final int`
`t_restrict`
`137`
`public static final int`
`t_return`
`103`
`public static final int`
`t_short`
`104`
`public static final int`
`t_signed`
`108`
`public static final int`
`t_sizeof`
`105`
`public static final int`
`t_static`
`106`
`public static final int`
`t_static_assert`
`5205`
`public static final int`
`t_static_cast`
`107`
`public static final int`
`t_struct`
`109`
`public static final int`
`t_switch`
`110`
`public static final int`
`t_template`
`111`
`public static final int`
`t_this`
`112`
`public static final int`
`t_thread_local`
`5403`
`public static final int`
`t_throw`
`113`
`public static final int`
`t_true`
`114`
`public static final int`
`t_try`
`115`
`public static final int`
`t_typedef`
`116`
`public static final int`
`t_typeid`
`117`
`public static final int`
`t_typename`
`118`
`public static final int`
`t_union`
`119`
`public static final int`
`t_unsigned`
`120`
`public static final int`
`t_using`
`121`
`public static final int`
`t_virtual`
`122`
`public static final int`
`t_void`
`123`
`public static final int`
`t_volatile`
`124`
`public static final int`
`t_wchar_t`
`125`
`public static final int`
`t_while`
`126`
`public static final int`
`t_xor`
`127`
`public static final int`
`t_xor_eq`
`128`
`public static final int`
`tAMPER`
`30`
`public static final int`
`tAMPERASSIGN`
`28`
`public static final int`
`tAND`
`29`
`public static final int`
`tARROW`
`20`
`public static final int`
`tARROWSTAR`
`19`
`public static final int`
`tASSIGN`
`38`
`public static final int`
`tBITCOMPLEMENT`
`34`
`public static final int`
`tBITOR`
`33`
`public static final int`
`tBITORASSIGN`
`31`
`public static final int`
`tBLOCKCOMMENT`
`143`
`public static final int`
`tCHAR`
`132`
`public static final int`
`tCOLON`
`4`
`public static final int`
`tCOLONCOLON`
`3`
`public static final int`
`tCOMMA`
`6`
`public static final int`
`tCOMMENT`
`142`
`public static final int`
`tCOMPL`
`34`
`public static final int`
`tCOMPLETION`
`140`
`public static final int`
`tDECR`
`18`
`public static final int`
`tDIV`
`52`
`public static final int`
`tDIVASSIGN`
`51`
`public static final int`
`tDOT`
`50`
`public static final int`
`tDOTSTAR`
`49`
`public static final int`
`tELLIPSIS`
`48`
`public static final int`
`tEND_OF_INPUT`
`144`
`public static final int`
`tEOC`
`141`
`public static final int`
`tEQUAL`
`37`
`public static final int`
`tFLOATINGPT`
`129`
`public static final int`
`tGT`
`46`
`public static final int`
`tGT_in_SHIFTR`
`5201`
`public static final int`
`tGTEQUAL`
`45`
`public static final int`
`tIDENTIFIER`
`1`
`public static final int`
`tINACTIVE_CODE_END`
`147`
`public static final int`
`tINACTIVE_CODE_SEPARATOR`
`146`
`public static final int`
`tINACTIVE_CODE_START`
`145`
`public static final int`
`tINCR`
`15`
`public static final int`
`tINTEGER`
`2`
`public static final int`
`tLBRACE`
`12`
`public static final int`
`tLBRACKET`
`10`
`public static final int`
`tLCHAR`
`133`
`public static final int`
`tLPAREN`
`8`
`public static final int`
`tLSTRING`
`131`
`public static final int`
`tLT`
`42`
`public static final int`
`tLTEQUAL`
`41`
`public static final int`
`tMACROEXP`
`138`
`public static final int`
`tMINUS`
`21`
`public static final int`
`tMINUSASSIGN`
`17`
`public static final int`
`tMOD`
`25`
`public static final int`
`tMODASSIGN`
`24`
`public static final int`
`tNOT`
`36`
`public static final int`
`tNOTEQUAL`
`35`
`public static final int`
`tOR`
`32`
`public static final int`
`tPLUS`
`16`
`public static final int`
`tPLUSASSIGN`
`14`
`public static final int`
`tPOUND`
`138`
`public static final int`
`tPOUNDPOUND`
`139`
`public static final int`
`tQUESTION`
`7`
`public static final int`
`tRBRACE`
`13`
`public static final int`
`tRBRACKET`
`11`
`public static final int`
`tRPAREN`
`9`
`public static final int`
`tSEMI`
`5`
`public static final int`
`tSHIFTL`
`40`
`public static final int`
`tSHIFTLASSIGN`
`47`
`public static final int`
`tSHIFTR`
`44`
`public static final int`
`tSHIFTRASSIGN`
`43`
`public static final int`
`tSTAR`
`23`
`public static final int`
`tSTARASSIGN`
`22`
`public static final int`
`tSTRING`
`130`
`public static final int`
`tTHREEWAYCOMPARISON`
`8001`
`public static final int`
`tUNKNOWN_CHAR`
`39`
`public static final int`
`tUSER_DEFINED_CHAR_LITERAL`
`51003`
`public static final int`
`tUSER_DEFINED_STRING_LITERAL`
`51002`
`public static final int`
`tUTF16CHAR`
`5002`
`public static final int`
`tUTF16STRING`
`5000`
`public static final int`
`tUTF32CHAR`
`5003`
`public static final int`
`tUTF32STRING`
`5001`
`public static final int`
`tXOR`
`27`
`public static final int`
`tXORASSIGN`
`26`
org.eclipse.cdt.core.parser.Keywords
Modifier and Type
Constant Field
Value
`public static final String`
`_ALIGNAS`
`"_Alignas"`
`public static final String`
`_ALIGNOF`
`"_Alignof"`
`public static final String`
`_BOOL`
`"_Bool"`
`public static final String`
`_COMPLEX`
`"_Complex"`
`public static final String`
`_IMAGINARY`
`"_Imaginary"`
`public static final String`
`ALIGNAS`
`"alignas"`
`public static final String`
`ALIGNOF`
`"alignof"`
`public static final String`
`AND`
`"and"`
`public static final String`
`AND_EQ`
`"and_eq"`
`public static final String`
`ASM`
`"asm"`
`public static final String`
`AUTO`
`"auto"`
`public static final String`
`BITAND`
`"bitand"`
`public static final String`
`BITOR`
`"bitor"`
`public static final String`
`BOOL`
`"bool"`
`public static final String`
`BREAK`
`"break"`
`public static final String`
`CASE`
`"case"`
`public static final String`
`CAST`
`"cast"`
`public static final String`
`CATCH`
`"catch"`
`public static final String`
`CHAR`
`"char"`
`public static final String`
`CHAR16_T`
`"char16_t"`
`public static final String`
`CHAR32_T`
`"char32_t"`
`public static final String`
`CHAR8_T`
`"char8_t"`
`public static final String`
`CLASS`
`"class"`
`public static final String`
`COMPL`
`"compl"`
`public static final String`
`CONST`
`"const"`
`public static final String`
`CONST_CAST`
`"const_cast"`
`public static final String`
`CONSTEXPR`
`"constexpr"`
`public static final String`
`CONTINUE`
`"continue"`
`public static final String`
`DECLTYPE`
`"decltype"`
`public static final String`
`DEFAULT`
`"default"`
`public static final String`
`DELETE`
`"delete"`
`public static final String`
`DO`
`"do"`
`public static final String`
`DOUBLE`
`"double"`
`public static final String`
`DYNAMIC_CAST`
`"dynamic_cast"`
`public static final String`
`ELSE`
`"else"`
`public static final String`
`ENUM`
`"enum"`
`public static final String`
`EXPLICIT`
`"explicit"`
`public static final String`
`EXPORT`
`"export"`
`public static final String`
`EXTERN`
`"extern"`
`public static final String`
`FALSE`
`"false"`
`public static final String`
`FINAL`
`"final"`
`public static final String`
`FLOAT`
`"float"`
`public static final String`
`FOR`
`"for"`
`public static final String`
`FRIEND`
`"friend"`
`public static final String`
`GOTO`
`"goto"`
`public static final String`
`IF`
`"if"`
`public static final String`
`INLINE`
`"inline"`
`public static final String`
`INT`
`"int"`
`public static final String`
`LONG`
`"long"`
`public static final String`
`LONG_LONG`
`"long long"`
`public static final String`
`MUTABLE`
`"mutable"`
`public static final String`
`NAMESPACE`
`"namespace"`
`public static final String`
`NEW`
`"new"`
`public static final String`
`NOEXCEPT`
`"noexcept"`
`public static final String`
`NOT`
`"not"`
`public static final String`
`NOT_EQ`
`"not_eq"`
`public static final String`
`NULLPTR`
`"nullptr"`
`public static final String`
`OPERATOR`
`"operator"`
`public static final String`
`OR`
`"or"`
`public static final String`
`OR_EQ`
`"or_eq"`
`public static final String`
`OVERRIDE`
`"override"`
`public static final String`
`PRIVATE`
`"private"`
`public static final String`
`PROTECTED`
`"protected"`
`public static final String`
`PUBLIC`
`"public"`
`public static final String`
`REGISTER`
`"register"`
`public static final String`
`REINTERPRET_CAST`
`"reinterpret_cast"`
`public static final String`
`RESTRICT`
`"restrict"`
`public static final String`
`RETURN`
`"return"`
`public static final String`
`SHORT`
`"short"`
`public static final String`
`SIGNED`
`"signed"`
`public static final String`
`SIZEOF`
`"sizeof"`
`public static final String`
`STATIC`
`"static"`
`public static final String`
`STATIC_ASSERT`
`"static_assert"`
`public static final String`
`STATIC_CAST`
`"static_cast"`
`public static final String`
`STRUCT`
`"struct"`
`public static final String`
`SWITCH`
`"switch"`
`public static final String`
`TEMPLATE`
`"template"`
`public static final String`
`THIS`
`"this"`
`public static final String`
`THREAD_LOCAL`
`"thread_local"`
`public static final String`
`THROW`
`"throw"`
`public static final String`
`TRUE`
`"true"`
`public static final String`
`TRY`
`"try"`
`public static final String`
`TYPEDEF`
`"typedef"`
`public static final String`
`TYPEID`
`"typeid"`
`public static final String`
`TYPENAME`
`"typename"`
`public static final String`
`TYPEOF`
`"typeof"`
`public static final String`
`UNION`
`"union"`
`public static final String`
`UNSIGNED`
`"unsigned"`
`public static final String`
`USING`
`"using"`
`public static final String`
`VIRTUAL`
`"virtual"`
`public static final String`
`VOID`
`"void"`
`public static final String`
`VOLATILE`
`"volatile"`
`public static final String`
`WCHAR_T`
`"wchar_t"`
`public static final String`
`WHILE`
`"while"`
`public static final String`
`XOR`
`"xor"`
`public static final String`
`XOR_EQ`
`"xor_eq"`
org.eclipse.cdt.core.parser.OffsetLimitReachedException
Modifier and Type
Constant Field
Value
`public static final int`
`ORIGIN_INACTIVE_CODE`
`3`
`public static final int`
`ORIGIN_LEXER`
`1`
`public static final int`
`ORIGIN_MACRO_EXPANSION`
`4`
`public static final int`
`ORIGIN_PREPROCESSOR_DIRECTIVE`
`2`
`public static final int`
`ORIGIN_UNKNOWN`
`0`
org.eclipse.cdt.core.parser.StandardAttributes
Modifier and Type
Constant Field
Value
`public static final String`
`CARRIES_DEPENDENCY`
`"carries_dependency"`
`public static final String`
`DEPRECATED`
`"deprecated"`
`public static final String`
`FALLTHROUGH`
`"fallthrough"`
`public static final String`
`MAYBE_UNUSED`
`"maybe_unused"`
`public static final String`
`NODISCARD`
`"nodiscard"`
`public static final String`
`NORETURN`
`"noreturn"`

org.eclipse.cdt.core.parser.util.HashTable
Modifier and Type
Constant Field
Value
`protected static final int`
`minHashSize`
`8`

org.eclipse.cdt.core.resources.ACBuilder
Modifier and Type
Constant Field
Value
`protected static final boolean`
`DEBUG_EVENTS`
`false`
org.eclipse.cdt.core.resources.ExclusionInstance
Modifier and Type
Constant Field
Value
`public static final String`
`CLASS_ATTRIBUTE_NAME`
`"class"`
`public static final String`
`CONTRIBUTOR_ID_ATTRIBUTE_NAME`
`"contributorId"`
`public static final String`
`DISPLAY_STRING_ATTRIBUTE_NAME`
`"displayString"`
`public static final String`
`EXCLUSION_ELEMENT_NAME`
`"exclusion"`
`public static final String`
`EXCLUSION_TYPE_ATTRIBUTE_NAME`
`"exclusionType"`
`public static final String`
`EXTENSION_DATA_ELEMENT_NAME`
`"extensionData"`
`public static final String`
`FILE_VALUE`
`"FILE"`
`public static final String`
`FOLDER_VALUE`
`"FOLDER"`
`public static final String`
`INSTANCE_ELEMENT_NAME`
`"instance"`
`public static final String`
`RESOURCE_VALUE`
`"RESOURCE"`
`public static final String`
`WORKSPACE_PATH_ATTRIBUTE_NAME`
`"workspacePath"`
org.eclipse.cdt.core.resources.PathEntryStoreChangedEvent
Modifier and Type
Constant Field
Value
`public static final int`
`CONTENT_CHANGED`
`1`
`public static final int`
`STORE_CLOSED`
`2`
org.eclipse.cdt.core.resources.PathEntryVariableChangeEvent
Modifier and Type
Constant Field
Value
`public static final int`
`VARIABLE_CHANGED`
`1`
`public static final int`
`VARIABLE_CREATED`
`2`
`public static final int`
`VARIABLE_DELETED`
`3`
org.eclipse.cdt.core.resources.RefreshExclusion
Modifier and Type
Constant Field
Value
`public static final String`
`CLASS_ATTRIBUTE_NAME`
`"class"`
`public static final String`
`CONTRIBUTOR_ID_ATTRIBUTE_NAME`
`"contributorId"`
`public static final String`
`DISPLAY_STRING_ATTRIBUTE_NAME`
`"displayString"`
`public static final String`
`EXCLUSION_ELEMENT_NAME`
`"exclusion"`
`public static final String`
`EXCLUSION_TYPE_ATTRIBUTE_NAME`
`"exclusionType"`
`public static final String`
`EXTENSION_DATA_ELEMENT_NAME`
`"extensionData"`
`public static final String`
`FILE_VALUE`
`"FILE"`
`public static final String`
`FOLDER_VALUE`
`"FOLDER"`
`public static final String`
`INSTANCE_ELEMENT_NAME`
`"instance"`
`public static final String`
`RESOURCE_VALUE`
`"RESOURCE"`
`public static final String`
`WORKSPACE_PATH_ATTRIBUTE_NAME`
`"workspacePath"`
org.eclipse.cdt.core.resources.RefreshScopeManager
Modifier and Type
Constant Field
Value
`public static final String`
`CONFIGURATION_ELEMENT`
`"configuration"`
`public static final String`
`CONFIGURATION_ELEMENT_NAME`
`"configurationName"`
`public static final String`
`EXCLUSION_CLASS`
`"exclusionClass"`
`public static final String`
`EXTENSION_ID`
`"RefreshExclusionFactory"`
`public static final String`
`FACTORY_CLASS`
`"factoryClass"`
`public static final String`
`FILE_VALUE`
`"FILE"`
`public static final String`
`FOLDER_VALUE`
`"FOLDER"`
`public static final String`
`INSTANCE_CLASS`
`"instanceClass"`
`public static final String`
`OTHER_VALUE`
`"OTHER"`
`public static final String`
`PROJECT_VALUE`
`"PROJECT"`
`public static final String`
`REFRESH_SCOPE_STORAGE_NAME`
`"refreshScope"`
`public static final String`
`RESOURCE_ELEMENT_NAME`
`"resource"`
`public static final String`
`RESOURCE_TYPE_ATTRIBUTE_NAME`
`"resourceType"`
`public static final String`
`VERSION_ELEMENT_NAME`
`"version"`
`public static final String`
`VERSION_NUMBER_ATTRIBUTE_NAME`
`"versionNumber"`
`public static final String`
`WORKSPACE_PATH_ATTRIBUTE_NAME`
`"workspacePath"`

org.eclipse.cdt.core.settings.model.CConfigurationStatus
Modifier and Type
Constant Field
Value
`public static final int`
`SETTINGS_INVALID`
`8`
`public static final int`
`TOOLCHAIN_NOT_SUPPORTED`
`4`
org.eclipse.cdt.core.settings.model.CProjectDescriptionEvent
Modifier and Type
Constant Field
Value
`public static final int`
`ABOUT_TO_APPLY`
`2`
`public static final int`
`ALL`
`31`
`public static final int`
`APPLIED`
`4`
`public static final int`
`COPY_CREATED`
`8`
`public static final int`
`DATA_APPLIED`
`16`
`public static final int`
`LOADED`
`1`
org.eclipse.cdt.core.settings.model.ICDescriptionDelta
Modifier and Type
Constant Field
Value
`public static final int`
`ACTIVE_CFG`
`1`
`public static final int`
`ADDED`
`2`
`public static final int`
`BINARY_PARSER_IDS`
`1024`
`public static final int`
`CFG_REF_ADDED`
`131072`
`public static final int`
`CFG_REF_REMOVED`
`262144`
`public static final int`
`CHANGED`
`3`
`public static final int`
`DESCRIPTION`
`4`
`public static final int`
`ERROR_PARSER_IDS`
`2048`
`public static final int`
`EXCLUDE`
`4096`
`public static final int`
`EXT_REF`
`524288`
`public static final int`
`EXTERNAL_SETTINGS_ADDED`
`32768`
`public static final int`
`EXTERNAL_SETTINGS_REMOVED`
`65536`
`public static final int`
`INDEX_CFG`
`2097152`
`public static final int`
`LANGUAGE_ID`
`16`
`public static final int`
`LANGUAGE_SETTINGS_PROVIDERS`
`4194304`
`public static final int`
`NAME`
`2`
`public static final int`
`OWNER`
`1048576`
`public static final int`
`PROJECT_CREAION_COMPLETED`
`4194304`
`public static final int`
`REMOVED`
`1`
`public static final int`
`SETTING_CFG`
`2097152`
`public static final int`
`SETTING_ENTRIES`
`512`
`public static final int`
`SOURCE_ADDED`
`8192`
`public static final int`
`SOURCE_CONTENT_TYPE`
`32`
`public static final int`
`SOURCE_ENTENSIONS`
`64`
`public static final int`
`SOURCE_EXTENSIONS`
`64`
`public static final int`
`SOURCE_REMOVED`
`16384`
org.eclipse.cdt.core.settings.model.ICMultiItemsHolder
Modifier and Type
Constant Field
Value
`public static final String`
`EMPTY_STR`
`""`
org.eclipse.cdt.core.settings.model.ICProjectDescriptionManager
Modifier and Type
Constant Field
Value
`public static final int`
`GET_CREATE_DESCRIPTION`
`32`
`public static final int`
`GET_EMPTY_PROJECT_DESCRIPTION`
`16`
`public static final int`
`GET_IF_LOADDED`
`8`
`public static final int`
`GET_WRITABLE`
`4`
`public static final int`
`PROJECT_CREATING`
`64`
`public static final int`
`SET_FORCE`
`1`
`public static final int`
`SET_NO_SERIALIZE`
`2`
org.eclipse.cdt.core.settings.model.ICProjectDescriptionPreferences
Modifier and Type
Constant Field
Value
`public static final int`
`CONFIGS_INDEPENDENT`
`1`
`public static final int`
`CONFIGS_LINK_SETTINGS_AND_ACTIVE`
`2`
org.eclipse.cdt.core.settings.model.ICSettingBase
Modifier and Type
Constant Field
Value
`public static final int`
`SETTING_BUILD`
`64`
`public static final int`
`SETTING_CONFIGURATION`
`2`
`public static final int`
`SETTING_FILE`
`8`
`public static final int`
`SETTING_FOLDER`
`4`
`public static final int`
`SETTING_LANGUAGE`
`16`
`public static final int`
`SETTING_PROJECT`
`1`
`public static final int`
`SETTING_TARGET_PLATFORM`
`32`
org.eclipse.cdt.core.settings.model.ICSettingEntry
Modifier and Type
Constant Field
Value
`public static final int`
`ALL`
`-1`
`public static final int`
`BUILTIN`
`1`
`public static final int`
`EXPORTED`
`128`
`public static final int`
`FRAMEWORKS_MAC`
`64`
`public static final int`
`INCLUDE_FILE`
`2`
`public static final int`
`INCLUDE_PATH`
`1`
`public static final int`
`LIBRARY_FILE`
`32`
`public static final int`
`LIBRARY_PATH`
`16`
`public static final int`
`LOCAL`
`4`
`public static final int`
`MACRO`
`4`
`public static final int`
`MACRO_FILE`
`8`
`public static final int`
`NONE`
`0`
`public static final int`
`OUTPUT_PATH`
`64`
`public static final int`
`READONLY`
`2`
`public static final int`
`RESOLVED`
`16`
`public static final int`
`SOURCE_PATH`
`128`
`public static final int`
`UNDEFINED`
`32`
`public static final int`
`VALUE_WORKSPACE_PATH`
`8`
org.eclipse.cdt.core.settings.model.IModificationContext
Modifier and Type
Constant Field
Value
`public static final int`
`CFG_DATA_SETTINGS_UNMODIFIED`
`1`
`public static final int`
`CFG_DATA_STORAGE_UNMODIFIED`
`2`
org.eclipse.cdt.core.settings.model.MultiItemsHolder
Modifier and Type
Constant Field
Value
`protected static final boolean`
`DEBUG`
`false`

org.eclipse.cdt.core.settings.model.extension.impl.CDefaultLanguageData
Modifier and Type
Constant Field
Value
`protected static final int`
`OP_COPY`
`1`
`protected static final int`
`OP_SET`
`2`

org.eclipse.cdt.core.settings.model.util.CDataSerializer
Modifier and Type
Constant Field
Value
`protected static final String`
`BINARY_PARSERS`
`"binaryParsers"`
`protected static final String`
`BUILD_DATA`
`"buildData"`
`protected static final String`
`CONTENT_TYPE_IDS`
`"contentTypeIds"`
`protected static final String`
`CWD`
`"cwd"`
`protected static final String`
`DELIMITER`
`";"`
`protected static final String`
`DESCRIPTION`
`"description"`
`protected static final String`
`ERROR_PARSERS`
`"errorParsers"`
`protected static final String`
`EXTENSIONS`
`"extensions"`
`protected static final String`
`FILE_DATA`
`"fileData"`
`protected static final String`
`FOLDER_DATA`
`"folderData"`
`protected static final String`
`ID`
`"id"`
`protected static final String`
`LANGUAGE_DATA`
`"languageData"`
`protected static final String`
`LANGUAGE_ID`
`"languageId"`
`protected static final String`
`NAME`
`"name"`
`protected static final String`
`OUTPUT_ENTRIES`
`"outputEntries"`
`protected static final String`
`PATH`
`"path"`
`protected static final String`
`SETTING_ENTRIES`
`"settingEntries"`
`protected static final String`
`SOURCE_ENTRIES`
`"sourceEntries"`
`protected static final String`
`SUPPORTED_ENTRY_KINDS`
`"supportedEntryKinds"`
`protected static final String`
`TARGET_PLATFORM_DATA`
`"targetPlatformData"`
org.eclipse.cdt.core.settings.model.util.KindBasedStore<T>
Modifier and Type
Constant Field
Value
`public static final int`
`ORED_ALL_ENTRY_KINDS`
`255`
`public static final int`
`ORED_LANG_ENTRY_KINDS`
`63`
org.eclipse.cdt.core.settings.model.util.LanguageSettingEntriesSerializer
Modifier and Type
Constant Field
Value
`public static final String`
`ATTRIBUTE_EXCLUDING`
`"excluding"`
`public static final String`
`ATTRIBUTE_FLAGS`
`"flags"`
`public static final String`
`ATTRIBUTE_KIND`
`"kind"`
`public static final String`
`ATTRIBUTE_NAME`
`"name"`
`public static final String`
`ATTRIBUTE_SOURCE_ATTACHMENT_PATH`
`"srcPath"`
`public static final String`
`ATTRIBUTE_SOURCE_ATTACHMENT_PREFIX_MAPPING`
`"srcPrefixMapping"`
`public static final String`
`ATTRIBUTE_SOURCE_ATTACHMENT_ROOT_PATH`
`"srcRootPath"`
`public static final String`
`ATTRIBUTE_VALUE`
`"value"`
`public static final String`
`BUILTIN`
`"BUILTIN"`
`public static final String`
`ELEMENT_ENTRY`
`"entry"`
`public static final String`
`FLAGS_SEPARATOR`
`"|"`
`public static final String`
`INCLUDE_FILE`
`"includeFile"`
`public static final String`
`INCLUDE_PATH`
`"includePath"`
`public static final String`
`LIBRARY_FILE`
`"libraryFile"`
`public static final String`
`LIBRARY_PATH`
`"libraryPath"`
`public static final String`
`LOCAL`
`"LOCAL"`
`public static final String`
`MACRO`
`"macro"`
`public static final String`
`MACRO_FILE`
`"macroFile"`
`public static final String`
`NONE`
`"NONE"`
`public static final String`
`OUTPUT_PATH`
`"outputPath"`
`public static final String`
`READONLY`
`"READONLY"`
`public static final String`
`RESOLVED`
`"RESOLVED"`
`public static final String`
`SOURCE_PATH`
`"sourcePath"`
`public static final String`
`VALUE_WORKSPACE_PATH`
`"VALUE_WORKSPACE_PATH"`
org.eclipse.cdt.core.settings.model.util.PathEntryTranslator
Modifier and Type
Constant Field
Value
`public static final int`
`INCLUDE_ALL`
`3`
`public static final int`
`INCLUDE_BUILT_INS`
`1`
`public static final int`
`INCLUDE_USER`
`2`
`public static final int`
`OP_ADD`
`1`
`public static final int`
`OP_REMOVE`
`2`
`public static final int`
`OP_REPLACE`
`3`
org.eclipse.cdt.core.settings.model.util.SettingsSet
Modifier and Type
Constant Field
Value
`public static final int`
`READ_ONLY`
`1`
`public static final int`
`WRITABLE`
`2`
org.eclipse.cdt.core.settings.model.util.UserAndDiscoveredEntryDataSerializer
Modifier and Type
Constant Field
Value
`protected static final String`
`DISABLED_DISCOVERED_ENTRIES`
`"disabledDiscoveredEntries"`
`protected static final String`
`KIND`
`"kind"`
`protected static final String`
`VALUE`
`"value"`

org.eclipse.cdt.core.templateengine.SharedDefaults
Modifier and Type
Constant Field
Value
`public static final String`
`GET`
`"GET"`
`public static final String`
`ResourceFolder`
`"resources"`
`public static final String`
`SET`
`"SET"`
org.eclipse.cdt.core.templateengine.TemplateDescriptor
Modifier and Type
Constant Field
Value
`public static final String`
`BOOL_TRUE`
`"true"`
`public static final String`
`DEFAULT`
`"default"`
`public static final String`
`ID`
`"id"`
`public static final String`
`IF`
`"if"`
`public static final String`
`PERSIST`
`"persist"`
`public static final String`
`PROCESS`
`"process"`
`public static final String`
`PROPERTY_GROUP`
`"property-group"`
org.eclipse.cdt.core.templateengine.TemplateEngine2
Modifier and Type
Constant Field
Value
`public static final String`
`NEW_TEMPLATE`
`"newTemplate"`
org.eclipse.cdt.core.templateengine.TemplateEngineHelper
Modifier and Type
Constant Field
Value
`public static final String`
`BOOLTRUE`
`"true"`
`public static final String`
`CLOSE_MARKER`
`")"`
`public static final String`
`EXTRA_PAGES_PROVIDER`
`"pagesAfterTemplateSelectionProvider"`
`public static final String`
`FILTER_PATTERN`
`"filterPattern"`
`public static final String`
`ID`
`"id"`
`public static final String`
`IS_CATEGORY`
`"isCategory"`
`public static final String`
`LOCATION`
`"location"`
`public static final String`
`LOGGER_FILE_NAME`
`"Process"`
`public static final String`
`OPEN_MARKER`
`"$("`
`public static final String`
`PLUGIN_ID`
`"pluginId"`
`public static final String`
`PLUGIN_PROPERTIES`
`"plugin.properties"`
`public static final String`
`PROJECT_TYPE`
`"projectType"`
`public static final String`
`PROJRESOURCE`
`"plugin.xml"`
`public static final String`
`SDLOG_FILE_NAME`
`"sharedDefaults"`
`public static final String`
`STRING_EXTERNALIZATION_MARKER`
`"%"`
`public static final String`
`TEMPLATE_PROPERTIES`
`"template.properties"`
`public static final String`
`TOOL_CHAIN`
`"toolChain"`
`public static final String`
`US`
`"_"`
`public static final String`
`USAGE_DESCRIPTION`
`"usageDescription"`
`public static final String`
`VALUE`
`"value"`
`public static final String`
`WIZARD_ID`
`"wizardId"`

org.eclipse.cdt.core.templateengine.process.Process
Modifier and Type
Constant Field
Value
`public static final String`
`ELEM_TYPE`
`"type"`
org.eclipse.cdt.core.templateengine.process.ProcessHelper
Modifier and Type
Constant Field
Value
`public static final String`
`CONDITION`
`"condition"`
`public static final String`
`END_PATTERN`
`")"`
`public static final String`
`EQUALS`
`"=="`
`public static final String`
`NOT_EQUALS`
`"!="`
`public static final String`
`START_PATTERN`
`"$("`
org.eclipse.cdt.core.templateengine.process.ProcessParameter
Modifier and Type
Constant Field
Value
`public static final byte`
`COMPLEX`
`0x3`
`public static final byte`
`COMPLEX_ARRAY`
`0x4`
`public static final byte`
`SIMPLE`
`0x1`
`public static final byte`
`SIMPLE_ARRAY`
`0x2`

org.eclipse.cdt.utils.IGnuToolFactory
Modifier and Type
Constant Field
Value
`public static final String`
`GNU_TOOL_PREFIX_VARIABLE`
`"gnu_tool_prefix"`

org.eclipse.cdt.utils.cdtvariables.CdtVariableResolver
Modifier and Type
Constant Field
Value
`public static final String`
`VAR_ARCH_TYPE`
`"ArchType"`
`public static final String`
`VAR_CDT_VERSION`
`"CDTVersion"`
`public static final String`
`VAR_CONFIG_DESCRIPTION`
`"ConfigDescription"`
`public static final String`
`VAR_CONFIG_NAME`
`"ConfigName"`
`public static final String`
`VAR_DIRECTORY_DELIMITER`
`"DirectoryDelimiter"`
`public static final String`
`VAR_ECLIPSE_VERSION`
`"EclipseVersion"`
`public static final String`
`VAR_HOST_ARCH_NAME`
`"HostArchName"`
`public static final String`
`VAR_HOST_OS_NAME`
`"HostOsName"`
`public static final String`
`VAR_OS_TYPE`
`"OsType"`
`public static final String`
`VAR_PATH_DELIMITER`
`"PathDelimiter"`
`public static final String`
`VAR_PROJ_DIR_PATH`
`"ProjDirPath"`
`public static final String`
`VAR_PROJ_NAME`
`"ProjName"`
`public static final String`
`VAR_WORKSPACE_DIR_PATH`
`"WorkspaceDirPath"`
`public static final String`
`VARIABLE_PREFIX`
`"${"`
`public static final char`
`VARIABLE_SUFFIX`
`'}'`

org.eclipse.cdt.utils.coff.Coff64.FileHeader
Modifier and Type
Constant Field
Value
`public static final int`
`F_AR16WR`
`128`
`public static final int`
`F_AR32W`
`512`
`public static final int`
`F_AR32WR`
`256`
`public static final int`
`F_DLL`
`8192`
`public static final int`
`F_DYNLOAD`
`4096`
`public static final int`
`F_EXEC`
`2`
`public static final int`
`F_LNNO`
`4`
`public static final int`
`F_LSYMS`
`8`
`public static final int`
`F_RELFLG`
`1`
`public static final int`
`F_SHROBJ`
`8192`
`public static final int`
`FILHSZ`
`20`
org.eclipse.cdt.utils.coff.Coff64.Lineno
Modifier and Type
Constant Field
Value
`public static final int`
`LINESZ`
`6`
org.eclipse.cdt.utils.coff.Coff64.OptionalHeader.OptionalHeader32
Modifier and Type
Constant Field
Value
`public static final int`
`AOUTHDRSZ`
`26`
org.eclipse.cdt.utils.coff.Coff64.OptionalHeader.OptionalHeader64
Modifier and Type
Constant Field
Value
`public static final int`
`AOUTHDRSZ`
`22`
org.eclipse.cdt.utils.coff.Coff64.Reloc
Modifier and Type
Constant Field
Value
`public static final int`
`RELSZ`
`16`
org.eclipse.cdt.utils.coff.Coff64.SectionHeader
Modifier and Type
Constant Field
Value
`public static final String`
`_BSS`
`".bss"`
`public static final String`
`_COMMENT`
`".comment"`
`public static final String`
`_DATA`
`".data"`
`public static final String`
`_LIB`
`".lib"`
`public static final String`
`_TEXT`
`".text"`
`public static final int`
`S_NEWFCN`
`256`
`public static final int`
`S_SHRSEG`
`32`
`public static final int`
`SCNHSZ`
`40`
`public static final int`
`STYP_BSS`
`128`
`public static final int`
`STYP_COPY`
`16`
`public static final int`
`STYP_DATA`
`64`
`public static final int`
`STYP_DSECT`
`1`
`public static final int`
`STYP_GROUP`
`4`
`public static final int`
`STYP_INFO`
`512`
`public static final int`
`STYP_LIB`
`2048`
`public static final int`
`STYP_LIT`
`32800`
`public static final int`
`STYP_MEM_DISCARDABLE`
`33554432`
`public static final int`
`STYP_MEM_WRITE`
`-2147483648`
`public static final int`
`STYP_MERGE`
`8192`
`public static final int`
`STYP_NOLOAD`
`2`
`public static final int`
`STYP_OVER`
`1024`
`public static final int`
`STYP_PAD`
`8`
`public static final int`
`STYP_REG`
`0`
`public static final int`
`STYP_REVERSE_PAD`
`16384`
`public static final int`
`STYP_TEXT`
`32`
org.eclipse.cdt.utils.coff.Coff64.Symbol
Modifier and Type
Constant Field
Value
`public static final int`
`DT_ARY`
`3`
`public static final int`
`DT_FCN`
`2`
`public static final int`
`DT_NON`
`0`
`public static final int`
`DT_PTR`
`1`
`public static final int`
`N_BTSHFT`
`4`
`public static final int`
`N_TMASK`
`48`
`public static final int`
`N_TSHIFT`
`2`
`public static final int`
`SC_EXTERNAL`
`2`
`public static final int`
`SYMNMLEN`
`8`
`public static final int`
`SYMSZ`
`18`
`public static final int`
`T_CHAR`
`2`
`public static final int`
`T_DOUBLE`
`7`
`public static final int`
`T_ENUM`
`16`
`public static final int`
`T_FLOAT`
`6`
`public static final int`
`T_INT`
`4`
`public static final int`
`T_LNGDBL`
`22`
`public static final int`
`T_LONG`
`5`
`public static final int`
`T_MOE`
`17`
`public static final int`
`T_NULL`
`0`
`public static final int`
`T_SHORT`
`3`
`public static final int`
`T_STRUCT`
`8`
`public static final int`
`T_UCHAR`
`18`
`public static final int`
`T_UINT`
`20`
`public static final int`
`T_ULONG`
`21`
`public static final int`
`T_UNION`
`9`
`public static final int`
`T_USHORT`
`19`
`public static final int`
`T_VOID`
`1`
org.eclipse.cdt.utils.coff.Exe.ExeHeader
Modifier and Type
Constant Field
Value
`public static final int`
`EXEHDRSZ`
`28`
org.eclipse.cdt.utils.coff.PE64.Attribute
Modifier and Type
Constant Field
Value
`public static final int`
`PE_TYPE_CORE`
`4`
`public static final int`
`PE_TYPE_EXE`
`1`
`public static final int`
`PE_TYPE_OBJ`
`3`
`public static final int`
`PE_TYPE_SHLIB`
`2`
org.eclipse.cdt.utils.coff.PE64.ImportDirectoryEntry
Modifier and Type
Constant Field
Value
`public static final int`
`ENTRYSZ`
`20`
org.eclipse.cdt.utils.coff.PE64.NTOptionalHeader32
Modifier and Type
Constant Field
Value
`public static final int`
`NTHDRSZ`
`196`
org.eclipse.cdt.utils.coff.PE64.NTOptionalHeader64
Modifier and Type
Constant Field
Value
`public static final int`
`NTHDRSZ`
`216`
org.eclipse.cdt.utils.coff.PEConstants
Modifier and Type
Constant Field
Value
`public static final int`
`IMAGE_DIRECTORY_ENTRY_BASERELOC`
`5`
`public static final int`
`IMAGE_DIRECTORY_ENTRY_BOUND_IMPORT`
`11`
`public static final int`
`IMAGE_DIRECTORY_ENTRY_COPYRIGHT`
`7`
`public static final int`
`IMAGE_DIRECTORY_ENTRY_DEBUG`
`6`
`public static final int`
`IMAGE_DIRECTORY_ENTRY_EXCEPTION`
`3`
`public static final int`
`IMAGE_DIRECTORY_ENTRY_EXPORT`
`0`
`public static final int`
`IMAGE_DIRECTORY_ENTRY_GLOBALPTR`
`8`
`public static final int`
`IMAGE_DIRECTORY_ENTRY_IAT`
`12`
`public static final int`
`IMAGE_DIRECTORY_ENTRY_IMPORT`
`1`
`public static final int`
`IMAGE_DIRECTORY_ENTRY_LOAD_CONFIG`
`10`
`public static final int`
`IMAGE_DIRECTORY_ENTRY_RESOURCE`
`2`
`public static final int`
`IMAGE_DIRECTORY_ENTRY_SECURITY`
`4`
`public static final int`
`IMAGE_DIRECTORY_ENTRY_TLS`
`9`
`public static final int`
`IMAGE_DLLCHARACTERISTICS_NO_BIND`
`2048`
`public static final int`
`IMAGE_DLLCHARACTERISTICS_TERMINAL_SERVER`
`8192`
`public static final int`
`IMAGE_DLLCHARACTERISTICS_WDM_DRIVER`
`8192`
`public static final int`
`IMAGE_FILE_16BIT_MACHINE`
`64`
`public static final int`
`IMAGE_FILE_32BIT_MACHINE`
`256`
`public static final int`
`IMAGE_FILE_AGGRESSIVE_WS_TRIM`
`16`
`public static final int`
`IMAGE_FILE_BYTES_REVERSED_HI`
`32768`
`public static final int`
`IMAGE_FILE_BYTES_REVERSED_LO`
`128`
`public static final int`
`IMAGE_FILE_DEBUG_STRIPPED`
`512`
`public static final int`
`IMAGE_FILE_DLL`
`8192`
`public static final int`
`IMAGE_FILE_EXECUTABLE_IMAGE`
`2`
`public static final int`
`IMAGE_FILE_LARGE_ADDRESS_AWARE`
`32`
`public static final int`
`IMAGE_FILE_LINE_NUMS_STRIPPED`
`4`
`public static final int`
`IMAGE_FILE_LOCAL_SYMS_STRIPPED`
`8`
`public static final int`
`IMAGE_FILE_MACHINE_ALPHA`
`388`
`public static final int`
`IMAGE_FILE_MACHINE_ALPHA64`
`644`
`public static final int`
`IMAGE_FILE_MACHINE_AMD64`
`34404`
`public static final int`
`IMAGE_FILE_MACHINE_ARM`
`448`
`public static final int`
`IMAGE_FILE_MACHINE_ARM2`
`2560`
`public static final int`
`IMAGE_FILE_MACHINE_I386`
`332`
`public static final int`
`IMAGE_FILE_MACHINE_IA64`
`512`
`public static final int`
`IMAGE_FILE_MACHINE_M68K`
`616`
`public static final int`
`IMAGE_FILE_MACHINE_MIPS16`
`614`
`public static final int`
`IMAGE_FILE_MACHINE_MIPSFPU`
`870`
`public static final int`
`IMAGE_FILE_MACHINE_MIPSFPU16`
`1126`
`public static final int`
`IMAGE_FILE_MACHINE_POWERPC`
`496`
`public static final int`
`IMAGE_FILE_MACHINE_R10000`
`360`
`public static final int`
`IMAGE_FILE_MACHINE_R3000`
`354`
`public static final int`
`IMAGE_FILE_MACHINE_R4000`
`358`
`public static final int`
`IMAGE_FILE_MACHINE_SH3`
`418`
`public static final int`
`IMAGE_FILE_MACHINE_SH4`
`422`
`public static final int`
`IMAGE_FILE_MACHINE_THUMB`
`450`
`public static final int`
`IMAGE_FILE_MACHINE_UNKNOWN`
`0`
`public static final int`
`IMAGE_FILE_RELOCS_STRIPPED`
`1`
`public static final int`
`IMAGE_FILE_REMOVABLE_RUN_FROM_SWAP`
`1024`
`public static final int`
`IMAGE_FILE_SYSTEM`
`4096`
`public static final int`
`IMAGE_FILE_UP_SYSTEM_ONLY`
`16384`
`public static final int`
`IMAGE_NUMBEROF_DIRECTORY_ENTRIES`
`16`
`public static final int`
`IMAGE_SUBSYSTEM_EFI_APPLICATION`
`10`
`public static final int`
`IMAGE_SUBSYSTEM_EFI_BOOT_SERVICE_DRIVER`
`11`
`public static final int`
`IMAGE_SUBSYSTEM_EFI_RUNTIME_DRIVER`
`12`
`public static final int`
`IMAGE_SUBSYSTEM_NATIVE`
`1`
`public static final int`
`IMAGE_SUBSYSTEM_POSIX_CUI`
`7`
`public static final int`
`IMAGE_SUBSYSTEM_UNKNOWN`
`0`
`public static final int`
`IMAGE_SUBSYSTEM_WINDOWS_CE_GUI`
`9`
`public static final int`
`IMAGE_SUBSYSTEM_WINDOWS_CUI`
`3`
`public static final int`
`IMAGE_SUBSYSTEM_WINDOWS_GUI`
`2`
`public static final int`
`PE32`
`267`
`public static final int`
`PE32PLUS`
`523`

org.eclipse.cdt.utils.debug.dwarf.DwarfConstants
Modifier and Type
Constant Field
Value
`public static final int`
`DW_ACCESS_private`
`3`
`public static final int`
`DW_ACCESS_protected`
`2`
`public static final int`
`DW_ACCESS_public`
`1`
`public static final int`
`DW_AT_abstract_origin`
`49`
`public static final int`
`DW_AT_accessibility`
`50`
`public static final int`
`DW_AT_address_class`
`51`
`public static final int`
`DW_AT_artificial`
`52`
`public static final int`
`DW_AT_base_types`
`53`
`public static final int`
`DW_AT_bit_offset`
`12`
`public static final int`
`DW_AT_bit_size`
`13`
`public static final int`
`DW_AT_body_begin`
`8453`
`public static final int`
`DW_AT_body_end`
`8454`
`public static final int`
`DW_AT_byte_size`
`11`
`public static final int`
`DW_AT_calling_convention`
`54`
`public static final int`
`DW_AT_common_reference`
`26`
`public static final int`
`DW_AT_comp_dir`
`27`
`public static final int`
`DW_AT_const_value`
`28`
`public static final int`
`DW_AT_containing_type`
`29`
`public static final int`
`DW_AT_count`
`55`
`public static final int`
`DW_AT_data_member_location`
`56`
`public static final int`
`DW_AT_decl_column`
`57`
`public static final int`
`DW_AT_decl_file`
`58`
`public static final int`
`DW_AT_decl_line`
`59`
`public static final int`
`DW_AT_declaration`
`60`
`public static final int`
`DW_AT_default_value`
`30`
`public static final int`
`DW_AT_discr`
`21`
`public static final int`
`DW_AT_discr_list`
`61`
`public static final int`
`DW_AT_discr_value`
`22`
`public static final int`
`DW_AT_element_list`
`15`
`public static final int`
`DW_AT_encoding`
`62`
`public static final int`
`DW_AT_external`
`63`
`public static final int`
`DW_AT_frame_base`
`64`
`public static final int`
`DW_AT_friend`
`65`
`public static final int`
`DW_AT_hi_user`
`16383`
`public static final int`
`DW_AT_high_pc`
`18`
`public static final int`
`DW_AT_identifier_case`
`66`
`public static final int`
`DW_AT_import`
`24`
`public static final int`
`DW_AT_inline`
`32`
`public static final int`
`DW_AT_is_optional`
`33`
`public static final int`
`DW_AT_language`
`19`
`public static final int`
`DW_AT_lo_user`
`8192`
`public static final int`
`DW_AT_location`
`2`
`public static final int`
`DW_AT_low_pc`
`17`
`public static final int`
`DW_AT_lower_bound`
`34`
`public static final int`
`DW_AT_mac_info`
`8451`
`public static final int`
`DW_AT_macro_info`
`67`
`public static final int`
`DW_AT_member`
`20`
`public static final int`
`DW_AT_MIPS_abstract_name`
`8201`
`public static final int`
`DW_AT_MIPS_allocatable_dopetype`
`8207`
`public static final int`
`DW_AT_MIPS_assumed_shape_dopetype`
`8208`
`public static final int`
`DW_AT_MIPS_assumed_size`
`8209`
`public static final int`
`DW_AT_MIPS_clone_origin`
`8202`
`public static final int`
`DW_AT_MIPS_epilog_begin`
`8196`
`public static final int`
`DW_AT_MIPS_fde`
`8193`
`public static final int`
`DW_AT_MIPS_has_inlines`
`8203`
`public static final int`
`DW_AT_MIPS_linkage_name`
`8199`
`public static final int`
`DW_AT_MIPS_loop_begin`
`8194`
`public static final int`
`DW_AT_MIPS_loop_unroll_factor`
`8197`
`public static final int`
`DW_AT_MIPS_ptr_dopetype`
`8206`
`public static final int`
`DW_AT_MIPS_software_pipeline_depth`
`8198`
`public static final int`
`DW_AT_MIPS_stride`
`8200`
`public static final int`
`DW_AT_MIPS_stride_byte`
`8204`
`public static final int`
`DW_AT_MIPS_stride_elem`
`8205`
`public static final int`
`DW_AT_MIPS_tail_loop_begin`
`8195`
`public static final int`
`DW_AT_name`
`3`
`public static final int`
`DW_AT_namelist_items`
`68`
`public static final int`
`DW_AT_ordering`
`9`
`public static final int`
`DW_AT_priority`
`69`
`public static final int`
`DW_AT_producer`
`37`
`public static final int`
`DW_AT_prototyped`
`39`
`public static final int`
`DW_AT_return_addr`
`42`
`public static final int`
`DW_AT_segment`
`70`
`public static final int`
`DW_AT_sf_names`
`8449`
`public static final int`
`DW_AT_sibling`
`1`
`public static final int`
`DW_AT_specification`
`71`
`public static final int`
`DW_AT_src_coords`
`8452`
`public static final int`
`DW_AT_src_info`
`8450`
`public static final int`
`DW_AT_start_scope`
`44`
`public static final int`
`DW_AT_static_link`
`72`
`public static final int`
`DW_AT_stmt_list`
`16`
`public static final int`
`DW_AT_str_offsets_base`
`114`
`public static final int`
`DW_AT_stride_size`
`46`
`public static final int`
`DW_AT_string_length`
`25`
`public static final int`
`DW_AT_subscr_data`
`10`
`public static final int`
`DW_AT_type`
`73`
`public static final int`
`DW_AT_upper_bound`
`47`
`public static final int`
`DW_AT_use_location`
`74`
`public static final int`
`DW_AT_variable_parameter`
`75`
`public static final int`
`DW_AT_virtuality`
`76`
`public static final int`
`DW_AT_visibility`
`23`
`public static final int`
`DW_AT_vtable_elem_location`
`77`
`public static final int`
`DW_ATE_address`
`1`
`public static final int`
`DW_ATE_boolean`
`2`
`public static final int`
`DW_ATE_complex_float`
`3`
`public static final int`
`DW_ATE_float`
`4`
`public static final int`
`DW_ATE_hi_user`
`255`
`public static final int`
`DW_ATE_lo_user`
`128`
`public static final int`
`DW_ATE_signed`
`5`
`public static final int`
`DW_ATE_signed_char`
`6`
`public static final int`
`DW_ATE_unsigned`
`7`
`public static final int`
`DW_ATE_unsigned_char`
`8`
`public static final int`
`DW_ATE_void`
`0`
`public static final int`
`DW_CC_hi_user`
`255`
`public static final int`
`DW_CC_lo_user`
`64`
`public static final int`
`DW_CC_nocall`
`3`
`public static final int`
`DW_CC_normal`
`1`
`public static final int`
`DW_CC_program`
`2`
`public static final int`
`DW_CFA_advance_loc`
`64`
`public static final int`
`DW_CFA_advance_loc1`
`2`
`public static final int`
`DW_CFA_advance_loc2`
`3`
`public static final int`
`DW_CFA_advance_loc4`
`4`
`public static final int`
`DW_CFA_def_cfa`
`12`
`public static final int`
`DW_CFA_def_cfa_offset`
`14`
`public static final int`
`DW_CFA_def_cfa_register`
`13`
`public static final int`
`DW_CFA_extended`
`0`
`public static final int`
`DW_CFA_GNU_args_size`
`46`
`public static final int`
`DW_CFA_GNU_window_save`
`45`
`public static final int`
`DW_CFA_high_user`
`63`
`public static final int`
`DW_CFA_low_user`
`28`
`public static final int`
`DW_CFA_MIPS_advance_loc8`
`29`
`public static final int`
`DW_CFA_nop`
`0`
`public static final int`
`DW_CFA_offset`
`128`
`public static final int`
`DW_CFA_offset_extended`
`5`
`public static final int`
`DW_CFA_register`
`9`
`public static final int`
`DW_CFA_remember_state`
`10`
`public static final int`
`DW_CFA_restore`
`192`
`public static final int`
`DW_CFA_restore_extended`
`6`
`public static final int`
`DW_CFA_restore_state`
`11`
`public static final int`
`DW_CFA_same_value`
`8`
`public static final int`
`DW_CFA_set_loc`
`1`
`public static final int`
`DW_CFA_undefined`
`7`
`public static final int`
`DW_CHILDREN_no`
`0`
`public static final int`
`DW_CHILDREN_yes`
`1`
`public static final int`
`DW_DSC_label`
`0`
`public static final int`
`DW_DSC_range`
`1`
`public static final int`
`DW_FORM_addr`
`1`
`public static final int`
`DW_FORM_block`
`9`
`public static final int`
`DW_FORM_block1`
`10`
`public static final int`
`DW_FORM_block2`
`3`
`public static final int`
`DW_FORM_block4`
`4`
`public static final int`
`DW_FORM_data1`
`11`
`public static final int`
`DW_FORM_data16`
`30`
`public static final int`
`DW_FORM_data2`
`5`
`public static final int`
`DW_FORM_data4`
`6`
`public static final int`
`DW_FORM_data8`
`7`
`public static final int`
`DW_FORM_exprloc`
`24`
`public static final int`
`DW_FORM_flag`
`12`
`public static final int`
`DW_FORM_flag_present`
`25`
`public static final int`
`DW_FORM_GNU_addr_index`
`7937`
`public static final int`
`DW_FORM_GNU_ref_alt`
`7968`
`public static final int`
`DW_FORM_GNU_str_index`
`7938`
`public static final int`
`DW_FORM_GNU_strp_alt`
`7969`
`public static final int`
`DW_FORM_implicit_const`
`33`
`public static final int`
`DW_FORM_indirect`
`22`
`public static final int`
`DW_FORM_line_strp`
`31`
`public static final int`
`DW_FORM_ref_addr`
`16`
`public static final int`
`DW_FORM_ref_sig8`
`32`
`public static final int`
`DW_FORM_ref_udata`
`21`
`public static final int`
`DW_FORM_ref1`
`17`
`public static final int`
`DW_FORM_ref2`
`18`
`public static final int`
`DW_FORM_ref4`
`19`
`public static final int`
`DW_FORM_ref8`
`20`
`public static final int`
`DW_FORM_sdata`
`13`
`public static final int`
`DW_FORM_sec_offset`
`23`
`public static final int`
`DW_FORM_string`
`8`
`public static final int`
`DW_FORM_strp`
`14`
`public static final int`
`DW_FORM_strx1`
`37`
`public static final int`
`DW_FORM_udata`
`15`
`public static final int`
`DW_ID_case_insensitive`
`3`
`public static final int`
`DW_ID_case_sensitive`
`0`
`public static final int`
`DW_ID_down_case`
`2`
`public static final int`
`DW_ID_up_case`
`1`
`public static final int`
`DW_INL_declared_inlined`
`3`
`public static final int`
`DW_INL_declared_not_inlined`
`2`
`public static final int`
`DW_INL_inlined`
`1`
`public static final int`
`DW_INL_not_inlined`
`0`
`public static final int`
`DW_LANG_Ada83`
`3`
`public static final int`
`DW_LANG_Ada95`
`13`
`public static final int`
`DW_LANG_C`
`2`
`public static final int`
`DW_LANG_C_plus_plus`
`4`
`public static final int`
`DW_LANG_C89`
`1`
`public static final int`
`DW_LANG_C99`
`12`
`public static final int`
`DW_LANG_Cobol74`
`5`
`public static final int`
`DW_LANG_Cobol85`
`6`
`public static final int`
`DW_LANG_Fortran77`
`7`
`public static final int`
`DW_LANG_Fortran90`
`8`
`public static final int`
`DW_LANG_Fortran95`
`14`
`public static final int`
`DW_LANG_hi_user`
`65535`
`public static final int`
`DW_LANG_Java`
`11`
`public static final int`
`DW_LANG_lo_user`
`32768`
`public static final int`
`DW_LANG_Mips_Assembler`
`32769`
`public static final int`
`DW_LANG_Modula2`
`10`
`public static final int`
`DW_LANG_Pascal83`
`9`
`public static final int`
`DW_LANG_PL1`
`15`
`public static final int`
`DW_LNCT_directory_index`
`2`
`public static final int`
`DW_LNCT_MD5`
`5`
`public static final int`
`DW_LNCT_path`
`1`
`public static final int`
`DW_LNE_define_file`
`3`
`public static final int`
`DW_LNE_end_sequence`
`1`
`public static final int`
`DW_LNE_set_address`
`2`
`public static final int`
`DW_LNS_advance_line`
`3`
`public static final int`
`DW_LNS_advance_pc`
`2`
`public static final int`
`DW_LNS_const_add_pc`
`8`
`public static final int`
`DW_LNS_copy`
`1`
`public static final int`
`DW_LNS_fixed_advance_pc`
`9`
`public static final int`
`DW_LNS_negate_stmt`
`6`
`public static final int`
`DW_LNS_set_basic_block`
`7`
`public static final int`
`DW_LNS_set_column`
`5`
`public static final int`
`DW_LNS_set_epilog_begin`
`11`
`public static final int`
`DW_LNS_set_file`
`4`
`public static final int`
`DW_LNS_set_prologue_end`
`10`
`public static final int`
`DW_MACINFO_define`
`1`
`public static final int`
`DW_MACINFO_end_file`
`4`
`public static final int`
`DW_MACINFO_start_file`
`3`
`public static final int`
`DW_MACINFO_undef`
`2`
`public static final int`
`DW_MACINFO_vendor_ext`
`255`
`public static final int`
`DW_MACRO_define`
`1`
`public static final int`
`DW_MACRO_define_indirect`
`5`
`public static final int`
`DW_MACRO_define_indirect_alt`
`8`
`public static final int`
`DW_MACRO_end`
`0`
`public static final int`
`DW_MACRO_end_file`
`4`
`public static final int`
`DW_MACRO_hi_user`
`255`
`public static final int`
`DW_MACRO_lo_user`
`224`
`public static final int`
`DW_MACRO_start_file`
`3`
`public static final int`
`DW_MACRO_transparent_include`
`7`
`public static final int`
`DW_MACRO_transparent_include_alt`
`10`
`public static final int`
`DW_MACRO_undef`
`2`
`public static final int`
`DW_MACRO_undef_indirect`
`6`
`public static final int`
`DW_MACRO_undef_indirect_alt`
`9`
`public static final int`
`DW_OP_abs`
`25`
`public static final int`
`DW_OP_addr`
`3`
`public static final int`
`DW_OP_and`
`26`
`public static final int`
`DW_OP_bra`
`40`
`public static final int`
`DW_OP_breg0`
`112`
`public static final int`
`DW_OP_breg1`
`113`
`public static final int`
`DW_OP_breg10`
`122`
`public static final int`
`DW_OP_breg11`
`123`
`public static final int`
`DW_OP_breg12`
`124`
`public static final int`
`DW_OP_breg13`
`125`
`public static final int`
`DW_OP_breg14`
`126`
`public static final int`
`DW_OP_breg15`
`127`
`public static final int`
`DW_OP_breg16`
`128`
`public static final int`
`DW_OP_breg17`
`129`
`public static final int`
`DW_OP_breg18`
`130`
`public static final int`
`DW_OP_breg19`
`131`
`public static final int`
`DW_OP_breg2`
`114`
`public static final int`
`DW_OP_breg20`
`132`
`public static final int`
`DW_OP_breg21`
`133`
`public static final int`
`DW_OP_breg22`
`134`
`public static final int`
`DW_OP_breg23`
`135`
`public static final int`
`DW_OP_breg24`
`136`
`public static final int`
`DW_OP_breg25`
`137`
`public static final int`
`DW_OP_breg26`
`138`
`public static final int`
`DW_OP_breg27`
`139`
`public static final int`
`DW_OP_breg28`
`140`
`public static final int`
`DW_OP_breg29`
`141`
`public static final int`
`DW_OP_breg3`
`115`
`public static final int`
`DW_OP_breg30`
`142`
`public static final int`
`DW_OP_breg31`
`143`
`public static final int`
`DW_OP_breg4`
`116`
`public static final int`
`DW_OP_breg5`
`117`
`public static final int`
`DW_OP_breg6`
`118`
`public static final int`
`DW_OP_breg7`
`119`
`public static final int`
`DW_OP_breg8`
`120`
`public static final int`
`DW_OP_breg9`
`121`
`public static final int`
`DW_OP_bregx`
`146`
`public static final int`
`DW_OP_call_ref`
`154`
`public static final int`
`DW_OP_call2`
`152`
`public static final int`
`DW_OP_call4`
`153`
`public static final int`
`DW_OP_const1s`
`9`
`public static final int`
`DW_OP_const1u`
`8`
`public static final int`
`DW_OP_const2s`
`11`
`public static final int`
`DW_OP_const2u`
`10`
`public static final int`
`DW_OP_const4s`
`13`
`public static final int`
`DW_OP_const4u`
`12`
`public static final int`
`DW_OP_const8s`
`15`
`public static final int`
`DW_OP_const8u`
`14`
`public static final int`
`DW_OP_consts`
`17`
`public static final int`
`DW_OP_constu`
`16`
`public static final int`
`DW_OP_deref`
`6`
`public static final int`
`DW_OP_deref_size`
`148`
`public static final int`
`DW_OP_div`
`27`
`public static final int`
`DW_OP_drop`
`19`
`public static final int`
`DW_OP_dup`
`18`
`public static final int`
`DW_OP_eq`
`41`
`public static final int`
`DW_OP_fbreg`
`145`
`public static final int`
`DW_OP_ge`
`42`
`public static final int`
`DW_OP_gt`
`43`
`public static final int`
`DW_OP_hi_user`
`255`
`public static final int`
`DW_OP_le`
`44`
`public static final int`
`DW_OP_lit0`
`48`
`public static final int`
`DW_OP_lit1`
`49`
`public static final int`
`DW_OP_lit10`
`58`
`public static final int`
`DW_OP_lit11`
`59`
`public static final int`
`DW_OP_lit12`
`60`
`public static final int`
`DW_OP_lit13`
`61`
`public static final int`
`DW_OP_lit14`
`62`
`public static final int`
`DW_OP_lit15`
`63`
`public static final int`
`DW_OP_lit16`
`64`
`public static final int`
`DW_OP_lit17`
`65`
`public static final int`
`DW_OP_lit18`
`66`
`public static final int`
`DW_OP_lit19`
`67`
`public static final int`
`DW_OP_lit2`
`50`
`public static final int`
`DW_OP_lit20`
`68`
`public static final int`
`DW_OP_lit21`
`69`
`public static final int`
`DW_OP_lit22`
`70`
`public static final int`
`DW_OP_lit23`
`71`
`public static final int`
`DW_OP_lit24`
`72`
`public static final int`
`DW_OP_lit25`
`73`
`public static final int`
`DW_OP_lit26`
`74`
`public static final int`
`DW_OP_lit27`
`75`
`public static final int`
`DW_OP_lit28`
`76`
`public static final int`
`DW_OP_lit29`
`77`
`public static final int`
`DW_OP_lit3`
`51`
`public static final int`
`DW_OP_lit30`
`78`
`public static final int`
`DW_OP_lit31`
`79`
`public static final int`
`DW_OP_lit4`
`52`
`public static final int`
`DW_OP_lit5`
`53`
`public static final int`
`DW_OP_lit6`
`54`
`public static final int`
`DW_OP_lit7`
`55`
`public static final int`
`DW_OP_lit8`
`56`
`public static final int`
`DW_OP_lit9`
`57`
`public static final int`
`DW_OP_lo_user`
`224`
`public static final int`
`DW_OP_lt`
`45`
`public static final int`
`DW_OP_minus`
`28`
`public static final int`
`DW_OP_mod`
`29`
`public static final int`
`DW_OP_mul`
`30`
`public static final int`
`DW_OP_ne`
`46`
`public static final int`
`DW_OP_neg`
`31`
`public static final int`
`DW_OP_nop`
`150`
`public static final int`
`DW_OP_not`
`32`
`public static final int`
`DW_OP_or`
`33`
`public static final int`
`DW_OP_over`
`20`
`public static final int`
`DW_OP_pick`
`21`
`public static final int`
`DW_OP_piece`
`147`
`public static final int`
`DW_OP_plus`
`34`
`public static final int`
`DW_OP_plus_uconst`
`35`
`public static final int`
`DW_OP_push_object_address`
`151`
`public static final int`
`DW_OP_reg0`
`80`
`public static final int`
`DW_OP_reg1`
`81`
`public static final int`
`DW_OP_reg10`
`90`
`public static final int`
`DW_OP_reg11`
`91`
`public static final int`
`DW_OP_reg12`
`92`
`public static final int`
`DW_OP_reg13`
`93`
`public static final int`
`DW_OP_reg14`
`94`
`public static final int`
`DW_OP_reg15`
`95`
`public static final int`
`DW_OP_reg16`
`96`
`public static final int`
`DW_OP_reg17`
`97`
`public static final int`
`DW_OP_reg18`
`98`
`public static final int`
`DW_OP_reg19`
`99`
`public static final int`
`DW_OP_reg2`
`82`
`public static final int`
`DW_OP_reg20`
`100`
`public static final int`
`DW_OP_reg21`
`101`
`public static final int`
`DW_OP_reg22`
`102`
`public static final int`
`DW_OP_reg23`
`103`
`public static final int`
`DW_OP_reg24`
`104`
`public static final int`
`DW_OP_reg25`
`105`
`public static final int`
`DW_OP_reg26`
`106`
`public static final int`
`DW_OP_reg27`
`107`
`public static final int`
`DW_OP_reg28`
`108`
`public static final int`
`DW_OP_reg29`
`109`
`public static final int`
`DW_OP_reg3`
`83`
`public static final int`
`DW_OP_reg30`
`110`
`public static final int`
`DW_OP_reg31`
`111`
`public static final int`
`DW_OP_reg4`
`84`
`public static final int`
`DW_OP_reg5`
`85`
`public static final int`
`DW_OP_reg6`
`86`
`public static final int`
`DW_OP_reg7`
`87`
`public static final int`
`DW_OP_reg8`
`88`
`public static final int`
`DW_OP_reg9`
`89`
`public static final int`
`DW_OP_regx`
`144`
`public static final int`
`DW_OP_rot`
`23`
`public static final int`
`DW_OP_shl`
`36`
`public static final int`
`DW_OP_shr`
`37`
`public static final int`
`DW_OP_shra`
`38`
`public static final int`
`DW_OP_skip`
`47`
`public static final int`
`DW_OP_swap`
`22`
`public static final int`
`DW_OP_xderef`
`24`
`public static final int`
`DW_OP_xderef_size`
`149`
`public static final int`
`DW_OP_xor`
`39`
`public static final int`
`DW_ORD_col_major`
`1`
`public static final int`
`DW_ORD_row_major`
`0`
`public static final int`
`DW_TAG_access_declaration`
`35`
`public static final int`
`DW_TAG_array_type`
`1`
`public static final int`
`DW_TAG_base_type`
`36`
`public static final int`
`DW_TAG_catch_block`
`37`
`public static final int`
`DW_TAG_class_template`
`16643`
`public static final int`
`DW_TAG_class_type`
`2`
`public static final int`
`DW_TAG_common_block`
`26`
`public static final int`
`DW_TAG_common_inclusion`
`27`
`public static final int`
`DW_TAG_compile_unit`
`17`
`public static final int`
`DW_TAG_const_type`
`38`
`public static final int`
`DW_TAG_constant`
`39`
`public static final int`
`DW_TAG_entry_point`
`3`
`public static final int`
`DW_TAG_enumeration_type`
`4`
`public static final int`
`DW_TAG_enumerator`
`40`
`public static final int`
`DW_TAG_file_type`
`41`
`public static final int`
`DW_TAG_formal_parameter`
`5`
`public static final int`
`DW_TAG_format_label`
`16641`
`public static final int`
`DW_TAG_friend`
`42`
`public static final int`
`DW_TAG_function_template`
`16642`
`public static final int`
`DW_TAG_hi_user`
`65535`
`public static final int`
`DW_TAG_imported_declaration`
`8`
`public static final int`
`DW_TAG_inheritance`
`28`
`public static final int`
`DW_TAG_inlined_subroutine`
`29`
`public static final int`
`DW_TAG_label`
`10`
`public static final int`
`DW_TAG_lexical_block`
`11`
`public static final int`
`DW_TAG_lo_user`
`16512`
`public static final int`
`DW_TAG_member`
`13`
`public static final int`
`DW_TAG_MIPS_loop`
`16513`
`public static final int`
`DW_TAG_module`
`30`
`public static final int`
`DW_TAG_namelist`
`43`
`public static final int`
`DW_TAG_namelist_item`
`44`
`public static final int`
`DW_TAG_packed_type`
`45`
`public static final int`
`DW_TAG_partial_unit`
`60`
`public static final int`
`DW_TAG_pointer_type`
`15`
`public static final int`
`DW_TAG_ptr_to_member_type`
`31`
`public static final int`
`DW_TAG_reference_type`
`16`
`public static final int`
`DW_TAG_set_type`
`32`
`public static final int`
`DW_TAG_string_type`
`18`
`public static final int`
`DW_TAG_structure_type`
`19`
`public static final int`
`DW_TAG_subprogram`
`46`
`public static final int`
`DW_TAG_subrange_type`
`33`
`public static final int`
`DW_TAG_subroutine_type`
`21`
`public static final int`
`DW_TAG_template_type_param`
`47`
`public static final int`
`DW_TAG_template_value_param`
`48`
`public static final int`
`DW_TAG_thrown_type`
`49`
`public static final int`
`DW_TAG_try_block`
`50`
`public static final int`
`DW_TAG_typedef`
`22`
`public static final int`
`DW_TAG_union_type`
`23`
`public static final int`
`DW_TAG_unspecified_parameters`
`24`
`public static final int`
`DW_TAG_variable`
`52`
`public static final int`
`DW_TAG_variant`
`25`
`public static final int`
`DW_TAG_variant_part`
`51`
`public static final int`
`DW_TAG_volatile_type`
`53`
`public static final int`
`DW_TAG_with_stmt`
`34`
`public static final int`
`DW_VIRTUALITY_none`
`0`
`public static final int`
`DW_VIRTUALITY_pure_virtual`
`2`
`public static final int`
`DW_VIRTUALITY_virtual`
`1`
`public static final int`
`DW_VIS_exported`
`2`
`public static final int`
`DW_VIS_local`
`1`
`public static final int`
`DW_VIS_qualified`
`3`

org.eclipse.cdt.utils.debug.stabs.StabConstant
Modifier and Type
Constant Field
Value
`public static final int`
`N_BCOMM`
`226`
`public static final int`
`N_BINCL`
`130`
`public static final int`
`N_BSLINE`
`72`
`public static final int`
`N_CATCH`
`84`
`public static final int`
`N_DEFD`
`74`
`public static final int`
`N_DSLINE`
`70`
`public static final int`
`N_ECOML`
`232`
`public static final int`
`N_ECOMM`
`228`
`public static final int`
`N_EHDECL`
`80`
`public static final int`
`N_EINCL`
`162`
`public static final int`
`N_ENDM`
`98`
`public static final int`
`N_ENTRY`
`164`
`public static final int`
`N_EXCL`
`194`
`public static final int`
`N_FLINE`
`76`
`public static final int`
`N_FNAME`
`34`
`public static final int`
`N_FUN`
`36`
`public static final int`
`N_GSYM`
`32`
`public static final int`
`N_LBRAC`
`192`
`public static final int`
`N_LCSYM`
`40`
`public static final int`
`N_LSYM`
`128`
`public static final int`
`N_M2C`
`66`
`public static final int`
`N_MAIN`
`42`
`public static final int`
`N_NBBSS`
`244`
`public static final int`
`N_NBDATA`
`242`
`public static final int`
`N_NBLCS`
`248`
`public static final int`
`N_NBSTS`
`246`
`public static final int`
`N_NBTEXT`
`239`
`public static final int`
`N_NOMAP`
`52`
`public static final int`
`N_NSYMS`
`50`
`public static final int`
`N_OBJ`
`56`
`public static final int`
`N_OPT`
`60`
`public static final int`
`N_PC`
`48`
`public static final int`
`N_PSYM`
`160`
`public static final int`
`N_RBRAC`
`224`
`public static final int`
`N_ROSYM`
`44`
`public static final int`
`N_RSYM`
`64`
`public static final int`
`N_SCOPE`
`196`
`public static final int`
`N_SLINE`
`68`
`public static final int`
`N_SO`
`100`
`public static final int`
`N_SOL`
`132`
`public static final int`
`N_SSYM`
`96`
`public static final int`
`N_STSYM`
`38`
`public static final int`
`N_UNDF`
`0`
`public static final int`
`N_WITH`
`234`
`public static final int`
`SIZE`
`12`
`public static final int`
`SIZE_64`
`16`

org.eclipse.cdt.utils.elf.Elf
Modifier and Type
Constant Field
Value
`public static final int`
`ELF32_ADDR_SIZE`
`4`
`public static final int`
`ELF32_OFF_SIZE`
`4`
`public static final int`
`ELF64_ADDR_SIZE`
`8`
`public static final int`
`ELF64_OFF_SIZE`
`8`
org.eclipse.cdt.utils.elf.Elf.Attribute
Modifier and Type
Constant Field
Value
`public static final int`
`DEBUG_TYPE_DWARF`
`2`
`public static final int`
`DEBUG_TYPE_NONE`
`0`
`public static final int`
`DEBUG_TYPE_STABS`
`1`
`public static final int`
`ELF_TYPE_CORE`
`4`
`public static final int`
`ELF_TYPE_EXE`
`1`
`public static final int`
`ELF_TYPE_OBJ`
`3`
`public static final int`
`ELF_TYPE_SHLIB`
`2`
org.eclipse.cdt.utils.elf.Elf.Dynamic
Modifier and Type
Constant Field
Value
`public static final int`
`DT_FINI`
`13`
`public static final int`
`DT_HASH`
`4`
`public static final int`
`DT_INIT`
`12`
`public static final int`
`DT_NEEDED`
`1`
`public static final int`
`DT_NULL`
`0`
`public static final int`
`DT_PLTGOT`
`3`
`public static final int`
`DT_PLTRELSZ`
`2`
`public static final int`
`DT_RELA`
`7`
`public static final int`
`DT_RELAENT`
`9`
`public static final int`
`DT_RELASZ`
`8`
`public static final int`
`DT_RPATH`
`15`
`public static final int`
`DT_SONAME`
`14`
`public static final int`
`DT_STRSZ`
`10`
`public static final int`
`DT_STRTAB`
`5`
`public static final int`
`DT_SYMENT`
`11`
`public static final int`
`DT_SYMTAB`
`6`
`public static final int`
`DYN_ENT_SIZE_32`
`8`
`public static final int`
`DYN_ENT_SIZE_64`
`16`
org.eclipse.cdt.utils.elf.Elf.ELFhdr
Modifier and Type
Constant Field
Value
`public static final int`
`EI_CLASS`
`4`
`public static final int`
`EI_DATA`
`5`
`public static final int`
`EI_MAG0`
`0`
`public static final int`
`EI_MAG1`
`1`
`public static final int`
`EI_MAG2`
`2`
`public static final int`
`EI_MAG3`
`3`
`public static final int`
`EI_NDENT`
`16`
`public static final int`
`EI_PAD`
`7`
`public static final int`
`EI_VERSION`
`6`
`public static final int`
`ELFCLASS32`
`1`
`public static final int`
`ELFCLASS64`
`2`
`public static final int`
`ELFCLASSNONE`
`0`
`public static final int`
`ELFDATA2LSB`
`1`
`public static final int`
`ELFDATA2MSB`
`2`
`public static final int`
`ELFDATANONE`
`0`
`public static final int`
`EM_386`
`3`
`public static final int`
`EM_486`
`6`
`public static final int`
`EM_68HC08`
`71`
`public static final int`
`EM_68K`
`4`
`public static final int`
`EM_860`
`7`
`public static final int`
`EM_88K`
`5`
`public static final int`
`EM_AARCH64`
`183`
`public static final int`
`EM_ARM`
`40`
`public static final int`
`EM_AVR`
`83`
`public static final int`
`EM_AVR32`
`185`
`public static final int`
`EM_BLACKFIN`
`106`
`public static final int`
`EM_C166`
`116`
`public static final int`
`EM_COLDFIRE`
`52`
`public static final int`
`EM_CRADLE`
`19797`
`public static final int`
`EM_CYGNUS_FR30`
`13104`
`public static final int`
`EM_CYGNUS_FRV`
`21569`
`public static final int`
`EM_CYGNUS_M32R`
`36929`
`public static final int`
`EM_CYGNUS_MN10200`
`57005`
`public static final int`
`EM_CYGNUS_MN10300`
`48879`
`public static final int`
`EM_CYGNUS_POWERPC`
`36901`
`public static final int`
`EM_CYGNUS_V850`
`36992`
`public static final int`
`EM_ESIRISC`
`111`
`public static final int`
`EM_EXCESS`
`111`
`public static final int`
`EM_FR30`
`84`
`public static final int`
`EM_H8_300`
`46`
`public static final int`
`EM_H8_300H`
`47`
`public static final int`
`EM_IA_64`
`50`
`public static final int`
`EM_IQ2000`
`65210`
`public static final int`
`EM_M16C`
`117`
`public static final int`
`EM_M32`
`1`
`public static final int`
`EM_M32R`
`88`
`public static final int`
`EM_MICROBLAZE`
`189`
`public static final int`
`EM_MIPS`
`8`
`public static final int`
`EM_MIPS_RS3_LE`
`10`
`public static final int`
`EM_MMDSP`
`160`
`public static final int`
`EM_MN10200`
`90`
`public static final int`
`EM_MN10300`
`89`
`public static final int`
`EM_MSP430`
`105`
`public static final int`
`EM_nCUBE`
`16`
`public static final int`
`EM_NIOS`
`65211`
`public static final int`
`EM_NIOSII`
`113`
`public static final int`
`EM_NONE`
`0`
`public static final int`
`EM_PARISC`
`15`
`public static final int`
`EM_PPC`
`20`
`public static final int`
`EM_PPC64`
`21`
`public static final int`
`EM_RISCV`
`243`
`public static final int`
`EM_RL78`
`197`
`public static final int`
`EM_RS08`
`132`
`public static final int`
`EM_RS6000`
`11`
`public static final int`
`EM_RX`
`173`
`public static final int`
`EM_SDMA`
`51966`
`public static final int`
`EM_SH`
`42`
`public static final int`
`EM_SPARC`
`2`
`public static final int`
`EM_SPARC32PLUS`
`18`
`public static final int`
`EM_SPARCV9`
`43`
`public static final int`
`EM_ST100`
`60`
`public static final int`
`EM_STARCORE`
`58`
`public static final int`
`EM_TRICORE`
`44`
`public static final int`
`EM_V800`
`36`
`public static final int`
`EM_V850`
`87`
`public static final int`
`EM_VPP550`
`17`
`public static final int`
`EM_X86_64`
`62`
`public static final int`
`EM_XILINX_MICROBLAZE`
`47787`
`public static final int`
`EM_XSTORMY16`
`44357`
`public static final int`
`EM_XTENSA`
`94`
`public static final int`
`ET_CORE`
`4`
`public static final int`
`ET_DYN`
`3`
`public static final int`
`ET_EXEC`
`2`
`public static final int`
`ET_HIPROC`
`65535`
`public static final int`
`ET_LOPROC`
`65280`
`public static final int`
`ET_NONE`
`0`
`public static final int`
`ET_REL`
`1`
org.eclipse.cdt.utils.elf.Elf.PHdr
Modifier and Type
Constant Field
Value
`public static final int`
`PF_R`
`4`
`public static final int`
`PF_W`
`2`
`public static final int`
`PF_X`
`1`
`public static final int`
`PT_DYNAMIC`
`2`
`public static final int`
`PT_INTERP`
`3`
`public static final int`
`PT_LOAD`
`1`
`public static final int`
`PT_NOTE`
`4`
`public static final int`
`PT_NULL`
`0`
`public static final int`
`PT_PHDR`
`6`
`public static final int`
`PT_SHLIB`
`5`
org.eclipse.cdt.utils.elf.Elf.Section
Modifier and Type
Constant Field
Value
`public static final int`
`NT_GNU_BUILD_ID`
`3`
`public static final int`
`SHF_ALLOC`
`2`
`public static final int`
`SHF_COMPRESSED`
`2048`
`public static final int`
`SHF_EXECINTR`
`4`
`public static final int`
`SHF_WRITE`
`1`
`public static final int`
`SHT_DYNAMIC`
`6`
`public static final int`
`SHT_DYNSYM`
`11`
`public static final int`
`SHT_HASH`
`5`
`public static final int`
`SHT_LOPROC`
`1879048192`
`public static final int`
`SHT_NOBITS`
`8`
`public static final int`
`SHT_NOTE`
`7`
`public static final int`
`SHT_NULL`
`0`
`public static final int`
`SHT_PROGBITS`
`1`
`public static final int`
`SHT_REL`
`9`
`public static final int`
`SHT_RELA`
`4`
`public static final int`
`SHT_SHLIB`
`10`
`public static final int`
`SHT_STRTAB`
`3`
`public static final int`
`SHT_SYMTAB`
`2`
org.eclipse.cdt.utils.elf.Elf.Symbol
Modifier and Type
Constant Field
Value
`public static final int`
`SHN_ABS`
`-15`
`public static final int`
`SHN_COMMON`
`-14`
`public static final int`
`SHN_HIOS`
`-193`
`public static final int`
`SHN_HIPROC`
`-225`
`public static final int`
`SHN_HIRESERVE`
`-1`
`public static final int`
`SHN_LOOS`
`-224`
`public static final int`
`SHN_LOPROC`
`-256`
`public static final int`
`SHN_LORESERVE`
`-256`
`public static final int`
`SHN_UNDEF`
`0`
`public static final int`
`SHN_XINDEX`
`-1`
`public static final int`
`STB_GLOBAL`
`1`
`public static final int`
`STB_LOCAL`
`0`
`public static final int`
`STB_WEAK`
`2`
`public static final int`
`STT_FILE`
`4`
`public static final int`
`STT_FUNC`
`2`
`public static final int`
`STT_NOTYPE`
`0`
`public static final int`
`STT_OBJECT`
`1`
`public static final int`
`STT_SECTION`
`3`

org.eclipse.cdt.utils.envvar.StorableEnvironment
Modifier and Type
Constant Field
Value
`public static final String`
`ENVIRONMENT_ELEMENT_NAME`
`"environment"`
org.eclipse.cdt.utils.envvar.StorableEnvVar
Modifier and Type
Constant Field
Value
`public static final String`
`APPEND`
`"append"`
`public static final String`
`DELIMITER`
`"delimiter"`
`public static final String`
`NAME`
`"name"`
`public static final String`
`OPERATION`
`"operation"`
`public static final String`
`PREPEND`
`"prepend"`
`public static final String`
`REMOVE`
`"remove"`
`public static final String`
`REPLACE`
`"replace"`
`public static final String`
`VALUE`
`"value"`
`public static final String`
`VARIABLE_ELEMENT_NAME`
`"variable"`

org.eclipse.cdt.utils.macho.MachO64
Modifier and Type
Constant Field
Value
`protected static final String`
`EMPTY_STRING`
`""`
org.eclipse.cdt.utils.macho.MachO64.Attribute
Modifier and Type
Constant Field
Value
`public static final int`
`DEBUG_TYPE_DWARF`
`2`
`public static final int`
`DEBUG_TYPE_NONE`
`0`
`public static final int`
`DEBUG_TYPE_STABS`
`1`
`public static final int`
`MACHO_TYPE_CORE`
`3`
`public static final int`
`MACHO_TYPE_EXE`
`2`
`public static final int`
`MACHO_TYPE_OBJ`
`1`
`public static final int`
`MACHO_TYPE_SHLIB`
`4`
org.eclipse.cdt.utils.macho.MachO64.DyLibTableOfContents
Modifier and Type
Constant Field
Value
`public static final int`
`INDIRECT_SYMBOL_ABS`
`1073741824`
`public static final int`
`INDIRECT_SYMBOL_LOCAL`
`-2147483648`
org.eclipse.cdt.utils.macho.MachO64.LoadCommand
Modifier and Type
Constant Field
Value
`public static final int`
`LC_DYSYMTAB`
`11`
`public static final int`
`LC_FVMFILE`
`9`
`public static final int`
`LC_ID_DYLIB`
`13`
`public static final int`
`LC_ID_DYLINKER`
`15`
`public static final int`
`LC_IDENT`
`8`
`public static final int`
`LC_IDFVMLIB`
`7`
`public static final int`
`LC_LOAD_DYLIB`
`12`
`public static final int`
`LC_LOAD_DYLINKER`
`14`
`public static final int`
`LC_LOAD_WEAK_DYLIB`
`-2147483624`
`public static final int`
`LC_LOADFVMLIB`
`6`
`public static final int`
`LC_PREBIND_CKSUM`
`23`
`public static final int`
`LC_PREBOUND_DYLIB`
`16`
`public static final int`
`LC_PREPAGE`
`10`
`public static final int`
`LC_REQ_DYLD`
`-2147483648`
`public static final int`
`LC_ROUTINES`
`17`
`public static final int`
`LC_ROUTINES_64`
`26`
`public static final int`
`LC_SEGMENT`
`1`
`public static final int`
`LC_SEGMENT_64`
`25`
`public static final int`
`LC_SUB_CLIENT`
`20`
`public static final int`
`LC_SUB_FRAMEWORK`
`18`
`public static final int`
`LC_SUB_LIBRARY`
`21`
`public static final int`
`LC_SUB_UMBRELLA`
`19`
`public static final int`
`LC_SYMSEG`
`3`
`public static final int`
`LC_SYMTAB`
`2`
`public static final int`
`LC_THREAD`
`4`
`public static final int`
`LC_TWOLEVEL_HINTS`
`22`
`public static final int`
`LC_UNIXTHREAD`
`5`
`public static final int`
`LC_UUID`
`27`
org.eclipse.cdt.utils.macho.MachO64.MachOhdr
Modifier and Type
Constant Field
Value
`public static final int`
`CPU_ARCH_ABI64`
`16777216`
`public static final int`
`CPU_ARCH_MASK`
`-16777216`
`public static final int`
`CPU_SUBTYPE_386`
`3`
`public static final int`
`CPU_SUBTYPE_486`
`4`
`public static final int`
`CPU_SUBTYPE_486SX`
`132`
`public static final int`
`CPU_SUBTYPE_586`
`5`
`public static final int`
`CPU_SUBTYPE_BIG_ENDIAN`
`1`
`public static final int`
`CPU_SUBTYPE_CELERON`
`103`
`public static final int`
`CPU_SUBTYPE_CELERON_MOBILE`
`119`
`public static final int`
`CPU_SUBTYPE_HPPA_7100`
`0`
`public static final int`
`CPU_SUBTYPE_HPPA_7100LC`
`1`
`public static final int`
`CPU_SUBTYPE_HPPA_ALL`
`0`
`public static final int`
`CPU_SUBTYPE_I386_ALL`
`3`
`public static final int`
`CPU_SUBTYPE_I860_860`
`1`
`public static final int`
`CPU_SUBTYPE_I860_ALL`
`0`
`public static final int`
`CPU_SUBTYPE_ITANIUM`
`11`
`public static final int`
`CPU_SUBTYPE_ITANIUM_2`
`27`
`public static final int`
`CPU_SUBTYPE_LIB64`
`-2147483648`
`public static final int`
`CPU_SUBTYPE_LITTLE_ENDIAN`
`0`
`public static final int`
`CPU_SUBTYPE_MASK`
`-16777216`
`public static final int`
`CPU_SUBTYPE_MC68030`
`1`
`public static final int`
`CPU_SUBTYPE_MC68030_ONLY`
`3`
`public static final int`
`CPU_SUBTYPE_MC68040`
`2`
`public static final int`
`CPU_SUBTYPE_MC680x0_ALL`
`1`
`public static final int`
`CPU_SUBTYPE_MC88000_ALL`
`0`
`public static final int`
`CPU_SUBTYPE_MC88100`
`1`
`public static final int`
`CPU_SUBTYPE_MC88110`
`2`
`public static final int`
`CPU_SUBTYPE_MC98000_ALL`
`0`
`public static final int`
`CPU_SUBTYPE_MC98601`
`1`
`public static final int`
`CPU_SUBTYPE_MIPS_ALL`
`0`
`public static final int`
`CPU_SUBTYPE_MIPS_R2000`
`5`
`public static final int`
`CPU_SUBTYPE_MIPS_R2000a`
`4`
`public static final int`
`CPU_SUBTYPE_MIPS_R2300`
`1`
`public static final int`
`CPU_SUBTYPE_MIPS_R2600`
`2`
`public static final int`
`CPU_SUBTYPE_MIPS_R2800`
`3`
`public static final int`
`CPU_SUBTYPE_MIPS_R3000`
`7`
`public static final int`
`CPU_SUBTYPE_MIPS_R3000a`
`6`
`public static final int`
`CPU_SUBTYPE_MULTIPLE`
`-1`
`public static final int`
`CPU_SUBTYPE_PENT`
`5`
`public static final int`
`CPU_SUBTYPE_PENTII_M3`
`54`
`public static final int`
`CPU_SUBTYPE_PENTII_M5`
`86`
`public static final int`
`CPU_SUBTYPE_PENTIUM_3`
`8`
`public static final int`
`CPU_SUBTYPE_PENTIUM_3_M`
`24`
`public static final int`
`CPU_SUBTYPE_PENTIUM_3_XEON`
`40`
`public static final int`
`CPU_SUBTYPE_PENTIUM_4`
`10`
`public static final int`
`CPU_SUBTYPE_PENTIUM_4_M`
`10`
`public static final int`
`CPU_SUBTYPE_PENTIUM_M`
`9`
`public static final int`
`CPU_SUBTYPE_PENTPRO`
`32`
`public static final int`
`CPU_SUBTYPE_POWERPC_601`
`1`
`public static final int`
`CPU_SUBTYPE_POWERPC_602`
`2`
`public static final int`
`CPU_SUBTYPE_POWERPC_603`
`3`
`public static final int`
`CPU_SUBTYPE_POWERPC_603e`
`4`
`public static final int`
`CPU_SUBTYPE_POWERPC_603ev`
`5`
`public static final int`
`CPU_SUBTYPE_POWERPC_604`
`6`
`public static final int`
`CPU_SUBTYPE_POWERPC_604e`
`7`
`public static final int`
`CPU_SUBTYPE_POWERPC_620`
`8`
`public static final int`
`CPU_SUBTYPE_POWERPC_7400`
`10`
`public static final int`
`CPU_SUBTYPE_POWERPC_7450`
`11`
`public static final int`
`CPU_SUBTYPE_POWERPC_750`
`9`
`public static final int`
`CPU_SUBTYPE_POWERPC_970`
`100`
`public static final int`
`CPU_SUBTYPE_POWERPC_ALL`
`0`
`public static final int`
`CPU_SUBTYPE_SPARC_ALL`
`0`
`public static final int`
`CPU_SUBTYPE_UVAXI`
`5`
`public static final int`
`CPU_SUBTYPE_UVAXII`
`6`
`public static final int`
`CPU_SUBTYPE_UVAXIII`
`12`
`public static final int`
`CPU_SUBTYPE_VAX_ALL`
`0`
`public static final int`
`CPU_SUBTYPE_VAX730`
`4`
`public static final int`
`CPU_SUBTYPE_VAX750`
`3`
`public static final int`
`CPU_SUBTYPE_VAX780`
`1`
`public static final int`
`CPU_SUBTYPE_VAX785`
`2`
`public static final int`
`CPU_SUBTYPE_VAX8200`
`7`
`public static final int`
`CPU_SUBTYPE_VAX8500`
`8`
`public static final int`
`CPU_SUBTYPE_VAX8600`
`9`
`public static final int`
`CPU_SUBTYPE_VAX8650`
`10`
`public static final int`
`CPU_SUBTYPE_VAX8800`
`11`
`public static final int`
`CPU_SUBTYPE_X86_64_ALL`
`3`
`public static final int`
`CPU_SUBTYPE_X86_ALL`
`3`
`public static final int`
`CPU_SUBTYPE_X86_ARCH1`
`4`
`public static final int`
`CPU_SUBTYPE_XEON`
`12`
`public static final int`
`CPU_SUBTYPE_XEON_MP`
`28`
`public static final int`
`CPU_TYPE_ANY`
`-1`
`public static final int`
`CPU_TYPE_HPPA`
`11`
`public static final int`
`CPU_TYPE_I386`
`7`
`public static final int`
`CPU_TYPE_I860`
`15`
`public static final int`
`CPU_TYPE_MC680x0`
`6`
`public static final int`
`CPU_TYPE_MC88000`
`13`
`public static final int`
`CPU_TYPE_MC98000`
`10`
`public static final int`
`CPU_TYPE_POWERPC`
`18`
`public static final int`
`CPU_TYPE_POWERPC64`
`16777234`
`public static final int`
`CPU_TYPE_SPARC`
`14`
`public static final int`
`CPU_TYPE_VAX`
`1`
`public static final int`
`CPU_TYPE_X86`
`7`
`public static final int`
`CPU_TYPE_X86_64`
`16777223`
`public static final int`
`MH_ALLMODSBOUND`
`4096`
`public static final int`
`MH_ALLOW_STACK_EXECUTION`
`131072`
`public static final int`
`MH_BINDATLOAD`
`8`
`public static final int`
`MH_BINDS_TO_WEAK`
`65536`
`public static final int`
`MH_BUNDLE`
`8`
`public static final int`
`MH_CANONICAL`
`16384`
`public static final int`
`MH_CIGAM`
`-822415874`
`public static final int`
`MH_CIGAM_64`
`-805638658`
`public static final int`
`MH_CORE`
`4`
`public static final int`
`MH_DSYM`
`10`
`public static final int`
`MH_DYLDLINK`
`4`
`public static final int`
`MH_DYLIB`
`6`
`public static final int`
`MH_DYLIB_STUB`
`9`
`public static final int`
`MH_DYLINKER`
`7`
`public static final int`
`MH_EXECUTE`
`2`
`public static final int`
`MH_FORCE_FLAT`
`256`
`public static final int`
`MH_FVMLIB`
`3`
`public static final int`
`MH_INCRLINK`
`2`
`public static final int`
`MH_LAZY_INIT`
`64`
`public static final int`
`MH_MAGIC`
`-17958194`
`public static final int`
`MH_MAGIC_64`
`-17958193`
`public static final int`
`MH_NO_REEXPORTED_DYLIBS`
`1048576`
`public static final int`
`MH_NOFIXPREBINDING`
`1024`
`public static final int`
`MH_NOMULTIDEFS`
`512`
`public static final int`
`MH_NOUNDEFS`
`1`
`public static final int`
`MH_OBJECT`
`1`
`public static final int`
`MH_PIE`
`2097152`
`public static final int`
`MH_PREBINDABLE`
`2048`
`public static final int`
`MH_PREBOUND`
`16`
`public static final int`
`MH_PRELOAD`
`5`
`public static final int`
`MH_ROOT_SAFE`
`262144`
`public static final int`
`MH_SETUID_SAFE`
`524288`
`public static final int`
`MH_SPLIT_SEGS`
`32`
`public static final int`
`MH_SUBSECTIONS_VIA_SYMBOLS`
`8192`
`public static final int`
`MH_TWOLEVEL`
`128`
`public static final int`
`MH_UNIVERSAL`
`-889275714`
`public static final int`
`MH_WEAK_DEFINES`
`32768`
org.eclipse.cdt.utils.macho.MachO64.Section
Modifier and Type
Constant Field
Value
`public static final int`
`S_4BYTE_LITERALS`
`3`
`public static final int`
`S_8BYTE_LITERALS`
`4`
`public static final int`
`S_ATTR_EXT_RELOC`
`512`
`public static final int`
`S_ATTR_LOC_RELOC`
`256`
`public static final int`
`S_ATTR_NO_TOC`
`1073741824`
`public static final int`
`S_ATTR_PURE_INSTRUCTIONS`
`-2147483648`
`public static final int`
`S_ATTR_SOME_INSTRUCTIONS`
`1024`
`public static final int`
`S_ATTR_STRIP_STATIC_SYMS`
`536870912`
`public static final int`
`S_COALESCED`
`11`
`public static final int`
`S_CSTRING_LITERALS`
`2`
`public static final int`
`S_LAZY_SYMBOL_POINTERS`
`7`
`public static final int`
`S_LITERAL_POINTERS`
`5`
`public static final int`
`S_MOD_INIT_FUNC_POINTERS`
`9`
`public static final int`
`S_MOD_TERM_FUNC_POINTERS`
`10`
`public static final int`
`S_NON_LAZY_SYMBOL_POINTERS`
`6`
`public static final int`
`S_REGULAR`
`0`
`public static final int`
`S_SYMBOL_STUBS`
`8`
`public static final int`
`S_ZEROFILL`
`1`
`public static final int`
`SECTION_ATTRIBUTES`
`-256`
`public static final int`
`SECTION_ATTRIBUTES_SYS`
`16776960`
`public static final int`
`SECTION_ATTRIBUTES_USR`
`-16777216`
`public static final int`
`SECTION_TYP`
`255`
org.eclipse.cdt.utils.macho.MachO64.SegmentCommand
Modifier and Type
Constant Field
Value
`public static final long`
`SG_FVMLIB`
`2L`
`public static final long`
`SG_HIGHVM`
`1L`
`public static final long`
`SG_NORELOC`
`4L`
`public static final int`
`VM_PROT_ALL`
`7`
`public static final int`
`VM_PROT_COPY`
`16`
`public static final int`
`VM_PROT_DEFAULT`
`3`
`public static final int`
`VM_PROT_EXECUTE`
`4`
`public static final int`
`VM_PROT_NO_CHANGE`
`8`
`public static final int`
`VM_PROT_NONE`
`0`
`public static final int`
`VM_PROT_READ`
`1`
`public static final int`
`VM_PROT_WANTS_COPY`
`16`
`public static final int`
`VM_PROT_WRITE`
`2`
org.eclipse.cdt.utils.macho.MachO64.Symbol
Modifier and Type
Constant Field
Value
`public static final int`
`MAX_SECT`
`255`
`public static final int`
`N_ABS`
`2`
`public static final int`
`N_BCOMM`
`226`
`public static final int`
`N_BINCL`
`130`
`public static final int`
`N_BNSYM`
`46`
`public static final int`
`N_DESC_DISCARDED`
`32`
`public static final int`
`N_ECOML`
`232`
`public static final int`
`N_ECOMM`
`228`
`public static final int`
`N_EINCL`
`162`
`public static final int`
`N_ENSYM`
`78`
`public static final int`
`N_ENTRY`
`164`
`public static final int`
`N_EXCL`
`194`
`public static final int`
`N_EXT`
`1`
`public static final int`
`N_FNAME`
`34`
`public static final int`
`N_FUN`
`36`
`public static final int`
`N_GSYM`
`32`
`public static final int`
`N_INDR`
`10`
`public static final int`
`N_LBRAC`
`192`
`public static final int`
`N_LCSYM`
`40`
`public static final int`
`N_LENG`
`254`
`public static final int`
`N_LSYM`
`128`
`public static final int`
`N_OLEVEL`
`138`
`public static final int`
`N_OPT`
`60`
`public static final int`
`N_PARAMS`
`134`
`public static final int`
`N_PBUD`
`12`
`public static final int`
`N_PEXT`
`16`
`public static final int`
`N_PSYM`
`160`
`public static final int`
`N_RBRAC`
`224`
`public static final int`
`N_RSYM`
`64`
`public static final int`
`N_SECT`
`14`
`public static final int`
`N_SLINE`
`68`
`public static final int`
`N_SO`
`100`
`public static final int`
`N_SOL`
`132`
`public static final int`
`N_SSYM`
`96`
`public static final int`
`N_STAB`
`224`
`public static final int`
`N_STSYM`
`38`
`public static final int`
`N_TYPE`
`14`
`public static final int`
`N_UNDF`
`0`
`public static final int`
`N_VERSION`
`136`
`public static final int`
`N_WEAK_DEF`
`128`
`public static final int`
`N_WEAK_REF`
`64`
`public static final int`
`NO_SECT`
`0`
`public static final int`
`REFERENCE_FLAG_DEFINED`
`2`
`public static final int`
`REFERENCE_FLAG_PRIVATE_DEFINED`
`3`
`public static final int`
`REFERENCE_FLAG_PRIVATE_UNDEFINED_LAZY`
`5`
`public static final int`
`REFERENCE_FLAG_PRIVATE_UNDEFINED_NON_LAZY`
`4`
`public static final int`
`REFERENCE_FLAG_UNDEFINED_LAZY`
`1`
`public static final int`
`REFERENCE_FLAG_UNDEFINED_NON_LAZY`
`0`
`public static final int`
`REFERENCE_TYPE`
`15`
`public static final int`
`REFERENCED_DYNAMICALLY`
`16`

org.eclipse.cdt.utils.pty.ConPTYKernel32
Modifier and Type
Constant Field
Value
`public static final int`
`PROC_THREAD_ATTRIBUTE_PSEUDOCONSOLE`
`131094`

org.eclipse.cdt.utils.som.AR.ARHeader
Modifier and Type
Constant Field
Value
`public static final int`
`HEADER_SIZE`
`60`
org.eclipse.cdt.utils.som.AR.LSTHeader
Modifier and Type
Constant Field
Value
`public static final int`
`LST_HEADER_OFFSET`
`68`
`public static final int`
`LST_HEADER_SIZE`
`76`
org.eclipse.cdt.utils.som.SOM.Attribute
Modifier and Type
Constant Field
Value
`public static final int`
`SOM_TYPE_CORE`
`4`
`public static final int`
`SOM_TYPE_EXE`
`1`
`public static final int`
`SOM_TYPE_OBJ`
`3`
`public static final int`
`SOM_TYPE_SHLIB`
`2`
org.eclipse.cdt.utils.som.SOM.FileHeader
Modifier and Type
Constant Field
Value
`public static final short`
`DYN_LOAD_LIB`
`269`
`public static final short`
`EXE_SOM_LIB`
`260`
`public static final int`
`FILHSZ`
`128`
`public static final short`
`PA_RISC_10`
`523`
`public static final short`
`PA_RISC_11`
`528`
`public static final short`
`PA_RISC_20`
`532`
`public static final short`
`PRIV_EXEC_SOM`
`263`
`public static final short`
`REL_SOM`
`262`
`public static final short`
`RELOC_SOM_LIB`
`1561`
`public static final short`
`SHARE_DEMAND_LOAD_EXE_SOM`
`267`
`public static final short`
`SHARE_EXEC_SOM`
`264`
`public static final short`
`SHARED_LIB`
`270`
org.eclipse.cdt.utils.som.SOM.Symbol
Modifier and Type
Constant Field
Value
`public static final int`
`ABSOLUTE`
`1`
`public static final int`
`ARG_EXT`
`11`
`public static final int`
`B11_10_MASK`
`3072`
`public static final int`
`B12_MASK`
`4096`
`public static final int`
`B13_MASK`
`8192`
`public static final int`
`B14_MASK`
`16384`
`public static final int`
`B15_MASK`
`32768`
`public static final int`
`B16_MASK`
`65536`
`public static final int`
`B19_17_MASK`
`917504`
`public static final int`
`B23_0_MASK`
`16777215`
`public static final int`
`B23_20_MASK`
`15728640`
`public static final int`
`B29_24_MASK`
`1056964608`
`public static final int`
`B30_MASK`
`1073741824`
`public static final int`
`B31_MASK`
`-2147483648`
`public static final int`
`B7_0_MASK`
`255`
`public static final int`
`B9_0_MASK`
`1023`
`public static final int`
`CODE`
`3`
`public static final int`
`DATA`
`2`
`public static final int`
`ENTRY`
`6`
`public static final int`
`EXTERNAL`
`1`
`public static final int`
`LOCAL`
`2`
`public static final int`
`MILLI_EXT`
`15`
`public static final int`
`MILLICODE`
`12`
`public static final int`
`MODULE`
`9`
`public static final int`
`NULL`
`0`
`public static final int`
`OCT_DIS`
`14`
`public static final int`
`PLABEL`
`13`
`public static final int`
`PRI_PROG`
`4`
`public static final int`
`SEC_PROG`
`5`
`public static final int`
`ST_DATA`
`15`
`public static final int`
`STORAGE`
`7`
`public static final int`
`STUB`
`8`
`public static final int`
`SYM_EXT`
`10`
`public static final int`
`SYMSZ`
`20`
`public static final int`
`UNIVERSAL`
`3`
`public static final int`
`UNSAT`
`0`

org.eclipse.cdt.utils.xcoff.XCoff32.Attribute
Modifier and Type
Constant Field
Value
`public static final int`
`XCOFF_TYPE_CORE`
`4`
`public static final int`
`XCOFF_TYPE_EXE`
`1`
`public static final int`
`XCOFF_TYPE_OBJ`
`3`
`public static final int`
`XCOFF_TYPE_SHLIB`
`2`
org.eclipse.cdt.utils.xcoff.XCoff32.FileHeader
Modifier and Type
Constant Field
Value
`public static final int`
`F_DSA`
`64`
`public static final int`
`F_DYNLOAD`
`4096`
`public static final int`
`F_EXEC`
`2`
`public static final int`
`F_FDPR_OPTI`
`32`
`public static final int`
`F_FDPR_PROF`
`16`
`public static final int`
`F_LNNO`
`4`
`public static final int`
`F_LOADONLY`
`16384`
`public static final int`
`F_LSYMS`
`8`
`public static final int`
`F_RELFLG`
`1`
`public static final int`
`F_SHROBJ`
`8192`
`public static final int`
`FILHSZ`
`20`
`public static final int`
`U64_TOCMAGIC`
`503`
`public static final int`
`U802TOCMAGIC`
`479`
`public static final int`
`U803TOCMAGIC`
`487`
`public static final int`
`U803XTOCMAGIC`
`495`
org.eclipse.cdt.utils.xcoff.XCoff32.OptionalHeader
Modifier and Type
Constant Field
Value
`public static final int`
`AOUTHDRSZ`
`72`
org.eclipse.cdt.utils.xcoff.XCoff32.SectionHeader
Modifier and Type
Constant Field
Value
`public static final String`
`_BSS`
`".bss"`
`public static final String`
`_DATA`
`".data"`
`public static final String`
`_DEBUG`
`".debug"`
`public static final String`
`_EXCEPT`
`".except"`
`public static final String`
`_INFO`
`".info"`
`public static final String`
`_LOADER`
`".loader"`
`public static final String`
`_OVRFLO`
`".ovrflo"`
`public static final String`
`_PAD`
`".pad"`
`public static final String`
`_TEXT`
`".text"`
`public static final String`
`_TYPCHK`
`".typchk"`
`public static final int`
`SCNHSZ`
`40`
`public static final int`
`STYP_BSS`
`128`
`public static final int`
`STYP_DATA`
`64`
`public static final int`
`STYP_DEBUG`
`8192`
`public static final int`
`STYP_EXCEPT`
`128`
`public static final int`
`STYP_INFO`
`512`
`public static final int`
`STYP_LOADER`
`4096`
`public static final int`
`STYP_OVRFLO`
`32768`
`public static final int`
`STYP_PAD`
`8`
`public static final int`
`STYP_TEXT`
`32`
`public static final int`
`STYP_TYPCHK`
`16384`
org.eclipse.cdt.utils.xcoff.XCoff32.Symbol
Modifier and Type
Constant Field
Value
`public static final int`
`C_BCOMM`
`135`
`public static final int`
`C_BINCL`
`108`
`public static final int`
`C_BLOCK`
`100`
`public static final int`
`C_BSTAT`
`143`
`public static final int`
`C_DECL`
`140`
`public static final int`
`C_ECOML`
`136`
`public static final int`
`C_ECOMM`
`127`
`public static final int`
`C_EINCL`
`109`
`public static final int`
`C_ENTRY`
`141`
`public static final int`
`C_ESTAT`
`144`
`public static final int`
`C_EXT`
`2`
`public static final int`
`C_FCN`
`101`
`public static final int`
`C_FILE`
`103`
`public static final int`
`C_FUN`
`142`
`public static final int`
`C_GSYM`
`128`
`public static final int`
`C_HIDEXT`
`107`
`public static final int`
`C_INFO`
`100`
`public static final int`
`C_LSYM`
`129`
`public static final int`
`C_NULL`
`0`
`public static final int`
`C_PSYM`
`130`
`public static final int`
`C_RPSYM`
`132`
`public static final int`
`C_RSYM`
`131`
`public static final int`
`C_STAT`
`3`
`public static final int`
`C_STSYM`
`133`
`public static final int`
`C_TCSYM`
`134`
`public static final int`
`C_WEAKEXT`
`111`
`public static final int`
`N_ABS`
`-1`
`public static final int`
`N_DEBUG`
`-2`
`public static final int`
`N_UNDEF`
`0`
`public static final int`
`SYMNMLEN`
`8`
`public static final int`
`SYMSZ`
`18`
`public static final int`
`XMC_BS`
`9`
`public static final int`
`XMC_DB`
`2`
`public static final int`
`XMC_DS`
`10`
`public static final int`
`XMC_GL`
`6`
`public static final int`
`XMC_PR`
`0`
`public static final int`
`XMC_RO`
`1`
`public static final int`
`XMC_RW`
`5`
`public static final int`
`XMC_SV`
`8`
`public static final int`
`XMC_SV3264`
`18`
`public static final int`
`XMC_SV64`
`17`
`public static final int`
`XMC_TB`
`13`
`public static final int`
`XMC_TC`
`3`
`public static final int`
`XMC_TC0`
`15`
`public static final int`
`XMC_TD`
`16`
`public static final int`
`XMC_TI`
`12`
`public static final int`
`XMC_UA`
`4`
`public static final int`
`XMC_UC`
`11`
`public static final int`
`XMC_XO`
`7`

org.eclipse.launchbar.core.DefaultLaunchDescriptorType
Modifier and Type
Constant Field
Value
`public static final String`
`ID`
`"org.eclipse.launchbar.core.descriptorType.default"`

org.eclipse.launchbar.core.internal.Activator
Modifier and Type
Constant Field
Value
`public static final String`
`PLUGIN_ID`
`"org.eclipse.launchbar.core"`

org.eclipse.launchbar.core.target.ILaunchTarget
Modifier and Type
Constant Field
Value
`public static final String`
`ATTR_ARCH`
`"arch"`
`public static final String`
`ATTR_OS`
`"os"`
org.eclipse.launchbar.core.target.ILaunchTargetManager
Modifier and Type
Constant Field
Value
`public static final String`
`localLaunchTargetId`
`"Local"`
`public static final String`
`localLaunchTargetTypeId`
`"org.eclipse.launchbar.core.launchTargetType.local"`